2003-06-22 Sunday 15:43  gbazin

 * modules/gui/wxwindows/streamout.cpp: disabled mp4 muxer.
 * include/interface.h: updated comment.

2003-06-22 Sunday 15:30  hartman

 * Removed mp4 muxer support (temporarily)

2003-06-22 Sunday 15:07  asmax

 * x11/x11_dragdrop.cpp: unbelievable, Xdnd works !!

2003-06-22 Sunday 15:03  hartman

 * NEWS: Checked the NEWS file. added some missing items. Fixed a couple of spelling errors etc.
 * vlc.ebuild: Set the correct urls for ffmpeg and mpeg2dec snapshots

2003-06-22 Sunday 14:36  fenrir

  * mkv: better seeking support.

2003-06-22 Sunday 14:06  gbazin

 * configure.ac: compile fix for sunos

2003-06-22 Sunday 13:31  gbazin

 * configure.ac, modules/demux/Modules.am: matroska configure detection (disabled by default).
 Due to the way matroska headers directly reference ebml headers, you'll have to configure like this:
 CPPFLAGS=-I/usr/local/include/ebml ./configure --enable-mkv

2003-06-22 Sunday 13:27  sigmunau

 turned a debug message into a comment

2003-06-22 Sunday 13:06  asmax

 * x11/x11_window.cpp: raise a window when clicking on it

2003-06-22 Sunday 12:54  asmax

 * at least it compiles now ;)

2003-06-22 Sunday 12:46  asmax

 * reverted my previous commit: cannot work as expected
 * src/theme.cpp: fixed a delete[] / free mismatch

2003-06-22 Sunday 12:27  fenrir

  * mkv: basic seek support (only with file with cues, it doesn't search key
  frame, ...)
         clean up.

2003-06-22 Sunday 08:49  fenrir

  * faad: can read stream with multiple frames per pes_packet_t (for mkv).

2003-06-22 Sunday 07:39  fenrir

  * mkv.cpp : begin of a matroska demuxer
   TODO:
     * seek support
     * vorbis support (it's a decoder problem, as matroska embded raw
       vorbis data)
     * utf8 subtitles handling (probably at the decoder stage too)
     * clean up.
     * support of stream other than files.
     * ...

2003-06-22 Sunday 01:08  sam

   * Makefile.dep: the file that would never die.

2003-06-22 Sunday 00:40  titer

  beos/* : - cleaned the way to mute/unmute
           - save the volume when exiting

2003-06-22 Sunday 00:00  asmax

 * src/theme.cpp, src/event.* : no more VLC_SHOW event
 * src/window.* : replaced p_intf->p_sys->WindowList by a singleton
   class SkinWindowList (to be tested under windows)
 * removed useless gtk2 files

2003-06-21 Saturday 22:30  hartman

 * added a new set of widgets for CONFIG_ITEM_FILE and DIRECTORY
 * only set prefs on safe, not earlier.

2003-06-21 Saturday 21:59  sam

   * src/libvlc.c: got rid of type-punning warnings.

2003-06-21 Saturday 20:45  sam

   * THANKS: spelling fixes.
   * configure.ac:
     + Added curly braces around variables.
     + Got rid of the "x$foo" constructs.
     + Renamed *_plugin conditionals into *_p.
   * debian/changelog:
     + Fixed a duplicate entry.
     + Added an entry for an old Debian upload that fixed #117180.
   * debian/control:
     + Added a build dependency on libimlib2-dev for skins.
   * debian/rules:
     + Activated support for skins.

2003-06-21 Saturday 17:26  sigmunau

 removed a duplicate entry from the NEWS file

2003-06-21 Saturday 17:05  sam

   * .cvsignore:
     + Removed configure.ac from the ignore list.

2003-06-21 Saturday 17:04  sam

   * configure.ac.in is no more, we can now use configure.ac like normal people,
     bootstrap generates the proper magic for us.

2003-06-21 Saturday 16:09  sam

   * debian/rules:
     + Use the -s flag instead of -a so that debhelper properly handles the
       i386-only plugin packages.
     + Split the build rule into configure and build.

2003-06-21 Saturday 14:24  gbazin

 * modules/access_output/file.c: make the output file writeable by the owner.

2003-06-20 Friday 23:13  hartman

 * added missing support for CONFIG_ITEM_DIRECTORY to gtk prefs.

2003-06-20 Friday 21:34  ipkiss

  * ./doc/skins/events-howto.txt: added some events
  * ./modules/gui/skins/*: fixed my last commit

2003-06-20 Friday 19:50  ipkiss

  * ./modules/gui/skins/src/vlcproc.cpp: added the "title" option to the
    "display" attribute of ControlText. It allows to show the title of
    the current stream, without the full path.
  * ./doc/skins/*: updated the doc

2003-06-20 Friday 15:34  hartman

 * Made the search path configuration options, directory instead of string options.

2003-06-20 Friday 11:42  alexis

 modules/misc/sap.c: fix for the default scope of the IPv6 announces.
 python/setup.py: a configuration that should work better.

2003-06-20 Friday 01:27  hartman

 * vlc.ebuild: added support for faad2 and skins. See the wiki page for info.
 * README.MacOSX.rtf: More updates because of new prefs dialog.

2003-06-19 Thursday 21:09  gbazin

 * modules/codec/ffmpeg/video.c: disabled direct rendering when hurry-up is
 enabled. ffmpeg doesn't properly release old pictures when frames are skipped.

2003-06-19 Thursday 18:45  gbazin

 * modules/access_output/udp.c: removed unnecessary code.

2003-06-19 Thursday 18:44  titer

  beos/VideoOutput.cpp : fixed a visual bug in fullscreen that happens with
   a few Dano/Zeta themes

2003-06-19 Thursday 18:22  gbazin

 * modules/access_output/udp.c: implemented a caching mechanism which solves all the bad quality streaming issues that have been reported. The caching value can be modified with the --udp-sout-caching config option (the default value being DEFAULT_PTS_DELAY ==  300 milisec).

2003-06-19 Thursday 13:08  sam

   * ./modules/misc/screensaver.c: the screensaver was disabled way too often
     because I forgot to reinitialise an index.

2003-06-19 Thursday 12:21  gbazin

 * modules/gui/wxwindows/*: changed the preferences panel to use textctrls for float values as spinctrls don't support floats. The advanced checkbox is only displayed if needed. Fixed the play/pause buttons tooltip.

2003-06-19 Thursday 02:14  sam

   * debian/rules:
     + Replaced $(DEB_BUILD_ARCH) with `dpkg-architecture -qDEB_BUILD_GNU_CPU`
       so that the rules can be called directly.
   * debian/control:
     + Removed leading "a"s from package descriptions.
     + Set policy to 3.5.10.
   * debian/copyright:
     + Removed debian/vlc.copyright.

2003-06-18 Wednesday 12:18  zorglub

 SAP can now listen for IPv6 announces

 To enable this, start vlc with --sap-ipv6
 To disable IPv4 listening, use --no-sap-ipv4

 You can also set the scope of the announces (default is 3)

2003-06-17 Tuesday 21:52  asmax

 * moved the ttl help in the right section

2003-06-17 Tuesday 21:07  gbazin

 * modules/codec/ffmpeg/video.h: forgot to remove a reference to the old postprocessing code.

2003-06-17 Tuesday 20:56  asmax

 * fixed another compilation issue of python module

2003-06-17 Tuesday 20:47  asmax

 * fixed a very old bug preventing the whole thing from working :(

2003-06-17 Tuesday 20:10  hartman

 * Fixes to the german translation

2003-06-17 Tuesday 20:03  hartman

 * moved the capability definition up one line. the config options follow the capability now. Circumvents a bug with OSX prefs dialog.

2003-06-17 Tuesday 18:13  asmax

 * tooltips are now updated during scrolling

2003-06-17 Tuesday 16:09  gbazin

 * modules/*: got rid of empty module objects.
 * modules/gui/wxwindows/preferences.cpp: fixed the config options display for submodules.

2003-06-17 Tuesday 14:43  hartman

 modules/codec/quicktime.c: Disabled all video codecs accept SVQ3
 modules/gui/macosx/intf.m: Fixed an inconsistenty in the translation
 cvS: ----------------------------------------------------------------------

2003-06-17 Tuesday 14:38  hartman

 * modules/gui/macosx/output.m: Fixed a bug in the transcoding dialog.
 * extras/MacOSX/Resources/English.lproj/MainMenu.nib:
   Fixed two cosmetic issues in the stream output dialog.
 * po/de.po: Update german translation courtesy of: Felix Kuhne <FK at aenneburghardt.de>

2003-06-16 Monday 21:55  gbazin

 * modules/gui/wxwindows/preferences.cpp: fixed the preferences to also show the config options of sub-modules.
 * include/modules_inner.h: removed unneeded initialization.

2003-06-16 Monday 20:49  gbazin

 * modules/codec/ffmpeg/video.c: fixed the last direct rendering bug.

2003-06-16 Monday 20:23  gbazin

 * configure.ac.in, modules/codec/ffmpeg/*: a few direct rendering fixes and got rid of the old post-processing code.

2003-06-16 Monday 15:39  zorglub

 * SAP can now handle SAP-announced IPv6 streams

2003-06-15 Sunday 22:32  hartman

 * NEWS: small corrections
 * modules/codec/ffmpeg: I had disabled IV31 support on intel instead of on ppc
 * modules/codec/quicktime.c: cosmetic fix

2003-06-15 Sunday 15:20  hartman

 * Fixed applescript Fullscreen command.

2003-06-15 Sunday 15:16  sigmunau

 id3tag.c: Do not try to seek on network streams even if they have b_seekable set to
 true, since this seems to break playback of some streams over http. It also
 takes to much time just to get some fancy metadata

2003-06-15 Sunday 14:00  hartman

 * ./po/it.po: Fresh Italien translation, courtesy of by Bruno <allevb at tin.it>
 * ./po/nl.po: New Dutch Translation by /me ;)
 * README.MacOSX.rtf: Updated instructions of Prefence usage.

2003-06-15 Sunday 01:23  massiot

 * Removed the ugly dependancy on glibc in the ipv6 module.
 * po/fr.po: French translation courtesy of Jean-Pierre Kuypers.
 * Miscellaneous clean-ups.

2003-06-14 Saturday 22:14  hartman

 * We should be compatible with older versions of faad again

2003-06-14 Saturday 22:12  gbazin

 * configure.ac.in: old faad2 detection.

2003-06-14 Saturday 21:18  gbazin

 * modules/gui/wxwindows/open.cpp: fixed a couple of bugs with the open dialog.

2003-06-14 Saturday 21:06  hartman

 * Dramatically improved the ebuild.
   - To be done before 0.6.0 release: insert correct contrib links for ffmpeg and libmpeg2
   - fix faad2? currently disabled

2003-06-14 Saturday 18:49  gbazin

 * modules/gui/skins/x11/x11_window.cpp: small bugfix for icons support.

2003-06-14 Saturday 16:29  gbazin

 * src/misc/configuration.c: in config_SaveConfigFile() don't save options that
 kept their original value (thanks fenrir for the suggestion).

2003-06-14 Saturday 15:43  gbazin

 * modules/codec/ffmpeg/*: fix for ffmpeg direct rendering. Direct rendering is now
 enabled by default.

2003-06-14 Saturday 12:32  titer

  beos/VideoOutput.cpp : make the BPopUpMenu stickable

2003-06-14 Saturday 00:49  titer

  include/vlc_threads.h: more BeOS' priorities tuning.

2003-06-13 Friday 21:18  asmax

 * X11 skin windows should have an icon now

2003-06-13 Friday 15:54  gbazin

 modules/gui/wxwindows/*: fix for the volume control under win32.

2003-06-13 Friday 12:08  gbazin

 * modules/misc/network/ipv6.c: fixed multicast support on win32. Well, it is working on Win2k but might require run-time OS version checking to have it woking on XP as well. (you might have to add a multicast route: ipv6 rtu FF00::/8 #intfnum)

2003-06-13 Friday 03:21  sam

   * ./src/misc/messages.c: ouch. when the message queue was full, we were
     using our va_list twice, which caused crashes on architectures where
     va_list is a pointer; we now use va_copy whenever possible.

2003-06-13 Friday 00:15  titer

  modules/gui/beos/Interface.cpp : fixed a possible crash

2003-06-12 Thursday 23:03  gbazin

 * modules/misc/network/ipv6.c: gave a quick try to implementing ttl for ipv6.

2003-06-12 Thursday 22:27  massiot

 * modules/codec/spudec/spudec.c: Take small font by default

2003-06-12 Thursday 22:03  gbazin

 * modules/gui/wxwindows/interface.cpp: fixed compile issue.

2003-06-12 Thursday 21:28  gbazin

 * modules/gui/wxwindows/*: added a volume control.

2003-06-12 Thursday 15:56  gbazin

 * modules/access_output/file.c: win32 compilation fix.

2003-06-12 Thursday 11:37  zorglub

 Code cleanup

2003-06-12 Thursday 08:14  gbazin

 * share/Makefile.am: fixed my previous fix ;)

2003-06-12 Thursday 06:56  gbazin

 * Makefile.am: fixed inclusion of skins in make dist.

2003-06-11 Wednesday 22:46  gbazin

 * ALL: bumped version number to 0.6.0-test3 + po updates

2003-06-11 Wednesday 21:46  asmax

 * skin_main.cpp,x11_theme.cpp: better way to fix the "open skin bug" !
 * share/Makefile.am: install skins at make install (closes bug #856)

2003-06-11 Wednesday 21:41  gbazin

 * modules/access_output/file.c: use open() instead of fopen(). This allows us to use _lseeki64() on win32.

2003-06-11 Wednesday 20:36  gbazin

 * modules/video_filter/osd_text.c: small compile fix that seems to be needed on
 some platforms.

2003-06-11 Wednesday 18:45  gbazin

 * NEWS: updated.

2003-06-11 Wednesday 18:20  gbazin

 * modules/audio_output/directx.c: fixed mem leak in 5.1 audio.

2003-06-11 Wednesday 15:53  gbazin

 * modules/demux/ogg.c, modules/codec/theora.c: updated the ogg demuxer and theora decoder to the latest libtheora alpha 2 release.

2003-06-11 Wednesday 10:42  gbazin

 * modules/gui/skins/*: fix for msvc .dsp generation, replaced the BASIC_SKINS macro with the standard MODULE_NAME_IS_foo one and a couple of compilation fixes for msvc.
 * msvc/vlc.dsw: added basic_skins and renamed mpeg_video into mpeg_video_old.
 * modules/codec/mpeg_video/parser.c: fixed segfault when idct/motion modules can't be loaded.

2003-06-10 Tuesday 23:01  massiot

 * configure.ac.in: Renamed mpeg_video to mpeg_video_old, so that even
   people who explicitely set mpeg_video in the previous version will end
   up with libmpeg2 in 0.6.0.
 * modules/codec/libmpeg2.c: Fixed a potential segfault, especially
   with DVDs.
 * modules/codec/lpcm.c: Send two PES packets in one aout buffer, because
   some audio filters (read: coreaudio resampler) don't like too small
   packets (I know, this is ugly).

2003-06-10 Tuesday 22:42  gbazin

 * modules/packetizer/mpegvideo.c, modules/mux/mpeg/*: fixed the dts/pts calculation in the mpegvideo packetizer. It should now handle streams where all the pictures don't have the same duration (eg. 3:2 pulldown). We don't calculate anymore the pts for every frame as it is impossible to do so for non low-delay streams.

2003-06-10 Tuesday 11:43  gbazin

 * configure.ac.in: added an --enable-mostly-builtin option to avoid having too many plugins.
 * modules/gui/skins/src/*: reverted the last BASIC_SKINS patch (BASIC_SKINS was not broken, the changes were done on purpose).
 * modules/gui/skins/src/dialogs.[cpp,h]: ran dos2unix on these 2 files.

2003-06-10 Tuesday 11:12  massiot

 Fixed a potential segfault.

2003-06-09 Monday 22:02  asmax

 * x11_api.c: implemented OSAPI_GetNonTransparentColor (needed for fonts !)

2003-06-09 Monday 21:14  asmax

 * X11 skins are now loaded from home directory or if it fails, from
   the share directory

2003-06-09 Monday 19:56  jpsaman

 Run opie-vlc and zaurus-vlc as GuiServer. (Didn't I commit this before???).

2003-06-09 Monday 19:51  jpsaman

 Updated build packages for test2 release.

2003-06-09 Monday 19:08  asmax

 * fixed a segfault in FileInfo when p_info->psz_name == NULL
   but there are still other segfaults sometimes in FileInfo !!

2003-06-09 Monday 14:04  asmax

 * now selection method in the playlist depends on the state of the
   CTRL button (as expected in a normal playlist !)
   TODO: - do the same under windows
         - replace all button constants 1/2 by MOUSE_LEFT/MOUSE_RIGHT

2003-06-09 Monday 12:33  asmax

 * repaired basic_skins
 * removed all the compilation warnings
 * fixed LOTS of memory leaks in skins (gibalou, you should try valgrind
   on wxwindows plugin ;)

2003-06-09 Monday 09:29  massiot

 * modules/access/file.c: Fixed a compile issue (thanks michael.mauch at gmx.de)

2003-06-09 Monday 07:16  gbazin

 * modules/mux/mpeg/pes.c: allow cases where we don't write a pts.
 * modules/stream_out/display.c: handle cases where we don't have a pts/dts.

2003-06-09 Monday 06:52  gbazin

 * modules/gui/skins/src/vlcproc.cpp: the "play" action will trigger the open dialog if the playlist is empty.

2003-06-09 Monday 00:33  massiot

 * include/video.h include/video_output.h src/video_output/vout_pictures.c:
   In vout_CreatePicture() replace i_repeat_first_field by the more useful
   i_nb_fields
 * modules/gui/macosx/intf.m: Fixed a warning
 * modules/codec/libmpeg2.c include/vout_synchro.h src/video_output/vout_synchro.c:
   Re-added support for slice-I streams, plus miscellaneous tweakings

2003-06-09 Monday 00:32  asmax

 * drag & drop works with gnome file manager now

2003-06-09 Monday 00:07  asmax

 * drag & drop for X11 skins. Still mysterious problems but it's better
   than nothing

2003-06-08 Sunday 18:40  gbazin

 * modules/gui/skins/x11/x11_window.cpp: avoid flicker when mapping a window.
 * share/skins/default/theme.xml: playlist is hidden by default.

2003-06-08 Sunday 18:17  asmax

 * very beginning of drag and drop support in X11 skins

2003-06-08 Sunday 16:56  gbazin

 * modules/gui/skins/*: display the popupmenu when you right click on the interface.

2003-06-08 Sunday 16:04  titer

  Minor fix

2003-06-08 Sunday 15:22  asmax

 * share/skins/default/theme.xml: fixed playlist size
 * modules/gui/skins/controls/playlist.cpp: fixed a segfault when deleting
   items
 * modules/gui/skins/x11/x11_graphics.cpp: implemented DrawRect

2003-06-08 Sunday 12:45  gbazin

 * modules/gui/skins/x11/*: fixed transparency problem. XShapeCombineRegion() needs to be called before the window is mapped.

2003-06-08 Sunday 11:33  asmax

 * better implementation of timers for X11 skins

2003-06-08 Sunday 00:32  asmax

 * x11_font.cpp: fixed font placement
 * x11_window.*: real tooltip windows ! not perfect yet but it looks cool !
 * removed compilation of gtk2 skins module. If you want it back, good luck ;)

2003-06-07 Saturday 19:19  gbazin

 * share/Makefile.ami, doc/Makefile.am: forgot to include some files in the "make dist".

2003-06-07 Saturday 19:05  gbazin

 * doc/subtitles/*, share/font-eutopiabold21.rle: new (smaller) font + scripts
 and instructions to generate new fonts.

2003-06-07 Saturday 12:19  asmax

 * beginning of tooltips (only in the console at the moment ;)

2003-06-07 Saturday 10:18  gbazin

 * modules/gui/skins/x11/x11_theme.cpp: removed unnecessary stuff.

2003-06-07 Saturday 03:45  titer

  modules/access/pvr/pvr.c : compile fix

2003-06-07 Saturday 03:25  titer

  missing cvsignore

2003-06-07 Saturday 00:36  asmax

 * implemented double click event for X11 skins. The delay is hard-coded
   (400ms) , maybe it could be stored in the vlc config file

2003-06-06 Friday 23:34  asmax

 * got rid of this useless error message

2003-06-06 Friday 21:47  asmax

 * x11/x11_window.cpp: fixed clipping and text attributes

2003-06-06 Friday 19:40  asmax

 * key shortcuts for X11 skins are now working

2003-06-06 Friday 14:50  gbazin

 * modules/gui/skins/src/themeloader.cpp: small fix for tgz skins.

2003-06-06 Friday 13:34  gbazin

 * modules/packetizer/mpegvideo.c: Fixed a 3:2 pulldown bug (not tested).

2003-06-06 Friday 11:09  gbazin

 * modules/misc/network/ipv6.c: oups, ipv6 multicast wasn't enabled on win32. Also fixed the interface name parsing in the MRL.

2003-06-06 Friday 02:48  hartman

 * Typo's by me. ( Cool i included a dutch sentence a while ago and noone noticed ?)

2003-06-06 Friday 02:23  hartman

 * All: some spelling corrections and description string clarifications.
   There is a lot of improvement left here.

2003-06-06 Friday 00:38  hartman

 * modules/gui/macosx/prefs.?:
   - Changed modules list to use Default instead of None. probably clearer to
     users.
   - Have a warning before resetting the prefs.

2003-06-05 Thursday 22:16  asmax

 * x11/x11_timer.* : classes to implement platform-independant timers
 * controls/text.cpp : text scrolling works ! (at least in the main window)

2003-06-05 Thursday 21:22  gbazin

 * modules/gui/skins/*, modules/gui/wxwindows/*: added the wxWin popup menu to the skins interface.

2003-06-05 Thursday 11:52  gbazin

 * include/vlc_common.h: fixed the I64C() macro for mingw.
 * src/misc/mtime.c: implemented the heuristic described in http://www.cs.man.ac.uk/fellowsd-bin/TIP/7.html to test whether the win32 performance counter is reliable. That should fix the clock problems that a few users reported on win32.

2003-06-04 Wednesday 23:17  massiot

 VLC 0.6 codename is Trevelyan.

2003-06-04 Wednesday 21:41  titer

  Added a special access module for PVR MPEG-2 encoding boards.
  It allows to change the frequency and such things quite easily, from VLC.
  You'll have to --enable-pvr to build it.

2003-06-04 Wednesday 18:47  asmax

 * added <unistd.h> or it doesn't compile !

2003-06-04 Wednesday 17:44  gbazin

 * modules/gui/skins/x11/x11_api.cpp: implemented OSAPI_GetTime() and OSAPI_RmDir().

2003-06-04 Wednesday 16:44  gbazin

 * modules/gui/skins/src/vlcproc.cpp: compilation fix.

2003-06-04 Wednesday 16:03  gbazin

 * modules/gui/skins/*: misc fixes and clean-up. There are still thread issues when passing messages between the skins thread and the wxWindows dialogs thread that will need to be fixed.
 * modules/gui/wxwindows/timer.cpp: fixed comment.

2003-06-03 Tuesday 23:17  massiot

 * OS X users can now browse the DVD menus with the arrow keys.

2003-06-03 Tuesday 22:21  hartman

 * When choosing a autogenerated menuitem, we now create a new thread to
   do the actual execution of this command. this is a (very ugly) workaround
   to the problem we were having with the deinterlace menu on osx.

   It works now, but now i'm running into the black screen and continous
   "late picture skipped (-218000)" again which is also plagueing us when you
   enter fullscreen with a filter enabled. This ought to be fixed before 0.6.0
   as well.

2003-06-03 Tuesday 22:20  gbazin

 * modules/gui/skins/src/*: oops, forgot to add a bunch of files.

2003-06-03 Tuesday 22:18  gbazin

 * configure.ac.in: bail out with an error message if the x11 skins are enabled and we couldn't find imlib2.
 * modules/gui/wxwindows/*: fixed bug in sout dialog box.
 * modules/gui/skins/*: factorised the wxwindows dialogs code in dialogs.cpp. wxWindows is also initialised earlier on to allow opening a skins file with a wxWin dialog box. (Note: I badly broke the GTK2 skins).

2003-06-03 Tuesday 12:06  titer

  modules/gui/beos/* : fixed the screenshot format selection I broke lately

2003-06-02 Monday 16:01  sigmunau

 http.c: if the webserver doesn't return 206 the stream is not seekable.

2003-06-02 Monday 12:42  hartman

 * modules/codec/libmpeg2.c: fixed a crasher with invalid pictures
 * modules/gui/macosx/playlist.m: better fix for playlists on 10.1

2003-06-01 Sunday 23:48  hartman

 * ALL:
   - Changed the autogenerated menu's in a system working similar to wxWindows.
   - The deinterlace menu is autogenerated now. However it seems the problem
     with on the fly filter changes still exists.

2003-06-01 Sunday 22:11  asmax

 * modules/gui/skins/x11/x11_api.cpp: fixed OSAPI_GetScreenSize
 * all: added locks around X calls to make them thread safe (will be
   useful in the next commit ;-)

2003-06-01 Sunday 17:13  asmax

 * mouse wheel scroll for X11 skins

2003-06-01 Sunday 16:39  asmax

 * configure.ac.in : fixed linking of skins modules
 * modules/gui/skins/*:
   - fixed the wxwindows bug, due to a huge bug with broadcast events
   - beginning of fonts in X11 skins
 so, you can test the X11 skins module: it should work now !

2003-06-01 Sunday 00:26  fenrir

  * ts: fix current_next value.

2003-05-31 Saturday 23:41  sam

   * ./debian/vlc.mime: the vlc packages registers with the Debian MIME system.

2003-05-31 Saturday 23:23  ipkiss

  * skins/controls/button.cpp: Fixed a nasty bug.
  * skins/controls/generic.h: Some public fields are now protected
  * skins/src/window.cpp:
     - Added a few debug messages
     - Invisible controls don't receive events anymore

 Note: There are still a few bugs in the code handling the controls and
 their different states, and I think they will be difficult to fix with
 the current code structure. A rewrite of this part of code could be a
 good idea (perhaps using states and transitions between states, like
 Zinf does?).

2003-05-31 Saturday 21:49  fenrir

  * ts: proper fix for both.

2003-05-31 Saturday 16:15  fenrir

  * ts: reverse my last commit (the proper way should be to modify also the
  muxer but this will break compatibility).

2003-05-31 Saturday 12:24  titer

  * src/input/input_ext-intf.c :  added an input_SetRate function; it is
    quite more convenient than, e.g, calling input_SetStatus( STATUS_FASTER )
    two times if you want to switch from 1:1 to 4:1 from the interface.
    Old functions still work.
  * modules/gui/beos/VlcWrapper.cpp : use it

2003-05-31 Saturday 01:23  fenrir

  * mjpeg grabbing added, thanks to Paul Forgey <paulf at aphrodite dot com>
  that had done all the work.

 Paul Forgey's notes:
 --------------------

 Unfortunatley, the v4l interface shows how much it sucks here.  I can't
 wait for v4l2 to become more common.  Anyway, the mjpeg mechanism
 captures completely differently than the uncompressed frame capture
 mechanism.  This means the code has to split off a bunch to do similar
 things depending on mjpeg being set or not.  For some reason, I can't
 use non v4l2 calls to capture uncompressed frames from the lml33,
 however I do have another bttv card on my system to test that I didn't
 break the non-mjpeg stuff.

 The Zoran encoders don't use square pixels.  So the 4:3 (or 16:9)
 picture is going to show up as 720x480.  I don't know my way around the
 code well enough to know how to specify a non-square pixel aspect
 ratio.  If there isn't a way to do it, it would be nice to be able to
 specify as an option the aspect ratio of the sourc.  Either 4:3 or 16:9
 in the case of anamorphic S-Video, which does occur.

 I stole the videodev_mjpeg.h header from the lavrec project.  Despite
 the linux kernels having support for the Zoran cards, there doesn't seem
 to be a reliable way to pick up this header, which is probably why
 lavrec did it this way.  Since it only defines ioctl definitions, I
 don't think using it is a legal problem.

 I also modified the audio handling a bit.  If the card supports audio,
 great, we'll set the card's parameters as we did before.  But if adev=
 is specified, use it regardless.  The reason to do this is to capture
 audio from the sound card with video coming from, say, a web cam or in
 my case, an encoder card which doesn't have any audio capabilities at
 all.

2003-05-31 Saturday 00:10  fenrir

  * mux/ts.c : allowed sending mjpeg (who said that's ugly ?)
  * demux/ts.c : fixed an endian problem with such private stream.

2003-05-30 Friday 18:43  titer

  modules/gui/beos/* : fixed "Goto Menu" menuitem enabling

2003-05-30 Friday 17:30  titer

  modules/gui/beos/* : misc fixes & enhancements

2003-05-29 Thursday 21:40  asmax

 * X11 skins now use imlib2 -> you need to bootstrap
   wxwindows dialogs are not supposed to work yet, if they do you are
   lucky ;)

2003-05-29 Thursday 16:48  asmax

 * x11/x11_theme.cpp: better timing for SkinManage
 * src/vlcproc.cpp: hack to make OpenDialog work, but it MUST be
   changed !

2003-05-28 Wednesday 23:56  asmax

 * AT LAST events work in X11 skins !

2003-05-28 Wednesday 03:53  hartman

 * src/libvlc.h:
   - added "en" to the list of languages in the preferences.
   - added DIV1, DIV2, i263, WMV1 to video encoding options in prefs.
     FENRIR: is this correct this way?

2003-05-28 Wednesday 00:52  titer

  modules/video_output/x11/xcommon.c : compile fix for gcc != 3

2003-05-27 Tuesday 22:57  gbazin

 * install-win32: fixed the nsi script to not include the FAQ.

2003-05-27 Tuesday 22:42  hartman

 * Turn mem leaks into warning's instead of errors. Users seem to think that
   mem leaks will kernel panic there machine or something ;)A
   This will generate less bugreports, yet keep them visible to those who
   should and will care.

2003-05-27 Tuesday 22:08  gbazin

 * modules/gui/win32/Modules.am: strings.cpp has been removed.

2003-05-27 Tuesday 21:48  gbazin

 * ALL: bumped version to 0.6.0-test2
 * Makefile.am: got rid of the faq in the package-win32 target.

2003-05-27 Tuesday 20:43  gbazin

 * modules/access/vcd/cdrom.c: On winNT/2K/XP we set the track format to YellowMode2 when issuing raw read requests. Otherwise we can't read the SVCD DATA track which is in Mode2 Form1.

2003-05-27 Tuesday 13:22  titer

  * src/stream_output/announce.c : BeOS compile fix.
    setsockopt( IP_MULTICAST_TTL ) is done in network/ipvx.c (if supported),
    so there is no need to do it here again.
  * modules/gui/beos/* : minor fixes

2003-05-27 Tuesday 11:35  gbazin

 * modules/gui/wxwindows/*: fixed context menu problem on win32.

2003-05-27 Tuesday 01:48  hartman

 * removed vlc_wraptext

2003-05-26 Monday 19:26  gbazin

 * modules/video_output/directx/events.c: fixed breakage.

2003-05-26 Monday 19:06  gbazin

 * modules/audio_output/alsa.c: the aout-device obj var wasn't destroyed properly on probe() failure, preventing other audio plugins from working afterwards.
 * modules/gui/skins/src/skin_main.cpp: got rid of the skins shortcut.
 * modules/gui/wxwindows/*: the popupmenu is not created inside the timer anymore so the slider will still be active when the popup is triggered.
 * modules/video_output/directx/events.c, modules/video_output/x11/xcommon.c, src/playlist/playlist.c: new intf-popupmenu obj var to handle popup context menu requests from the vouts.

2003-05-26 Monday 16:06  gbazin

 * modules/gui/wxwindows/*: replaced the Advanced button with a checkbox. Small strings changes.

2003-05-26 Monday 14:59  hartman

 * modules/codec/quicktime.c: i had accidently upgraded this plugin to 100
 * modules/demux/avi/avi.c: fixed a spelling error reported by emulynx
 * modules/gui/macosx/intf.?: added a wrapString:toWidth function
 * modules/gui/macosx/prefs.?: removed the use of vlc_wraptext, because it
   was ugly. now we use our own, osx method. This fixes tooltips in japanese
   I'm not sure, but i think src/extras/libc.c vlc_wraptext is now unused.

2003-05-26 Monday 13:45  zorglub

 * The VLC-integrated SAP server now sends compliant packets. They can
   only be viewed with the CVS version of VLC

2003-05-26 Monday 02:09  gbazin

 * modules/gui/skins: got rid of init_lock and init_cond which aren't needed if you use vlc_thread_ready().
    started to implement X11Region and integrated the wxWindows dialogs.
 * configure.ac.in: the X11 skins are the default ones when you use --enable-skins. To select the GTK2 version, you also need to use --with-gtk2-skins.

2003-05-26 Monday 02:03  hartman

 * modules/gui/macosx/prefs.m: fixed the module selectors.
 * modules/video_filter/crop.c: clarified the use of crop. someone please
   check, i'm not entirely sure this is correct. Actually i think we should
   split this up in more then one config item, for GUI preferences clarity.
   Something like crop-width, crop-height, crop-h-offset, crop-v-offset, or
   like ffmpeg has which uses left, right, top and bottom offsets.

2003-05-26 Monday 01:25  hartman

 * extras/MacOSX/Resources/English.lproj/MainMenu.nib
 * modules/gui/macosx/output.m:
   - changed the textfields for bitrate into comboboxes with suggested values
     identical to the ones in wxwindows intf.
   - changed "bitrate (bps)" into "bitrate (kb/s)
 * modules/gui/macosx/prefs.?:
   - update the current view when advanced is changed.
   - module_lists now use the description strings.
   - always wraptext on tooltips. Currently japanese language is breaking.
   - we now have sliders for int/float config options with ranges.
   - fixed a warning message about an un-init'ed module_t.
 * modules/video_filter/adjust.c:
   - added the ranges to the description strings of the config options.
   - blur-factor now uses a range as according to it's description string
     it already should have used this.

2003-05-25 Sunday 23:08  titer

  modules/gui/beos/MediaControlView.cpp: fixed a strange crash that happens
    since the gettext behaviour changed

2003-05-25 Sunday 22:36  titer

  * bootstrap: remove a -shared flag as ./configure already adds it for
    platforms which need it
  * configure.ac.in: don't use -shared on BeOS

2003-05-25 Sunday 20:16  gbazin

 * configure.ac.in, modules/video_output/x11/xcommon.c: fixed configure check for the Xinerama extension.

2003-05-25 Sunday 19:24  gbazin

 * modules/video_output/x11/*, configure.ac.in: Xinerama support remotely based from an old patch by Xavier Maillard.

2003-05-25 Sunday 18:32  sigmunau

 convert the strings in the id3tags to utf8 before storing them.

2003-05-25 Sunday 18:02  nitrox

 . SAP/SDP packets parsing: ability to parse RFC compliant packets
   parse_sap returns the SAP header length
   parse_sdp only parse the SDP payload
   note that VLC will discard messages from the old miniSAP-server
   (You have to use CVS version of miniSAP-server)
   (Messages from the new miniSAP-server will be discarded with old VLC)

2003-05-25 Sunday 17:27  massiot

 * We now use UTF-8 internally under Mac OS X. This requires a libiconv-
 enabled version of gettext. (patch courtesy of the DJ)

2003-05-25 Sunday 17:21  titer

  modules/gui/beos/PreferencesWindow.* :
   * added a BBox around each panel (looks nicer)
   * now use BSliders for {integer,float}_with_range

2003-05-25 Sunday 11:31  gbazin

 * src/video_output/video_output.c, modules/video_output/directx/*, modules/video_output/x11/xcommon.c: fullscreen state is now attached to the input, so it will be remembered even if the vout is restarted (switching filters, dvd menus, etc...).
 * modules/video_filter/deinterlace/deinterlace.c: small change.

2003-05-25 Sunday 10:14  gbazin

 * modules/codec/ffmpeg/ffmpeg.c: fixed typo.

2003-05-25 Sunday 00:16  gbazin

 * modules/codec/ffmpeg/ffmpeg.c: clean-up for the ffmpeg config options.

2003-05-24 Saturday 23:40  gbazin

 * src/misc/variables.c, include/variables.h: first pass at object var inheritance.
 * rc/video_output/video_output.c, modules/video_filter/deinterlace/deinterlace.c: fixes to the deinterlace object var.

2003-05-24 Saturday 21:28  asmax

 * events aren't perfect yet, but it is better enough to commit

2003-05-24 Saturday 20:54  gbazin

 * src/video_output/video_output.c: new "deinterlace" object variable.
 * modules/gui/macosx/prefs.m: compilation fix.
 * modules/gui/wxwindows/menus.cpp: use the "deinterlace" object var.
 * modules/gui/skins/*: couple of fixes.

2003-05-24 Saturday 17:52  gbazin

 * modules/gui/skins/*: compilation fixes.
 * modules/gui/wxwindows/*: fixed the open dialog to switch to the requested file/disc/net section.

2003-05-24 Saturday 15:11  titer

  * Makefile.am: minor change in BeOS packages generation
  * doc/release-howto.txt: remove outdated info about how to build BeOS
    packages

2003-05-24 Saturday 13:14  gbazin

 * configure.ac.in: ffmpeg is now enabled by default. Also got rid of the --intf-win option which was deprecated.

2003-05-24 Saturday 13:05  massiot

 * modules/codec/libmpeg2.c: Fixed synchro with field pictures.

2003-05-24 Saturday 12:55  jpsaman

 Added option to run vlc as a Qt Embedded Gui Server. Use --qte-guiserver to enable this feature. The default is to run as a normal GuiClient.

2003-05-24 Saturday 12:53  sam

   * ./po/*: re-ran toolbox --update-po.
   * ./po/en_GB.po: the British translation is up to date.

2003-05-24 Saturday 12:35  sam

   * ./Makefile.am: used $(srcdir) where necessary (Closes: #319).

2003-05-24 Saturday 12:34  sam

   * ./toolbox: we no longer translate the Borland plugin.

2003-05-24 Saturday 12:10  sam

   * ./configure.ac.in: the help message now says libmad is enabled by
     default (Closes: #704).

2003-05-24 Saturday 11:53  sam

    * ./modules/access_output/udp.c: if the clock needs to be reset, we do not
      wait or we will face delay issues as reported in #794. Fix inspired from
      a suggestion by John Michael Zorko.

2003-05-24 Saturday 02:48  hartman

 * modules/codec/quicktime.c: cleaning up of the code. mostly cosmetic.
 * modules/demux/mp4/mp4.c: added SVQ1 for the quicktime decoder.
 * modules/gui/macosx/macosx.m: typo
 * modules/gui/macosx/prefs.m: fix of the module selectors.
 * po/nl.po: i've taken a head start on the translations.
 * src/libvlc.h: removed unused string RT_PRIORITY_TEXT

2003-05-23 Friday 23:53  sigmunau

 the http interface should now output valid xhtml 1.0.

2003-05-23 Friday 13:02  hartman

 * Updated the informal message to report the ip and port the http intf was
   started on. This will help ppl to actually use the thing ;)

2003-05-23 Friday 11:41  sam

   * Built-in modules were linked twice in the mozilla plugin; removed the
     non-PIC ones (Closes Debian bug #194384).

2003-05-23 Friday 00:00  hartman

 * vlc.ebuild: fixed the ebuild. Now i know it should work with a test2 ;)
 * modules/gui/macosx/vout.m: removed some code that was preventing us from
   using chroma converters.
 * modules/codec/quicktime.c:
   - added the video decoder. only works with SVQ3 atm, returns Invalid
     BITMAPHEADER for some reason in all other cases.
   - did some cleaning up. this might just work under Win32 now aswell,
     gibalou will do some testing tomorrow ;)
   - SVQ3 QT degrades faster then the ffmpeg version, but also recovers
     faster. I'm not yet sure which one i prefer.

2003-05-22 Thursday 22:24  gbazin

 * modules/gui/wxwindows/streamout.cpp: fixed typo.

2003-05-22 Thursday 21:42  gbazin

 * src/libvlc.h: fixed spelling mistake.
 * modules/gui/wxwindows/preferences.cpp: allow negative numbers in spinctrls.
 * modules/demux/asf,avi,mp4: use p_input->stream.control.b_mute.

2003-05-22 Thursday 20:56  hartman

 * spelling error in description string

2003-05-22 Thursday 20:45  hartman

 * added an ifdef for SVQ3

2003-05-22 Thursday 20:06  asmax

 * at last the python module works again !
  (so stupid: the flag -lavcodec had to be at the *end* of the line !)

2003-05-22 Thursday 18:30  asmax

 * started to repair build of python module

2003-05-22 Thursday 16:01  gbazin

 * src/audio_output/*, src/input/*: fixed the audio desync option. You can use positive as well as negative values.

2003-05-22 Thursday 15:34  hartman

 * modules/control/http.c: strings for the address and the port variable were switched.

2003-05-22 Thursday 14:40  hartman

 * fixed a localization issue

2003-05-22 Thursday 14:25  hartman

 * modules/gui/macosx/playlist.m: fixed my fix
 * modules/gui/macosx/output.m: removed a debug statement
 * modules/gui/macosx/prefs.m: fixed localizations of the prefs panel.

2003-05-22 Thursday 13:40  hartman

 * Fixed an issue that was preventing the use of the playlist in Mac OS 10.1

2003-05-22 Thursday 12:00  gbazin

 * INSTALL.win32: added a small note about running vlc under the msvc debugger.
 * modules/gui/wxwindows/*: small fixes.
 * modules/access/vcd/*, modules/access/cdda.c: re-activated autodetection of vcd and cdda on win32.
 * src/misc/cpu.c, src/stream_output/announce.c: msvc fixes.

2003-05-21 Wednesday 21:30  hartman

 * modules/gui/macosx/output.m: fixed the stream/transcode dialog. test1
   version was broken.
 * extras/MacOSX/vlc.pbproj/project.pbxproj: darn, absolute paths.

2003-05-21 Wednesday 19:55  hartman

 * vlc.ebuild: This ebuild should work if we release a test2.
 * modules/codec/quicktime.c: I added all the audio formats I know QT can handle.
   except for mp3 ;)
 * modules/codec/ffmpeg: added asv1 (disabled), and enabled IV31 on little endian,
   since the problems with this decoder are endian specific according to it's creator.

2003-05-21 Wednesday 18:09  jpsaman

 Reverting previous --with-libmpeg2-prefix commit. Thanks Gildas for reminding me!

2003-05-21 Wednesday 18:04  jpsaman

 More buildscript fixes.

2003-05-21 Wednesday 15:54  gbazin

 *  modules/audio_output/directx.c, modules/audio_output/waveout.c: we destroy the audio-device variable if the probing has failed.

2003-05-21 Wednesday 15:40  hartman

 * include/main.h
   src/libvlc.c: Added a quicktime_lock on SYS_DARWIN
 * ALL: QT on OSX is not threadsafe in certain areas. i have found the proces
   of identifying the right Codec to use for decoding to be one of these areas.
   So when we do this, only one thread at a time can use QT.
   Watching QT trailers is doable now, as soon as ffmpeg fix their altivec optimizations again ;)

2003-05-21 Wednesday 13:27  gbazin

 * modules/gui/skins/src/vlcproc.cpp: fixed yesterday's breakage.
 * modules/gui/wxwindows/menus.cpp: fixes for menu auto-generation.
 * src/video_output/video_output.c: added a "fullscreen" object variable.
 * modules/video_output/directx/*: added an always-on-top object variable and modified to take into account the fullscreen object variable.

2003-05-21 Wednesday 13:19  sigmunau

 removed the desctiption texts of a nonexisting config option

2003-05-21 Wednesday 13:10  sigmunau

 removed the --playlist option as it doesn't seem to be used

2003-05-21 Wednesday 10:02  fenrir

 * wav: fix a parsing bug.

2003-05-20 Tuesday 23:17  gbazin

 * modules/gui/wxwindows/*, modules/gui/skins/src/vlcproc.cpp: The open dialog box now handles multiple files selection.

2003-05-20 Tuesday 21:35  hartman

 * ALL: added a quicktime module.
   - This module provides QDM2 and QDMC sound support on OSX by linking to
     the native QT libraries. We now have FULL QT trailer support on OSX.
   - The video part of this decoder is not yet working on OSX.
   - This can be used for a future win32dll loader system as well.

2003-05-20 Tuesday 20:09  jpsaman

 Modified build scripts

2003-05-20 Tuesday 18:53  hartman

 * NEWS: updated some OSX info
 * ALL:
   - added CDDA support
   - added a "Online Documentation" item to the Help menu
   - removed some debugging strings

2003-05-20 Tuesday 16:20  zorglub

 All: Support for SAP advertising in stream output

 	add sap, or sap="Name" in the stream output options

2003-05-20 Tuesday 16:08  sigmunau

 kde.cpp: explicitly tell kde with icons to use. Should fix a crash that
 caused AIGALRM.
 kde.cpp, interface.cpp: turn --kdeuirc into --kde-uirc to comply with naming
 conventions

2003-05-20 Tuesday 15:51  hartman

 * THANKS: Added Davor Orel who created the OS X icons.
 * modules/gui/macosx/macosx.m: changed a float into a float with range

2003-05-20 Tuesday 15:23  hartman

 * Added a Reset prefs option
 * New prefs dialog much like the wxWindows and BeOS one.
   - translated instances might be broken.
   - still need sliders for min/max values
   - improved sizing should be done.

2003-05-20 Tuesday 11:44  titer

  modules/gui/beos/PreferencesWindow.* : cleaning

2003-05-19 Monday 23:36  gbazin

 * modules/audio_output/alsa.c: fixed a breakage I introduced a couple of weeks ago.

2003-05-19 Monday 21:39  asmax

 * a lot of cleaning in X11 skins, but some problems remain with
   event handling :(

2003-05-19 Monday 21:04  gbazin

 * modules/gui/wxwindows/Modules.am: included the 2 new bitmaps.
 * po/*: updated the po files.

2003-05-19 Monday 20:47  gbazin

 * Bumped version to 0.6.0-test1
 * modules/access/cdda.c: decreased the priority of the cdda plugin.

2003-05-19 Monday 11:38  gbazin

 * src/stream_output/stream_output.c, modules/stream_out/duplicate.c: bug fixes for when the stream output duplication fails for whatever reasons.

2003-05-19 Monday 09:57  gbazin

 * modules/gui/wxwindows/bitmaps/*: forgot to add 2 files in my last commit.

2003-05-18 Sunday 23:16  fenrir

  * input_program.c: input_DelES destroyed the decoder (if any) without
  removing this ES from the list of selected ES. So, instead we call
  input_UnselectES.

2003-05-18 Sunday 22:30  titer

  modules/gui/beos/MessagesWindow.cpp : fixed a minor scrolling issue

2003-05-18 Sunday 20:54  jpsaman

 Updated release numbering of packages.

2003-05-18 Sunday 19:46  gbazin

 * modules/gui/wxwindows/*: removed the text from the toolbar. Added play slower and play faster buttons.

 PS: We really need nicer toolbar icons for the wxWindows interface. Anybody would like to design some ?

2003-05-18 Sunday 18:56  hartman

 * fixed a few spelling errors, and added a note about QDM2 sound which is still unsupported

2003-05-18 Sunday 17:48  asmax

 * added transparency in X11 skins

2003-05-18 Sunday 16:27  gbazin

 * modules/gui/wxwindows/*: the open dialog box is created only once and reused when needed. This allows to have the previous settings displayed when you re-open the dialog.

2003-05-18 Sunday 15:44  gbazin

 * modules/access/vcd/*, modules/access/cdda.c: changed ioctl_ReadSector() into ioctl_ReadSectors(), a function that can read multiple sectors at a time.
   Modified the cdda plugin to read 20 sectors at a time. This was necessary because it was overkill to read the data sectors by sectors and was creating problems under Windows.

2003-05-18 Sunday 12:18  gbazin

 * modules/gui/wxwindows/open.cpp: small fixes.
 * modules/access/vcd/cdrom.c: win32 fix for cue file parsing.
 * modules/video_filter/osd_text.c: small win32 fix.

2003-05-18 Sunday 11:25  asmax

 * first BMP loader for X11 skins : it can only handle 24bbp uncompressed
   images, but it works !

2003-05-17 Saturday 23:57  gbazin

 * INSTALL.win32: finally updated the instructions on how to build vlc for win32 :)
 * install-win32, Makefile.am: updates for the win32 package.
 * NEWS: added a few missing things.

2003-05-17 Saturday 22:48  gbazin

 * modules/gui/wxwindows/menus.cpp: don't display choices menu when there is only 1 choice available.
 * modules/gui/wxwindows/streamout.cpp: small cosmetic changes.
 * modules/gui/wxwindows/open.cpp: added a CD Audio entry.

2003-05-17 Saturday 22:00  gbazin

 * include/input_ext-intf.h: forgot this file in my last commit.
 * src/input/input_programs.c: prev/next-chapter and prev/next-title navigation variables are created only when necessary.

2003-05-17 Saturday 20:30  gbazin

 * modules/access/cdda.c, modules/access/vcd/*: New CD digital audio module (by me and fenrir).
   You can now listen to your favorite CDDAs with vlc, or even stream them :)
   (Their is not yet any support for jitter correction).
 * modules/codec/araw.c: small clean-up.

2003-05-17 Saturday 18:30  titer

  * modules/gui/beos/MessagesWindow.* : cleaning
  * modules/gui/beos/PreferencesWindow.* : split the main modules into
    its categories

2003-05-17 Saturday 15:20  titer

  modules/gui/beos/* : cosmetic

2003-05-17 Saturday 14:36  gbazin

 * modules/video_output/directx/events.c: implemented the same shortcuts as in the x11/xvideo output.

2003-05-17 Saturday 11:35  gbazin

 * configure.ac.in: removed the encoders from the list of plugins as they are not used currently.
 * src/libvlc.h, modules/audio_filter/resampler/bandlimited.c: added an hq-resampling option to enable/disable the high quality resampling.

2003-05-16 Friday 23:02  gbazin

 * modules/packetizer/copy.c, modules/stream_out/transcode.c: added SVQ3 fourcc so we can transcode SVQ3. Small bug fix as well.

2003-05-15 Thursday 23:05  gbazin

 * src/input/input_programs.c: a few fixes to the navigation object variable.

2003-05-15 Thursday 22:27  massiot

 * now 0.6.0-cvs
 * ALL: Capitalize all preferences text strings

2003-05-15 Thursday 21:31  gbazin

 * src/input/input_programs.c: implemented prev-title, next-title, prev-chapter and next-chapter object variables.
 * modules/gui/wxwindows/menus.cpp: put the above variables into the Navigation menu.

2003-05-15 Thursday 20:45  jpsaman

 Added --with-libmpeg2-prefix= option to support cross-compiling for arm-target.

2003-05-15 Thursday 20:28  jpsaman

 Updating version to 0.5.4.
 Enable building with libmpeg2.

2003-05-15 Thursday 16:02  sam

   * ./Makefile.am: fixed LDFLAGS when using --enable-gprof.

2003-05-15 Thursday 15:59  gbazin

 * modules/gui/wxwindows/*: small fixes and improvements.

2003-05-15 Thursday 15:50  sam

   * ./toolbox: toolbox --update.po now updates po/POTFILES.in as well.

2003-05-15 Thursday 15:35  hartman

 * Makefile.am: on make dist move vlc.ebuild
 * vlc.ebuild: small spelling correction

2003-05-15 Thursday 02:02  hartman

 * Went trough my maillogs and filled out large parts of the NEWS file.
   please check and add your own. (i was bored ;)
 * Updated the README.MacOSX.rtf with some more pointers and changed version
   to 0.6.0

2003-05-15 Thursday 01:33  gbazin

 * modules/gui/wxwindows/streamout.cpp: updated the stream output dialog to use the new stream output syntax and features.

2003-05-15 Thursday 01:23  hartman

 * variable callback for the playlist. the input, audio and video still need
   to be done, waiting for gibalou to work his magic on that ;)
 cvs: ----------------------------------------------------------------------

2003-05-15 Thursday 00:46  hartman

 * added vlc.ebuild, vlc.spec.redhat to dist.
 * added all the new icons to the dist.
 * on make dist i would like to do
   mv vlc.ebuild vlc-${VERSION}.ebuild
   I don't know how to do this. Who does?

2003-05-15 Thursday 00:32  hartman

 * ./vlc.ebuild: a ebuild for the Gentoo Linux distribution.
   Because of the cvs snapshots of libmpeg2 and ffmpeg, this ebuild will
   need to be updated before release, to point out the correct links to
   these libraries.

2003-05-14 Wednesday 21:29  fenrir

  * aac: compilation fix.
  * libvlc.h : set correct value for sout-a/vcodec

2003-05-14 Wednesday 19:47  hartman

 * Resized some elements to allow for better translations.

2003-05-14 Wednesday 17:17  sam

   * ./debian/control: Debian packages now build with an mpeg2dec CVS tree in
     the extras/ directory.

2003-05-14 Wednesday 14:58  fenrir

  * aac: use extention based detection.

2003-05-14 Wednesday 14:57  hartman

 * Forgot one

2003-05-14 Wednesday 14:56  hartman

 ALL: Davor won the vote, New icons in place.

2003-05-14 Wednesday 11:15  fenrir

  * ts: do not use DVB reserved pid(s) (thanks Miguel Barreiro Paz)

2003-05-14 Wednesday 09:00  gbazin

 * modules/gui/skins/Modules.am: include module/gui/wxwindows/subtitles.cpp.

2003-05-13 Tuesday 23:41  gbazin

 * modules/gui/wxwindows/menus.cpp: forgot a vlc_object_release(). The popup menu is now created on the stack.

2003-05-13 Tuesday 22:59  gbazin

 * modules/gui/wxwindows/*: added a navigation menu in the interface menubar.
 * modules/gui/wxwindows/subtitles.cpp: forgot this one in my last commit.

2003-05-13 Tuesday 22:33  gbazin

 * modules/gui/wxwindows/*: new subtitles file dialog box.
 * modules/demux/util/sub.c: fixed a few description strings.
 * Makefile.am: small cosmetic change to package-win32 target.

2003-05-13 Tuesday 20:36  asmax

 * beginning of event processing in X11 skins
 * graphics should work, but....

2003-05-13 Tuesday 19:25  asmax

 * changed OSGraphics constructor (needed for X11)

2003-05-13 Tuesday 14:11  titer

  modules/gui/beos/PreferencesWindow.*:
   - use BMenuFields for string_from_list config items
   - cleaning

2003-05-13 Tuesday 12:09  gbazin

 * modules/control/rc/rc.c: win32 fixes for the handling of special control keys.

2003-05-13 Tuesday 11:44  gbazin

 * modules/gui/wxwindows/preferences.cpp: small fixes.

2003-05-13 Tuesday 11:18  titer

  modules/gui/beos/PreferencesWindow.*: use config_ResetAll()

2003-05-12 Monday 21:55  gbazin

 * modules/gui/wxwindows/preferences.cpp: the config panels are now generated on demand instead of generating everything at the beginning. ResetAll now also takes care of resetting the values shown in the config panels.
 * modules/gui/wxwindows/open.cpp: small cosmetic changes.

2003-05-12 Monday 19:59  titer

  modules/gui/beos/VlcWrapper.h: compile fix

2003-05-12 Monday 19:11  gbazin

 * include/vlc_common.h: small change to shut-up some memory checkers.

2003-05-12 Monday 17:33  gbazin

 * modules/gui/skins/*: got rid of wxdialogs.h, the skins plugin is now sharing wxwindows.h with the wxwindows plugin.
 * modules/video_output/directx/events.c: fixed non-initialized variable.
 * modules/gui/wxwindows/*: misc improvements to the playlist window (added an "Open MRL" menu as well as menus to load and save a playlist, we also make use of the "intf-change" playlist object variable now).
 * src/playlist/playlist.c: the playlist file is opened in text mode, no win32 eol hack is needed.
 * src/misc/configuration.c, include/configuration.h: new config_ResetAll() function to reset all config options to their original values (you still need to config_SaveConfigFile()).
 * modules/gui/wxwindows/preferences.cpp: new "Reset All" button in the preferences panel.

2003-05-12 Monday 01:17  hartman

 * First set config variable, then add the files (and therefore potentially
   play them) in the playlist. Otherwise we can be too late.

2003-05-11 Sunday 23:17  hartman

 * extras/MacOSX/vlc.pbproj/project.pbxproj:
   - Add the THANKS file to the Mac OS X application
 * modules/gui/macosx/about.?:
   - Use c-style comments instead of //
   - Open the AUTHORS file with the correct Encoding
   - Display the THANKS file as well
   - Rotate the scrolling when at the end
 * modules/gui/macosx/intf.m:
   - put Cocoa into multithreaded mode as soon as possible. Not really
     causing any problems now, but is cleaner.
 * modules/gui/macosx/prefs.m:
   - Select the current setting when we create a combobox.

2003-05-11 Sunday 19:09  hartman

 * ALL:
   - removed a bit too much code from the interface files previous commit.
     Menu's were enabled if there was no input.
   - removed a NSLog which was used for bugtracking

2003-05-11 Sunday 18:49  hartman

 * modules/po/.cvsignore: i guess the following doesn't belong in CVS, so i want
 cvs to stop bugging me about it ;)

 *.sed
 *.sin
 *.header
 Rules-quot

2003-05-11 Sunday 18:43  gbazin

 * src/input/input_programs.c: small bug fix.
 * src/misc/variables.c: compilation fix for MSVC.

2003-05-11 Sunday 18:41  hartman

 * forgot one file. see previous intf.m commit for details.

2003-05-11 Sunday 18:40  hartman

 * src/input/input_programs.c: Added a 'intf-changed' variable as vout, aout
   and playlist already have, to be notified of menu changes.
 * src/video_output/video_output.c: Changed a 1 to a VLC_TRUE
 * modules/gui/macosx/intf.?: Interface listens for changes in the input
   menu's now.

2003-05-11 Sunday 15:55  gbazin

 * modules/gui/wxwindows/interface.cpp: work-around a bug in wxWindows for menus auto-generation.

2003-05-11 Sunday 14:33  sigmunau

 Added code to render subtitles with the freetype module (disabled by default).
 To test it out define USE_FREETYPE in the top of modules/demux/util/sub.c
 and  modules/codec/spudec/text.c and run with --filter osdtext

2003-05-11 Sunday 13:45  gbazin

 * configure.ac.in: fixed the wx-config detection by the skins plugin.
 * modules/gui/wxwindows/*: fixed a couple of breakage.

2003-05-11 Sunday 13:22  gbazin

 * modules/gui/wxwindows/*: the wxWindows plugin is now UNICODE happy.

2003-05-11 Sunday 13:14  sigmunau

 use c comment, and not c++

2003-05-11 Sunday 08:42  sigmunau

 * osd_test.c: better size calculations. Use VLC_VAR_TIME for precise timing
 (doesn't seem to work)

2003-05-11 Sunday 01:00  massiot

 * modules/audio_filter/resampler/coreaudio.c: more accurate frame length
   calculation
 * modules/audio_output/coreaudio.c: apparently the audio card clock can
   be screwed, so probe it at every buffer
 * src/audio_output/output.c: Thou shalt not drop buffers

2003-05-10 Saturday 20:49  hartman

 * fix titer's language commit. The list needs to end with a NULL, or VLC will
   no longer start. (it fails on the duplication of the config of this variable)

2003-05-10 Saturday 18:16  fenrir

  * ffmpeg : fix for svq3.

2003-05-10 Saturday 13:52  titer

  POTFILES.in: forgot a file yesterday...

2003-05-10 Saturday 13:40  titer

  * src/libvlc.[ch]: removed --translation to avoid breaking compatibility
  with old config files; --language is now a string_from_list you can use
  to specify the language (default is auto-detection).

2003-05-10 Saturday 11:08  gbazin

 * src/input/input_programs.c: misc fixes/improvements to the video-es/audio-es/spu-es object variables.

2003-05-10 Saturday 11:05  hartman

 * added VP31 fourcc's.
 * disabled the vp31 and iv31 iv32. In it's current state it is too ugly too
   actually use it. It would generate too many bugreports.

2003-05-10 Saturday 10:32  hartman

 * Finished the sout dialog on OSX.

2003-05-09 Friday 23:23  fenrir

  * ffmpeg: now ffmpeg has a SVQ3 decoder, so use it :)

2003-05-09 Friday 22:03  sigmunau

 oss.c: give a warning if --spdif is set but the sourndcard don't support it.

2003-05-09 Friday 20:30  massiot

 France 1 - Italy 0

2003-05-09 Friday 19:53  fenrir

  * faad: better support of AAC without ESDS.

2003-05-09 Friday 19:30  titer

  Updated POTFILES.in for BeOS' i18n

2003-05-09 Friday 19:29  fenrir

 * mp4: fixed mace3/6 decoding. Only mono audio is working on the sample I
 have found.

2003-05-09 Friday 16:01  gbazin

 * modules/misc/httpd.c: win32 fixes.
 * modules/control/http.c: fixed a problem with IE that sends POST requests instead of GET ones.

2003-05-09 Friday 02:39  fenrir

  * mmstu: fixed a lookup.

2003-05-09 Friday 01:19  hartman

 * modules/gui/macosx/prefs.m:
   - possibly fixed a crash situation when clicking the OK button (not sure though)
 * modules/gui/macosx/macosx.m:
   - made the transparency option an advanced option.

2003-05-09 Friday 00:58  titer

  * src/misc/messages.c: forget a defined(SYS_BEOS) in my last commit
  * src/misc/configuration.c: config_PutPsz now sets the variable to NULL
    if the string is empty
  * modules/gui/macosx/prefs.m: remove duplicate (now) code with config_PutPsz

2003-05-09 Friday 00:41  hartman

 * modules/gui/macosx/prefs.?:
   - made the advanced button better.
   - added missing CONFIG_ITEM_DIRECTORY support
 * extras/MacOSX/Resources/English.lproj/MainMenu.nib/*:
   - added the semi 'apple' default of com-, as a hotkey for the prefs.

2003-05-08 Thursday 23:11  hartman

 modules/gui/macosx/intf.m: We shouldn't save the config file when the interface closes. This explains a lot of bugreports ;)

2003-05-08 Thursday 19:51  fenrir

  * ftp : updated copyright info.

2003-05-08 Thursday 19:26  fenrir

  * v4l: clean up.

2003-05-08 Thursday 19:21  fenrir

  * v4l: remove __V4L_AUDIO_ (useless)

2003-05-08 Thursday 19:06  titer

  ALL: fixed BeOS-specific warnings (ssize_t is not a int but a long,
 vasprintf if defined but not declared in the system headers...)

2003-05-08 Thursday 17:13  massiot

 * modules/gui/macosx: Fixed crashes with the new submenus when used on a
   localized system
 * Removed the "EXPERIMENTAL" in "DVD menus (EXPERIMENTAL)", and enabled
   the DVD menus by default.

2003-05-08 Thursday 15:58  gbazin

 * modules/access/file.c: fixed large file support on win32.
 * src/libvlc.[ch]: made the description of the translation option more explicit.

2003-05-08 Thursday 14:15  titer

  src/libvlc.*: --translation is now a string. Usefull if want to specify
  a different language than your OS, or if your OS is not localized...

2003-05-08 Thursday 12:09  gbazin

 * modules/gui/wxwindows/menus.cpp: misc small fixes.

2003-05-08 Thursday 10:45  titer

  modules/gui/beos/PreferencesWindow.cpp: cosmetic

2003-05-08 Thursday 10:40  titer

  * modules/gui/beos/AudioOutput.cpp: more cleaning
  * modules/gui/beos/VideoOutput.cpp: in fullscreen, add an item "Show
    Interface" to the popup

2003-05-08 Thursday 01:16  hartman

 ALL: autogenerated menu's for chapter,title,program,audio-es,spu-es and video-es.
   - video-es seems broken. it always starts with -1 (Disabled) selected.
   - moved some menuitems to other menu's for gui interface consistency with
     other gui's.
   - added a "fit to screen" menuitem.

2003-05-08 Thursday 01:05  titer

  src/misc/beos_specific.cpp:
      Fixed a very old bug: if the user hit Alt+Q, don't let the be_app
      exit without any cleaning (that made VLC crash badly)

2003-05-07 Wednesday 23:13  hartman

 * changed "Gayscale video output" option back into "Grayscale video output"

2003-05-07 Wednesday 19:20  titer

  modules/gui/beos/AudioOutput.cpp: cleaning

2003-05-07 Wednesday 17:27  titer

  * modules/gui/beos/MessagesWindow.cpp: fixed a nasty bug
  * modules/gui/beos/PreferencesWindow.*: now you can save preferences

2003-05-07 Wednesday 16:47  titer

  modules/gui/beos/PreferencesWindow.cpp:
   Misc enhancements

2003-05-07 Wednesday 15:54  gbazin

 * modules/gui/wxwindows/*: Fix (use different id numbers for each menus).

2003-05-07 Wednesday 15:44  fenrir

  * ffmpeg: --ffmpeg-truncated is now an int :
   * -1 -> CODEC_FLAG_TRUNCATED is set only if width == height == 0 (only TS should produce this)
   * 0  -> disable CODEC_FLAG_TRUNCATED
   * 1  -> force CODEC_FLAG_TRUNCATED

2003-05-07 Wednesday 14:49  titer

  modules/gui/beos/*: fixed a few things I broke recently (dvd menus,
                      screenshots...)

2003-05-07 Wednesday 12:23  gbazin

 * modules/gui/wxwindows/*: misc fixes.

2003-05-07 Wednesday 02:31  fenrir

  * mp4: raaaah, sometime moov box are masqueraded by a free box, so I look
 at free box content to see if it could be moov box, I hope there won't be
 any misdetection. (Even when there is a spec, nobody follows it :((

2003-05-07 Wednesday 00:28  fenrir

  * ffmpeg: do not use CODEC_FLAG_TRUNCATED by default as it seems buggy
 with valid files. You have to use --ffmpeg-truncated to force it.
  MPEG-4 in TS won't work unless you use --ffmpeg-truncated :((

2003-05-07 Wednesday 00:18  gbazin

 * modules/gui/wxwindows/open.cpp: removed the channels server entry.

2003-05-06 Tuesday 21:01  gbazin

 * modules/demux/mpeg/ts.c: fixed my last f*ckage + a bit of clean-up.

2003-05-06 Tuesday 20:12  hartman

 * ALL: there were reports of crashes in the menucode. i think it was that
   the VLCWindow could suddenly disappear (the vout closed) and therefore we
   could no longer reference it. This should fix that. Also made this code
   more generic to avoid code duplication.

2003-05-06 Tuesday 16:05  fenrir

  * mp4: fix a segfault and play .3gp with h263 video track.

2003-05-06 Tuesday 14:19  fenrir

  * http: redirect to main page each time we pass arguments. (it's done by
 an html header and not by the http protocol. I know it's bad but it's a
 lot easier ;)

2003-05-06 Tuesday 12:57  fenrir

  * http: fix 'add mrl'.

2003-05-06 Tuesday 02:17  titer

  Makefile.am: fixed BeOS package generation when all modules are built-in

2003-05-06 Tuesday 02:01  fenrir

  * mms: fix for builtin compilation.

2003-05-06 Tuesday 01:15  titer

  configure.ac.in: fixed static linking with libintl and libiconv

2003-05-05 Monday 22:48  gbazin

 * modules/demux/mpeg/ts.c: compiler warning fix.
 * src/input/input_programs.c: a "Disable" choice is added by default to "audio-es", "video-es" and "spu-es".

2003-05-05 Monday 22:23  gbazin

 * ALL: changed the prototype of input_AddES() to include enough information so we can build an "video-es", "audio-es" and "spu-es" object variable. These variables can be used by the interfaces to navigate between the elementary streams.
 * modules/gui/wxwindows/menus.cpp: use the "foo-es" object variables.

2003-05-05 Monday 22:04  hartman

 * fixed the autogenerated menu's.

2003-05-05 Monday 21:35  titer

  configure.ac.in: fixed libdvbpsi detection for people who don't have
    stdint.h but inttypes.h

2003-05-05 Monday 16:29  gbazin

 * modules/gui/skins/src/*: forgot a few references to the channels server.

2003-05-05 Monday 16:09  gbazin

 * ALL: removed the old channels server stuff (was deprecated).

2003-05-05 Monday 15:52  fenrir

  * bits.h: clean up

2003-05-05 Monday 15:21  sigmunau

 implemented VLC_VAR_TIME using two ints

2003-05-05 Monday 14:58  sigmunau

 Implemented support for CONFIG_ITEM_DIRECTORY

2003-05-05 Monday 13:15  titer

  Updated NEWS for 0.5.4 release

2003-05-05 Monday 13:06  titer

  modules/gui/beos/*: Partial fix for Preferences resizing

2003-05-05 Monday 13:03  hartman

 NEWS: preparing for 0.5.4 release. Please update the NEWS file everyone.
 README.MacOSX.rtf: clarified some things.

2003-05-05 Monday 12:15  gbazin

 * modules/gui/skins/src/*: compilation fixes under win32.

2003-05-05 Monday 11:49  sam

   * ./src/video_output/video_output.c: fixed a crash that occurs when the
     width and height variables are set to their default values.

2003-05-04 Sunday 23:39  gbazin

 * src/audio_output/output.c: fixed warning.

2003-05-04 Sunday 23:38  massiot

 * First round of capitalization of description strings.

2003-05-04 Sunday 23:03  gbazin

 * po/POTFILES.in: added the new modules since 0.5.3

2003-05-04 Sunday 22:42  gbazin

 * src/misc/variables.c, ALL: improvements to the object variables api.
    - added another argument to var_Change().
    - added a VLC_VAR_SETTEXT and VLC_VAR_GETTEXT method to var_Change()
      that are used to set/get a friendly name to an object variable.
    - added VLC_VAR_CHOICESCOUNT to var_Change() to be able to retrieve
      the number of availabel choices without having to get their value
      as well.
    - VLC_VAR_ADDCHOICE uses the extra var_Change() argument to assign
      a friendly name to the choice value.
    - VLC_VAR_GETCHOICES retrieves the choices values and their friendly
      names.

 * modules/gui/wxwindows/*: first step in implementing menu auto-generation in the wxWindows interface.

2003-05-04 Sunday 22:33  massiot

 * modules/codec/libmpeg2.c: fixed the "main: cannot delete object with
   children" bug.

2003-05-04 Sunday 18:51  fenrir

  * transcode: follow the same logic for ab than vb. (ie for a small value
 it's used as kb/s for higher ones it's b/s).
 Just a remember, transcode options are:
 acodec= mpga,a52
     ab (kb/s)
 vcodec= mpgv,mp4v,h263,DIV1,DIV2,DIV3,I420,I422,I444,RV24,YUY2
     width
     height
     vb (kb/s)
     vt (b/s)
     deinterlace
     croptop
     cropbottom
     cropleft
     cropright
     keyint
     hq
     qmin (between 1 and 32)
     qmax (between 1 and 32)
 only acodec and/or vcodec are mandatories (and it's a good idea to always
 define vb,vt, and/or ab)

2003-05-04 Sunday 15:02  massiot

 * modules/audio_output/coreaudio.c: worked around a CoreAudio bug (should
   fix the "sound drops after half an hour" bug)
 * modules/audio_filter/resampler/coreaudio.c: reenabled the coreaudio
   resampler which works perfectly fine here
 Please test that I didn't break S/PDIF output on OS X.

2003-05-04 Sunday 12:40  sam

   * ./modules/video_output/sdl.c: avoid crashes at exit due to SDL being
     linked with svgalib and svgalib using atexit().

2003-05-04 Sunday 10:46  fenrir

  * mpga_audio: should fix an infinite loop when miss-detected free
 bitrate stream.

2003-05-04 Sunday 01:36  massiot

 More cleaning of the STATE_INVALID stuff (still not perfect though).

2003-05-03 Saturday 22:25  massiot

 Fixed handling of STATE_INVALID states.

2003-05-03 Saturday 18:11  fenrir

  * transcode: added qmin, qmax and hq(high quality) options.

2003-05-03 Saturday 14:33  fenrir

  * transcode: fix cropping code.

2003-05-03 Saturday 14:22  fenrir

  * transcode: fixed video resizing.

2003-05-03 Saturday 13:37  titer

  beos/* : New Preferences window that lets you configure everything.
           It is not complete yet (see the TODO in PreferencesWindow.cpp)

2003-05-03 Saturday 13:18  fenrir

  * transcode: added two options:
     - vt : video bitrate tolerance
     - keyint : number of inter frames between intra frames.

2003-05-03 Saturday 12:36  fenrir

  * v4l: used the same trick than vls to avoid too much resampling.

2003-05-03 Saturday 02:18  fenrir

  * ts: fix a memory leak.

2003-05-03 Saturday 02:09  fenrir

 [no log message]

2003-05-03 Saturday 01:52  fenrir

  * v4l: fix a stupid bug that broke audio.

2003-05-03 Saturday 01:12  fenrir

  * all: shut up valgrind ;) (memory leacks and one overead/overwrite).

2003-05-02 Friday 19:37  fenrir

  * transcode: fix about raw audio.

2003-05-02 Friday 17:35  fenrir

  * v4l: audio grabbing part begin to work :)

2003-05-02 Friday 16:25  fenrir

  * transcode: compilation fix.

2003-05-02 Friday 15:53  gbazin

 * modules/gui/skins/*: compilation fixes for MSVC. Almost working, we just to find a way to have flex.c not include unistd.h on win32 and not compile the wxwindows files when SKINS_BASIC is defined.

2003-05-02 Friday 15:36  titer

  Missing files

2003-05-02 Friday 14:51  fenrir

  * transcode: should be able to compress raw audio, need to be cleaned up.
  u8,s8,s16 big and little endian should be supported but not all tested.

2003-05-02 Friday 12:18  sam

   * ./configure.ac.in: another kludge to avoid linking twice with libavcodec.

2003-05-02 Friday 03:41  fenrir

  * transcode: accept and create raw video(I420,I422,I444,YUY2,RV24).

2003-05-02 Friday 03:40  fenrir

  * rawvideo.c: fix a bug while filling picture.

2003-05-02 Friday 00:33  fenrir

  * copy: added raw audio/video support.
  * avi: added raw audio support (little endian only).

2003-05-01 Thursday 13:51  ipkiss

  * ./modules/gui/skins/gtk2/gtk2_run.cpp: fixed compilation of the
    basic-skins plugin with GTK2
  * modules/gui/skins/parser/skin.*: small compilation fix, but i don't
    really understand why it is necessary :)

2003-05-01 Thursday 01:11  hartman

 * modules/gui/macosx/macosx.m
   - added a macosx-float config option
   - changed 'opaqueness' into 'macosx-opaqueness'
 * modules/gui/macosx/vout.?
   - let vout respect 'float' on top option.
   - added a toggle function to toggle float on top.
 ALL:
   - menuitem and corresponding code for float on top.

2003-04-30 Wednesday 23:58  hartman

 ALL: New output dialog that uses the new --sout syntax.
   - it is not so powerful as --sout (does not allow for multiple unicasts ie)
   - there is a bug in the transcode settings. not sure what is causing it.

2003-04-30 Wednesday 21:45  fenrir

  * mp4: fix playback of some stream with raw audio. I also split
 big audio chunk. (Avoid 100000 samples at once :(

2003-04-30 Wednesday 21:16  asmax

 * enable basic-skins for GTK2 (not tested yet ;)

2003-04-30 Wednesday 19:22  ipkiss

  * ./configure.ac.in:
     - added a basic-skins plugin, which doesn't make use of wxWindows
       dialogs (currently only works for win32)
     - renamed with-wx-config-path in with-skins-wx-config-path for the
       skins plugin, to avoid problems with the wxwindows plugin

2003-04-30 Wednesday 19:20  gbazin

 * modules/access/v4l/v4l.c: fixed breakage for devices supporting I420.

2003-04-30 Wednesday 14:04  hartman

 modules/gui/macosx/controls.m: fixed cosmetic issue with deinterlace menu.

2003-04-30 Wednesday 09:11  gbazin

 * modules/access/ftp.c, modules/access/http.c: slightly changed atoll() replacement.

2003-04-30 Wednesday 04:13  hartman

 modules/access/http.c:
 modules/access/ftp.c:
 * fixed a very serious bug in the atoll code. this contained a never ending while loop.
   It showed on systems without atoll() (MacOSX) as an inability to view http
   and ftp streams.

2003-04-29 Tuesday 22:44  fenrir

  all: use /* */ instead of // (we write c code)

2003-04-29 Tuesday 22:38  fenrir

  * stream_output.c: some sanity checks and bypass default behavour of
 module_Need (when I ask for udp I want udp or an error, but not file
 or something else) by adding ",none" when a module name is specified.
  I will clean up that by adding a flag to module_Need or something like
 that.

2003-04-29 Tuesday 21:32  fenrir

  * stream_output.c: fix segfault when not specifying mux name.

2003-04-29 Tuesday 20:36  ipkiss

  * ./modules/gui/skins/src/theme.cpp: avoid infinite recursion with
    circular anchoring

2003-04-29 Tuesday 20:29  fenrir

  * vlc_config.h: increased AOUT_PTS_TOLERANCE to 40ms, it avoids a lot of
 resampling with some files while keeping good synchronisation.
  Anybody has an idea of the maximum desynchronisation between audio and
 video that still be imperceptible ?

2003-04-29 Tuesday 20:17  hartman

 * modules/gui/macosx/playlist.m:
   - When we delete an item, update playlist with to indicate 'currently playing'

2003-04-29 Tuesday 16:03  gbazin

 * modules/audio_output/directx.c: fixed the "no sound on NT4" problem. The directx audio plugin wasn't freeing its resources properly in case Probe() failed so the waveout plugin couldn't open the audio device afterwards.
 * modules/video_output/directx/directx.c: work-around buggy video drivers that create unsupported surfaces without shouting. Hopefully, non overlay YUV surfaces shouldn't be created anymore if not supported.

2003-04-29 Tuesday 15:40  fenrir

  * file: use - to write on stdout. (but you can only use ts and ps muxer,
 as the others need to seek).

2003-04-29 Tuesday 12:54  gbazin

 * modules/gui/skins/*, configure.ac.in: removed the skins plugin depandancy on msimg32.dll. Additionnaly, TransparentBlt() and SetLayeredWindowAttributes() are only used if present on the system. This allows us to run the plugin (without transparency though) on NT4/win95/98 as well.

2003-04-28 Monday 23:25  fenrir

  * avi: fixed playback of broken stream....

2003-04-28 Monday 22:44  ipkiss

  * modules/gui/skins/win32/win32_run.cpp: clean exit of wxWindows thread

2003-04-28 Monday 20:46  ipkiss

  * ./modules/gui/skins/src/banks.cpp: fixed a segfault triggered by
    missing tags in the XML.

2003-04-28 Monday 14:32  asmax

 * skeleton of X11 skins

2003-04-28 Monday 14:12  asmax

 * skeleton of X11 skins

2003-04-28 Monday 12:25  asmax

 * changed Region into SkinRegion to prepare the X11 port

2003-04-28 Monday 12:00  asmax

 * fixed compilation under linux
 * added a flag GTK2_SKINS

2003-04-28 Monday 00:18  ipkiss

  * ./modules/gui/skins/*: first attempt at porting the skins to Win9x
    There is still a lot to do but some things are working.

2003-04-27 Sunday 23:16  gbazin

 * src/video_output/vout_pictures.c, include/video_output.h: added a vout_InitPicture() function that initializes a picture_t structure based on the given chroma and sizes.
 * modules/encoder/ffmpeg/video.c: misc improvements. Should also be able to handle more input chroma format.
 * modules/codec/rawvideo.c: a few fixes.
 * modules/access/v4l/v4l.c: misc improvments and cleanup. Should be able to handle more source chroma formats. On the fly video encoding is also working perfectly now.

2003-04-27 Sunday 17:53  gbazin

 * src/video_output/video_output.c: small bugfix + vout_Create() is now blocking until InitThread() has been run.
 * src/video_output/vout_pictures.[ch]: added support for FOURCC I411.
 * modules/codec/rawvideo.c: support for more chroma formats.

2003-04-27 Sunday 15:25  gbazin

 * modules/codec/ffmpeg/*: added chroma conversion capabilities to the ffmpeg plugin (using libavcodec's img_convert() facility).
   (I can finaly watch my RGB tarkin samples :))
 * modules/demux/rawdv.c: fixed a couple of compiler warnings.

2003-04-27 Sunday 14:56  gbazin

 * modules/demux/rawdv.c: fixes for when the video and audio sub-streams are not both selected.

2003-04-27 Sunday 14:11  gbazin

 * modules/misc/httpd.c: win32 fix for non-blocking sockets.

2003-04-27 Sunday 13:55  fenrir

  * avi: clean up. Some standard file (ie with 1 RIFF chunk ) has OpenDML
 index, so use it when normal index (idx1 chunk) isn't found.

2003-04-27 Sunday 13:03  fenrir

  * ffmpeg: stop skipping video sometime ;).

2003-04-27 Sunday 11:55  fenrir

  * avi: Support for OpenDML file.
  Not tested with file size > 2Go, so report status.

2003-04-27 Sunday 03:08  fenrir

  * httpd: added "Cache-Control: no-cache" by default.

2003-04-27 Sunday 02:00  jlj

  * ./configure.ac.in: Added --with-libmpeg2-tree

2003-04-27 Sunday 00:02  gbazin

 * modules/control/http.c: fixed buffer allocation problem.

2003-04-26 Saturday 22:06  fenrir

  * video: spelling error.

2003-04-26 Saturday 21:45  fenrir

  * ffmpeg: we always skip video if we have more than 5 second of late video.
 (This should avoid 'decoder stuck' message.)

2003-04-26 Saturday 21:36  gbazin

 * modules/control/http.c: brand new (and also basic) HTTP interface plugin for vlc (uses port 8080 by default).

2003-04-26 Saturday 20:51  fenrir

  * mpegaudio: if the file name end by .mp3, use a stronger dectection.
 (over the first 2ko).

2003-04-26 Saturday 14:54  gbazin

 * configure.ac.in: enabled xvid and ffmpeg encoders
 * modules/encoder/ffmpeg/*: misc fixes + support for I422 and YUY2 input chroma.

2003-04-26 Saturday 12:26  gbazin

 * modules/codec/rawvideo.c: added support for YUY2 and I422 and fixed a bug in FillPicture(). ( The v4l input is working here now :) )

2003-04-25 Friday 21:47  fenrir

  * libmp4: clean up and preliminary work to read mp4 file through http.
  * mp4: don't return a failed value when recognize a ref file, but use
 a dummy Demux function that return EOF.

2003-04-25 Friday 18:57  fenrir

  * ffmpeg: use bigger split size (~8000 samples) as it avoid too much
 resampling with my samples. Fix a potential divide by 0 (thx meuuh).

2003-04-25 Friday 17:35  fenrir

  *ffmpeg: split huge audio packets as aout didn't like them.

2003-04-25 Friday 17:33  fenrir

  * mms: reduce mtu (avoid too much delay with slow connection)

2003-04-25 Friday 12:37  gbazin

 * modules/gui/skins/src/vlcproc.cpp: small compilation fix.

2003-04-24 Thursday 20:49  fenrir

  * mp4: fix a buffer overflow.

2003-04-24 Thursday 20:33  fenrir

  * .cvsignore: forgot this file.

2003-04-24 Thursday 20:26  fenrir

  * asf: fix to play stream over mmsh.

2003-04-24 Thursday 20:24  fenrir

  * mpeg4video.c: use video size when available from bitmapinfoheader.

2003-04-24 Thursday 17:44  gbazin

 * src/libvlc.c: forgot to reload the command line options after we reload the main module when the user disables the translation.

2003-04-24 Thursday 16:13  gbazin

 * Makefile.am: added a dist-hook target to include the auto-generated msvc files into the dist. added src/misc/modules_plugins.h to the dist.

2003-04-24 Thursday 15:57  gbazin

 * modules/gui/skins/src/themeloader.*: dropped the dependancy on libtar
    for the .vlt skins support. libtar is still used if present, otherwise
    we use our small implementation of untar.

2003-04-24 Thursday 14:39  fenrir

  * mp4: select only first enabled track.

2003-04-24 Thursday 14:38  asmax

 * get screen size with gtk2

2003-04-23 Wednesday 15:18  titer

  modules/gui/beos/VlcWrapper.cpp: fixed the issue with untranslated
   strings and "...". i18n seems OK under BeOS now.

2003-04-23 Wednesday 10:29  asmax

 * fixed some constructors and destructors

2003-04-22 Tuesday 23:31  gbazin

 * modules/codec/libmpeg2.c: make sure there are no more linked pictures
    left when closing the decoder.

2003-04-22 Tuesday 22:57  ipkiss

  * ./modules/gui/skins/src/theme.cpp: fixed a bug with anchored windows

2003-04-22 Tuesday 22:25  gbazin

 * modules/audio_filter/converter/s16tofloat32swab.c:
    added an #ifdef HAVE_ALLOCA.

2003-04-22 Tuesday 21:45  gbazin

 * configure.ac.in: don't link with the math library on win32. It isn't
    needed and will even screw up things under cygwin with -mno-cygwin.

2003-04-22 Tuesday 19:26  asmax

 * output.c: avoid a floating point exception when aout-rate==0
 * gtk2_api.cpp: made valgrind happy ;)

2003-04-22 Tuesday 18:21  ipkiss

  * ./modules/gui/wxwindows/fileinfo.cpp: cosmetic changes

2003-04-22 Tuesday 17:56  asmax

 * fixed the volume slider bug

2003-04-22 Tuesday 16:36  titer

  * Makefile.am: fixed 'make package-beos'
  * modules/gui/beos/*: added _()s so the whole interface is translated
  * src/libvlc.c: ask gettext for UTF-8 strings (under BeOS only for now)
    FIXME: currently, untranslated strings are not converted to UTF-8

2003-04-22 Tuesday 16:28  fenrir

  * mp4: fix "mov playlist" handling. (raaah strncpy doesn't add '\0' :(

2003-04-22 Tuesday 12:54  gbazin

 * modules/codec/libmpeg2.c: fixed aspect ratio problem.

2003-04-22 Tuesday 11:38  fenrir

  * mp4: preliminary support of "mov playlist(ref) file"

2003-04-22 Tuesday 08:51  fenrir

  * mp4: more mov fields are parsed.

2003-04-21 Monday 22:12  asmax

 * changed "Font" into "SkinFont" (see previous commit)

2003-04-21 Monday 21:51  asmax

 * changed "Window" into "SkinWindow" to prepare X11 port
  (Window is already a Xlib type !)
   *** not tested under win32, please check ! ***

2003-04-21 Monday 18:39  asmax

 * at last fixed transparency under linux !!

2003-04-21 Monday 16:55  anil

 *All: fixed unwanted fileinfo window refresh under windows.

2003-04-21 Monday 16:22  gbazin

 * modules/misc/network/ipv4.c: a bit of cleanup.

2003-04-21 Monday 14:26  asmax

 * raise the skin window on top when clicked
 * a bit of code cleaning

2003-04-21 Monday 12:54  gbazin

 * configure.ac.in: print an error message if libmpeg2 is not found or too old.

2003-04-21 Monday 12:22  gbazin

 * configure.ac.in: the libmpeg2 plugin is now enabled by default when the right version of libmpeg2 is detected (0.3.2 aka cvs).

2003-04-21 Monday 11:47  asmax

 * added a preferences button in the default skin

2003-04-21 Monday 03:37  asmax

 * fixed the previous commit for linux

2003-04-21 Monday 02:50  asmax

 * fixed a timing issue under windows ?

2003-04-21 Monday 02:12  ipkiss

  * we now use a wxwindow dialog to load the skins, so we can get rid
    of our custom dialog

2003-04-21 Monday 01:47  asmax

 * shortcut handling under linux

2003-04-21 Monday 00:54  ipkiss

  * added preferences, file info and stream output dialogs to the skins

2003-04-21 Monday 00:33  massiot

 * configure.ac.in : finished disabling the old mpeg_video plug-ins.

2003-04-21 Monday 00:18  asmax

 * fixed refresh of the playlist (and a segfault...)

2003-04-20 Sunday 23:42  massiot

 * modules/codec/libmpeg2.c: fixed a problem with some frame rates (thx
   gibalou)

2003-04-20 Sunday 23:09  asmax

 * fixed a segfault at exit

2003-04-20 Sunday 22:52  asmax

 * a few segfaults but wxwindows works under linux !

2003-04-20 Sunday 22:52  gbazin

 * modules/audio_output/file.c: fixed a mismatch in a config name.

2003-04-20 Sunday 21:19  sam

   * ./modules/audio_output/oss.c: code comments.

2003-04-20 Sunday 21:15  sam

   * ./modules/video_output/fb.c: fixed a bug that prevented proper console
     resetting.

2003-04-20 Sunday 21:14  sam

   * ./mozilla/npvlc_rc.rc: fixed a typo in the MIME types.

2003-04-20 Sunday 20:28  ipkiss

  * added wxwindows Open and Messages dialog boxes into the windows skins
    (it may break things on linux...)

2003-04-20 Sunday 20:22  asmax

 * added wxwindows for skins !!

2003-04-20 Sunday 19:53  gbazin

 * configure.ac.in: removed useless --with-ffmpeg=PATH ./configure option.

2003-04-20 Sunday 19:29  fenrir

  * mms/* : begining of a m$-http-for-asf-streaming support.
  Proxy aren't yet supported. Use mmsh to force it, else mms will try it
 at the end (after mmst and mmsu). Some http url are in fact mmsh but
 not yet auto-detected.
  *Please report* not working url and any regression for mmst and mmsu.

2003-04-20 Sunday 19:03  jlj

   * ./modules/gui/skins/src/themeloader.cpp: compile fix (include errno.h)

2003-04-20 Sunday 16:45  karibu

 * Fixed mouse wheel

2003-04-20 Sunday 16:16  asmax

 * fixed the "always on top" bug

2003-04-20 Sunday 15:06  karibu

 * Added support of wheel with win32

2003-04-20 Sunday 15:00  karibu

 * Fixed support of wheel for playlist with GTK2
 * Added support of whell for slider with GTK2

2003-04-20 Sunday 14:11  gbazin

 * configure.ac.in, modules/codec/ffmpeg/ffmpeg.c: fixed my last breakage in the ffmpeg detection code.

2003-04-20 Sunday 13:14  asmax

 * enabled scrolling in the playlist with the mouse wheel

2003-04-20 Sunday 12:59  massiot

 * The libmpeg2 plug-in is now completely operational ;
 * configure.ac.in : disabled compiling the old mpeg_video plug-in, so :
 DO NOT FORGET TO INSTALL LIBMPEG2 AND COMPILE WITH --enable-libmpeg2

2003-04-20 Sunday 11:57  gbazin

 * configure.ac.in, modules/codec/ffmpeg/*, modules/encoder/ffmpeg/*, modules/stream_out/transcode.c: fixed detection of the ffmpeg headers/libs when they are installed in their default location.

2003-04-20 Sunday 01:05  asmax

 * fixed a typo with dvbpsi

2003-04-19 Saturday 13:55  hartman

 * Added a 'opaqueness' configoption to macosx-vout. Yeah i know, useles.
   But it's coooooool. http://sidekick.student.utwente.nl/videolan/transparent.jpg

2003-04-19 Saturday 12:39  karibu

 * Font fixed

2003-04-19 Saturday 12:33  hartman

 * There was a problem where deinterlace could not be turned off via it's
   corresponding menu. On thy fly filter changes are still not possible.

2003-04-19 Saturday 11:46  asmax

 * fixed a segfault

2003-04-19 Saturday 11:16  asmax

 * drag&drop works ! (at least with mozilla)

2003-04-19 Saturday 02:34  karibu

 * Fixed wrapping for texts
 * Filling GTK2Graphics and GTK2Region destructors

2003-04-19 Saturday 00:12  fenrir

  * mp4: some memory leaks fixed.

2003-04-18 Friday 22:51  sam

   * ./configure.ac.in: workaround for a bug in the OS X ld who sees symbol
     redefinitions when linking twice with the same static libary.

2003-04-18 Friday 22:43  fenrir

  * mp4.c : begining of a mp4/mov muxer.

  It's far from stable, produce file unplayable by mplayer at least,
 and doesn't yet take care of video/audio synchro.
 Becarefull that the header is written only when closing, and there is
 no way to repair a mp4 file without its header.

2003-04-18 Friday 22:38  fenrir

  * stream_output.c: add a vlc_mutex_lock/unlock ...

2003-04-18 Friday 19:26  titer

  Added a few keyboard shortcuts

2003-04-18 Friday 16:38  titer

  Under BeOS, disable the screensaver if playing in fullscreen.

2003-04-18 Friday 16:10  titer

  beos/*: fixed fullscreen shortcuts

2003-04-18 Friday 16:04  asmax

 * network stream now work
 * double-click is now implemented

2003-04-18 Friday 15:25  titer

  ALL: fixed i18n under BeOS

2003-04-17 Thursday 19:56  karibu

 * Ask tooney to know ! (fix minor bug)

2003-04-17 Thursday 17:45  asmax

 * small fix

2003-04-17 Thursday 16:34  karibu

 * Scrolling text now works on linux

2003-04-17 Thursday 16:32  karibu

 * Fixed kludge

2003-04-17 Thursday 16:30  karibu

 * Added AddEllipse: the slider now works ! :)

2003-04-17 Thursday 16:11  karibu

 * Added clip region to graphics
 * Added functionnality to region

2003-04-17 Thursday 15:43  karibu

 * Improved font support for linux (just missing underline parameter )

2003-04-17 Thursday 14:18  anil

 * oups forgot to commit this one. still the hide/show thing.

2003-04-17 Thursday 14:00  anil

 * We now use hide/show for the file info window

2003-04-17 Thursday 13:46  karibu

 * Can get size of a text

2003-04-17 Thursday 13:08  karibu

 * SkinManage is called by a timer
 * Timer for text control are working badly but it's the first step

2003-04-17 Thursday 10:58  fenrir

  * ffmpeg: remove some #ifdef (you need at least libavcodec build >= 4655)
 and use ffmpeg postprocessing instead of vlc builtins. (It's a lot faster).

2003-04-17 Thursday 10:53  karibu

 * Fixed dewtructor

2003-04-17 Thursday 10:42  asmax

 * beginning of font support !

2003-04-16 Wednesday 21:50  karibu

 * gtk2_theme.cpp: window are not automatically visibled
 * gtk2_window.cpp: removed fading transition delay
 * vlcproc.cpp: removed warning

2003-04-16 Wednesday 21:40  ipkiss

  *  modules/gui/skins/*: we now #include skin files using a relative
     path, so that MSVC is happy :)

2003-04-16 Wednesday 21:39  karibu

 * Removed debug calls

2003-04-16 Wednesday 21:30  karibu

 * Can now quit the interface

2003-04-16 Wednesday 19:22  karibu

 * gtk2_bitmap.cpp: fixed constructor bug
 * Events work better: controls are working, not still perfectly...

2003-04-16 Wednesday 16:33  fenrir

  * transcode: tried to fix compilation with older libavcodec.

2003-04-16 Wednesday 16:32  fenrir

  * mp4: fix a string format.

2003-04-16 Wednesday 16:20  fenrir

  * mp4: removed empty strings in msg_Dbg.

2003-04-16 Wednesday 15:34  asmax

 * small fix

2003-04-16 Wednesday 14:38  asmax

 * at last, transpareny WORKS !!!!!

2003-04-16 Wednesday 11:47  gbazin

 * modules/misc/dummy/input.c, modules/access/file.c, include/vlc_common.h:
    msvc compilation fixes.

2003-04-16 Wednesday 00:12  fenrir

  * modules/packetizer/mpegvideo.c : cut after a complete picture. (Not
 before first slice).
  * ffmpeg: use indeo v3 decoder (untested).
  * stream_ouput.c,libvlc.h : take care of:
  --sout-acodec,--sout-vcodec : use transcoding. (You can specify bitrate
 using --sout-abitrate and --sout-vbitrate in kilobits/s).
  --sout-display: to display while streaming.
 (Btw there is a problem with vout and display, it leads to a ref count = -1)

2003-04-15 Tuesday 22:16  asmax

  * remove a small kludge
  * tried to add transparency, but it doesn't work :(

2003-04-15 Tuesday 20:54  karibu

 * GTK2 events work even better

2003-04-15 Tuesday 20:42  karibu

 * Fixed GTK2 events

2003-04-15 Tuesday 20:33  karibu

 * Events are even better, not yet perfect !

2003-04-15 Tuesday 17:55  ipkiss

  * event broadcasting should work

2003-04-15 Tuesday 16:49  karibu

 * Fixed mouse leave notification

2003-04-15 Tuesday 16:47  karibu

 * Fixed mouse leaving notification for windows
 * Added mouse leaving notification for gdk

2003-04-15 Tuesday 16:42  karibu

 * Fixed mouse events

2003-04-15 Tuesday 15:53  gbazin

 * modules/codec/libmpeg2.c: small bugfix.

2003-04-15 Tuesday 14:05  hartman

 modules/gui/macosx/controls.m:
  * present the open dialog when pressing play button instead of 'standard'
    open dialog, to make users more aware of this dialog and the functions
    it has.
 ALL:
  * when opening a file NOT trough the Open dialog, make sure sout and
    suboptions are reset to ""

2003-04-15 Tuesday 12:40  hartman

 * reselect current playlist item when reordering items.

2003-04-15 Tuesday 11:46  ipkiss

  * compilation fix

2003-04-15 Tuesday 01:19  ipkiss

  * basic event handling

2003-04-14 Monday 23:10  sam

   * ./toolbox: the Solaris diff does not understand -q, just replaced it
     with 2>&1 >/dev/null.

2003-04-14 Monday 23:07  sam

   * ./toolbox: fixed a bashism.

2003-04-14 Monday 22:29  gbazin

 * modules/gui/skins/src/event.cpp: fixed another small buffer overrun.

2003-04-14 Monday 22:22  massiot

 * Implementation of a frame-dropping algorithm for the libmpeg2 plug-in
   (incomplete).

2003-04-14 Monday 21:38  asmax

 * implemented OSAPI_GetTime() with glib

2003-04-14 Monday 20:17  asmax

 * it works event better !!

2003-04-14 Monday 20:07  asmax

 * it works !

2003-04-14 Monday 18:10  sam

   * ./configure.ac.in: skins _disabled_ by default on [!win32].

2003-04-14 Monday 18:05  asmax

 * better window size

2003-04-14 Monday 17:56  karibu

 * Controls coordinate are available

2003-04-14 Monday 17:16  sam

   * ./debian/rules: we now build the static objects twice: once the normal
     way before we link them with VLC, and once with -fPIC so that they can
     be linked to the Mozilla plugin. Don't worry, it's Debian-specific, and
     we don't need it on x86.

2003-04-14 Monday 17:03  asmax

 * get the size of a bitmap

2003-04-14 Monday 10:18  asmax

 * bad directory

2003-04-14 Monday 10:00  karibu

 * Added use of channel server for skins: still experimental

2003-04-14 Monday 03:23  fenrir

  * all: correctly set p_payload_end when using input_NewPacket.(But
 we should perhaps change the behavour of input_NewPacket).

2003-04-14 Monday 03:13  fenrir

  * transcode.c: removed an absolute header path...

2003-04-14 Monday 02:26  fenrir

  * display.c: fixed decoding problem with mpeg1/2. (input_NewPacket doesn't
 set p_payload_end to the good value -> some packets are bigger than
 requested).

2003-04-13 Sunday 22:55  asmax

 * at last an image !!

2003-04-13 Sunday 20:07  asmax

 * something will be visible soon, be patient...
  (this silly GDK doesn't know BMP images :(

2003-04-13 Sunday 20:00  fenrir

  * all: new sout scheme. Now a chain of module are created that can
 modify/apply on all streams, --sout has the same behavour expect when
 starting with a '#'.

  With a starting '#' you can specify a chain of modules, it's still
 unstable but a lot more powerfull.
  You have access to duplicate(that duplicate all stream), transcode
 (using only ffmpeg), standard/std and es (that apply muxers and access),
 and display. You could chain them with ':' and specify options with
 {option1=value,option2=value[,...]}.

 ex: * to stream and see the stream to udp/ts:ip
  --sout '#duplicate{dst=display,dst=std{access=udp,mux=ts,url=ip}}'
     * to transcode,see and stream
  --sout '#transcode{acodec=mpga}:duplicate{dst=display,dst=std{access=udp,mux=ts,url=ip}}'

  Without a starting '#', the url is converted into '#std{acces=,mux=,url}'
 Test and report bugs :)

2003-04-13 Sunday 19:09  asmax

 * should have repaired win32 skins

2003-04-13 Sunday 17:46  asmax

 * Gtk2 skins: it doesn't work but it runs without any segfault, so
   I commit ;)
   (I probably broke skins under windows....)

2003-04-12 Saturday 22:50  asmax

 * now the skin module compiles AND links !
   (and segfaults... ;)

2003-04-12 Saturday 21:43  asmax

 * at last made the skin module compile under linux !
   It does absolutely nothing, but it compiles ;)

2003-04-12 Saturday 13:17  asmax

 * renamed "kernel" into "vlc" ;)

2003-04-12 Saturday 13:06  asmax

 * added libraries to please Bill ;)

2003-04-12 Saturday 10:34  asmax

 * fixed dependencies and added options

2003-04-12 Saturday 10:01  asmax

 * fixed a typo

2003-04-12 Saturday 09:57  asmax

 * more options in menuconfig script
   Only tested under linux; please give feedback if something is wrong
   Some help should be written in doc/Configure.help; if you know what
   to write there, please contribute !

2003-04-11 Friday 22:08  videolan

 * New message: VLC_NET_ADDUDP, to add an UDP stream to the playlist. Still
                experimental

2003-04-11 Friday 21:19  videolan

 * Fixed bug: When button or checkbox are disabled, the previous control can't
              take the hand

2003-04-11 Friday 20:45  asmax

 * user-friendly(?) build system, based on linux Menuconfig script.
   Just run ./menuconfig and ./build-vlc (or just ./build-vlc)
   It's actually a wrapper which calls configure, but only a small number
   of vlc functionalities has been implemented at the moment.
   Please try it however ;)
   (you must have libncurses-dev installed)

2003-04-11 Friday 19:15  sam

   * ./debian/control: changed the libvlc0-dev section to libdevel (to match
     the Debian installer's override file).
   * ./debian/woody-buildpackage: updated accordingly.

2003-04-09 Wednesday 20:53  hartman

 * All : added an about VLC panel. It scrolls the names and the work of the
         AUTHORS file.

 * AUTHORS: updated my own info

2003-04-09 Wednesday 20:07  jpsaman

 Familiar Linux (GPE/GTK+,OPIE) packaging and building scripts.

2003-04-09 Wednesday 19:58  gbazin

 * src/libvlc.c: fixed the "color" config option.
 * src/misc/messages.c: removed an unnecessary #ifdef WIN32 in PrintMsg().

2003-04-09 Wednesday 17:27  sam

   * ./Makefile.am: we call pbxbuilder with the explicit target name, because
     we might have an additional target one day, such as vlcplugin :)
   * ./mozilla/vlc.r: OS X specific resource file for an OS X plugin.
   * ./mozilla/vlcshell.cpp: added required OS X functions.

2003-04-09 Wednesday 16:18  sam

   * ./mozilla/*: moved support files in a separate directory.
   * ./mozilla/support/npmac.cpp: added a hacked version of Mozilla's npmac.cpp
     that builds with g++ instead of CodeWarrior.

2003-04-09 Wednesday 16:05  sam

   * ./toolbox: implemented toolbox --distclean to clean the tree without
     having to bootstrap/configure/whatever.

2003-04-09 Wednesday 14:12  hartman

 * modules/gui/macosx/*:
   - when adding multiple files, we sort them alphabetically before adding them.
     stupid finder ;)

 * modules/demux/asf/asf.c:
   - avoid a duplicate translation of a string

2003-04-09 Wednesday 12:33  sam

   * ./debian/rules: mouahaha, cutting off the branch I was sitting on.

2003-04-09 Wednesday 12:03  sam

   * ./modules/gui/kde/preferences.cpp: KDE 2 backport.

2003-04-09 Wednesday 11:43  sam

   * ./debian/woody-buildpackage: additional error checking.

2003-04-09 Wednesday 10:34  sam

   * ./debian/rules: we now remove spurious woody build files in the clean rule.

2003-04-09 Wednesday 10:17  sam

   * ./debian/rules: fixed a clock skew issue in debian/rules.

2003-04-09 Wednesday 09:59  titer

  v4l.c: compile fix

2003-04-09 Wednesday 09:40  titer

  - fixed my last fix for BeOS/BONE
  - fixed v4l detection

2003-04-08 Tuesday 22:38  massiot

 Now 0.5.4-cvs.

2003-04-08 Tuesday 21:31  massiot

 * Updated ChangeLog.

2003-04-08 Tuesday 21:26  gbazin

 * modules/audio_output/waveout.c: compilation fix for builtins only build.

2003-04-08 Tuesday 13:22  sam

   * ./debian/changelog: ready for releasable .deb packages.

2003-04-08 Tuesday 08:59  sam

   * ./configure.ac.in: if CoreAudio is too old, disable the coreaudio_resampler
     module for the moment.

2003-04-08 Tuesday 08:35  massiot

 * Fixed the translation option with Mac OS X.

2003-04-08 Tuesday 07:22  sigmunau

 modules/video_filter/Modules.am: forgot to add the osdtest module
 modules/video_filter/osd_text.c: fixed a bug in size/place calculations.
 Support gamma correction of the text.

2003-04-08 Tuesday 07:19  alexis

 Update spec file for the 0.5.3 release, courtesy of Jason Luka.

2003-04-08 Tuesday 02:06  gbazin

 *  modules/gui/skins/src/event.cpp, modules/gui/skins/src/event.h:
     fixed 2 nasty buffer overflows. This fixes the last crashes I've got
     with the skins interface.

2003-04-07 Monday 21:51  massiot

 * Updated ChangeLog
 * src/libvlc.c: Darwin doesn't have a "translation" config variable

2003-04-07 Monday 17:35  gbazin

 * po/fr.po: small update.
 * modules/codec/libmpeg2.c: we now bypass libmpeg2 buffer management. As a nice side effect, still pictures in dvd menus are working now :)

2003-04-07 Monday 16:02  gbazin

 * modules/audio_output/directx.c, modules/audio_output/waveout.c:
    cosmetic changes.

2003-04-07 Monday 13:46  gbazin

 * src/libvlc.c: fixed the translation config option to also take into
   account the value in the config file.

2003-04-07 Monday 13:01  gbazin

 * src/libvlc.c: reload the main module in case the user asks for the
    translation to be disabled. That way, the translation will even be
    disabled in the preferences panel.

2003-04-07 Monday 12:41  hartman

 * new dutch translation
 * readded Mac OS X readme file to Mac OS X distribution
 * fixed some errors in the readme

2003-04-07 Monday 11:48  gbazin

 * src/misc/configuration.c: what the f??k, configuration variable names
    and subtypes were being translated.

2003-04-07 Monday 09:25  gbazin

 * modules/gui/wxwindows/interface.cpp: removed debug message.

2003-04-06 Sunday 23:44  massiot

 * Renamed the "headphone" option to "headphone-opt" to avoid error
 messages "option headphone does not exist". I'm not clever enough to find
 out why it doesn't work when it's named "headphone".

2003-04-06 Sunday 23:21  massiot

 * Bumped up revision number to 0.5.3
 * po/* : run --update-po before the release
 * ChangeLog : run --update-changelog
 * toolbox : ChangeLog is UTC
 * OS X : fixed a bug with the deinterlace menu and localizations (thanks
   Felix)

2003-04-06 Sunday 23:00  hartman

 * some small changes/fixes

2003-04-06 Sunday 21:48  gbazin

 * po/fr.po: another bunch of updates to the french translation.

2003-04-06 Sunday 20:46  karibu

 * Added missing files

2003-04-06 Sunday 20:27  karibu

 * Changed default skin files

2003-04-06 Sunday 20:08  sigmunau

 Support files that are called .asx and .pls but really are just .m3u files

2003-04-06 Sunday 17:57  ipkiss

  - modules/gui/skins/skin_main.cpp: Try to open the default XML file first

2003-04-06 Sunday 17:48  gbazin

 * modules/demux/mp4/mp4.c: fixed an off by one error in array access.

2003-04-06 Sunday 17:16  titer

  Fixed a linkage problem with BeOS/BONE.

2003-04-06 Sunday 17:14  gbazin

 * Makefile.am, install-win32: added the default skin to the win32 package.

2003-04-06 Sunday 16:30  gbazin

 * modules/gui/wxwindows/messages.cpp: added a verbose checkbox which enables the warning and debug messages (disabled by default).
 * NEWS: updated the NEWS file.

2003-04-06 Sunday 15:43  massiot

 * Updated French and German translations courtesy of their maintainers
 * THANKS: added Jean-Pierre Kuypers, French translator
 * NEWS: updated for 0.5.3 release. Please check.

2003-04-06 Sunday 14:12  massiot

 Disabled the translation configuration variable on OS X since it doesn't
 work.

2003-04-06 Sunday 13:18  sigmunau

 expand info categories by default

2003-04-06 Sunday 10:34  sigmunau

 Some simple updates

2003-04-06 Sunday 01:00  massiot

 * OS X : create dummy fr.lproj etc. directories, so that the Apple menu and standard file dialogs be translated too
 * modules/gui/wxwindows/open.cpp: fixed a string
 * src/misc/configuration.c: don't yell when a config variable disappears
 * po/de.po po/it.po: new translations by maintainers

2003-04-05 Saturday 12:43  gbazin

 * modules/codec/libmpeg2.c: hack to keep libmpeg2 from stealing pictures from the vout when the decoder is closed.

2003-04-05 Saturday 12:32  gbazin

 * modules/access/dvdplay/access.c: fixed a bug in dvdNewArea() when i_angle == 0.
 * install-win32: misc improvements to the nsis installer script.

2003-04-04 Friday 19:32  massiot

 [no log message]

2003-04-02 Wednesday 23:16  massiot

 * Added a new kfir: access module, designed to work around a bug in the
   kfir driver.

2003-04-02 Wednesday 21:21  sigmunau

 Fixed a bug when trying to set 4 channel output

2003-04-02 Wednesday 15:20  massiot

 * Fixed a bug with the stream: input plug-in when receiving no data.

2003-04-01 Tuesday 22:29  massiot

 * Bumped up revision number to 0.5.3-test2
 * modules/access_output/udp.c: Now supports IPv6 IP addresses (patch
   courtesy of Alexis Guillard)
 * po/*: Updated po files to send out to the translators
 * Mac OS X port: Cosmetics

2003-04-01 Tuesday 16:13  sam

   * ./debian/control: changed the section of gnome-vlc and kvlc according to
     new Debian archive sections.
   * ./debian/woody-buildpackage: updated woody-buildpackage so that packages
     say "stable".

2003-04-01 Tuesday 16:11  gbazin

 * modules/gui/wxwindows/*: misc small improvements and fixes.

2003-04-01 Tuesday 12:24  gbazin

 * modules/gui/skins/src/event.cpp: Event::CreateEvent() was trying to free
    statically allocated strings.

2003-04-01 Tuesday 11:12  massiot

 Added Andy Lindsay.

2003-04-01 Tuesday 10:46  massiot

 * TS demux patches, courtesy of Andy Lindsay <andy_vl@ananam.com>.

2003-04-01 Tuesday 00:18  gbazin

 * modules/gui/wxwindows/*: few modifications to the strings.

2003-03-31 Monday 23:37  sigmunau

 made a format-only string untranslateable

2003-03-31 Monday 23:32  sigmunau

 Changed a duplicate string, and removed an info string that isn't really
 useful

2003-03-31 Monday 22:39  massiot

 * modules/codec/*: Fixed a PTS bug at the initialization of some codecs
 * modules/audio_filter/resampler/coreaudio.c: Set score to 0

2003-03-31 Monday 22:39  gbazin

 * po/*: updated the po directory.

2003-03-31 Monday 04:26  fenrir

  * v4l: forgot a munmap.

2003-03-31 Monday 03:46  fenrir

  * v4l: updated, now it should grab (and compress if you want) the video.
 Audio grabbing part is commented out and untested.
  The syntax is like that:
   v4l:<device>[:option=value:...]
  options: channel,norm (pal, ntsc,secam), frequency (not really there is
           a factor), audio, size (WxH or subqcif,qsif,qcif,sif,cif,vga),
           codec (optional, mpeg1 or mpeg4 and need to have compiled the
           encoders modules)
  ex: v4l:/dev/video:channel=0:frequency=8052:norm=secam:size=vga
  Please test.
  * rawvideo.c: a pseudo decoder for raw video (I420).
  * packetizer/*, mux/*, stream_output.c: fixed (I hope) audio/video
 synchro problems.

2003-03-30 Sunday 23:35  jlj

  * ALL: Move CoreAudio aout into seperate module.

2003-03-30 Sunday 19:56  gbazin

 * modules/gui/wxwindows/*: another bunch of improvements.

2003-03-30 Sunday 18:14  gbazin

 * modules/*: sanitization of the modules description strings.

2003-03-30 Sunday 16:26  gbazin

 * modules/gui/wxwindows/*: small formating changes.
 * modules/video_filter/deinterlace/deinterlace.c, src/libvlc.h: modified a couple of config option descriptions.

2003-03-30 Sunday 15:05  gbazin

 * modules/gui/wxwindows/preferences.cpp: we only list the plugins that have config options. That makes things less confusing.

2003-03-30 Sunday 14:24  gbazin

 * include/configuration.h: added the add_directory() config macro.
 * modules/gui/wxwindows/preferences.cpp: support for add_string_from_list().
 * ALL: changed some add_string() config options to add_file().

2003-03-30 Sunday 14:09  sigmunau

 use add_file and not add_string for the "audiofile-path" option

2003-03-30 Sunday 13:23  gbazin

 * modules/gui/wxwindows/*: fixed the save feature of the preferences dialog box.
 * src/misc/configuration.c: added support for CONFIG_ITEM_DIRECTORY.

2003-03-30 Sunday 12:15  sigmunau

 enabled the menu-entry to show file info when there is an input

2003-03-30 Sunday 11:59  sigmunau

 modules/gui/kde/interface.cpp: removed a debug message
 modules/gui/kde/preferences.cpp: use sliders for integer and float options
 with a range, use combobox for string_from_list options, fixed a layout
 issue and removed some debug messages

2003-03-30 Sunday 11:54  sigmunau

 modules/access/dvdplay/dvd.c: removed an unused configuration category
 modules&misc/logger/logger.c: use add_string_from_list for the logmode
 option

2003-03-30 Sunday 11:43  gbazin

 * configure.ac.in: removed the -fno-exceptions gcc option from the compilation of the skins plugin as it might be needed after all.
 * modules/demux/m3u.c: upped the priority of the m3u demux as some m3u files were mistaken for ts files.
 * include/configuration.h: added a CONFIG_ITEM_DIRECTORY config type.
 * modules/gui/wxwindows/*: the preferences dialog should be fully useable now.

2003-03-30 Sunday 02:58  gbazin

 * modules/gui/wxwindows/preferences.cpp: improved the preferences dialog box. It is almost useable now ;)

2003-03-30 Sunday 01:13  massiot

 * Resampler plug-in based on CoreAudio's AudioConverter.

2003-03-29 Saturday 17:10  gbazin

 * modules/gui/wxwindows/open.cpp: fixed an event problem on win32.
 * modules/gui/wxwindows/wxwindows.cpp: fixed a compilation problem on
    win32 when the wxwindows interface is compiled as a builtin.

2003-03-29 Saturday 14:30  sigmunau

 preferences.cpp: Changed the preferences dialog to use a tree of categories
 and plugins, the way wxwindows do it.
 pluginsbox.(cpp|h): removed the "Configure" button from CONFIG_ITEM_MODULE
 widgets, as it isn't needed anymore

2003-03-29 Saturday 13:15  sigmunau

 removed an unused configuration category

2003-03-29 Saturday 12:22  gbazin

 * modules/audio_filter/channel_mixer/headphone.c, src/libvlc.h:
    moved the headphone-dim config option to the headphone plugin.
 * modules/demux/demuxdump.c: the demuxdump-file config optin now has a default value.
 * src/libvlc.c: fixed the extraintf config option not to spawn an interface plugin when an invalid name has been given.

2003-03-29 Saturday 11:15  gbazin

 * modules/gui/wxwindows/*: small fixes to the open and streamout dialogs.

2003-03-29 Saturday 10:35  jpsaman

 If --disable-xosd is given then xosdtext is not build.
 If --enable-xose is given then xosdtext is build also.

2003-03-29 Saturday 01:50  gbazin

 * modules/gui/wxwindows/*: added demuxdump support to the open dialog.

2003-03-28 Friday 22:09  alexis

 New RedHat package file, written by Jason Luka <jason@geshp.com>.

2003-03-28 Friday 17:02  gbazin

 * modules/audio_output/waveout.c: compilation fix for --disable-plugins build.
 * src/video_output/*, include/video.h: added a pf_lock/unlock fonction
    pointer that's used to lock the memory of a picture in vout_RenderPicture
    when required by the video output plugin.
 * modules/video_output/directx/*: implemented pf_lock/unlock. That will fix
    the crash when pressing ctrl+alt+del.

2003-03-28 Friday 11:34  sigmunau

 added a SetPalette function so "vlc --vout dummy --dummy-chroma RGB2" don't
 segfault.

2003-03-26 Wednesday 22:56  gbazin

 * modules/codec/libmpeg2.c: added code to handle 3:2 pulldown.

2003-03-26 Wednesday 21:46  marcari

   * cross-compilation doc : work in progress

2003-03-26 Wednesday 03:13  hartman

 * extras/MacOSX/Resources/English.lproj/MainMenu.nib/*
 * modules/gui/macosx/open.?
   - updated the open dialog (now with sheets !!!)
   - added ogg file stream out
   - added http file stream out
   - added file subtitle support for the delay and fps options
 * extras/MacOSX/vlc.pbproj/project.pbxproj
   - added the .ts file-extension to the application

2003-03-26 Wednesday 01:50  sam

   * ./debian/control: added correct versioned build-dependency on debhelper.

2003-03-26 Wednesday 01:14  sam

   * ./debian/control: added explicit dependencies on vlc to legacy packages
     to make linda and lintian happier.

2003-03-26 Wednesday 00:56  gbazin

 * src/libvlc.c, src/libvlc.h: added a config option to disable the translation of the interface.
 * modules/gui/wxwindows/*: misc improvements + skeleton for a preferences panel.

2003-03-26 Wednesday 00:21  sam

   * ./README.MacOSX.rtf, ./modules/gui/macosx/playlist.h, ./extras/MacOSX/*:
     added a final newline to a few text files to avoid diff complaints.

2003-03-25 Tuesday 23:51  sam

   * ./modules/demux/util/Modules.am: added missing id3genres.h to make dist.

2003-03-25 Tuesday 23:43  sam

   * ./modules/gui/skins/Modules.am: fixed a typo.

2003-03-25 Tuesday 23:32  sam

   * ./Makefile.am: we don't distribute ./mkinstalldirs, it's in ./autotools/.
   * ./Makefile.am: we distribute ./toolbox.

2003-03-25 Tuesday 23:13  sam

   * ./bootstrap: fixed a syntax error in the generated m4/vlc.m4.

2003-03-25 Tuesday 23:11  sam

   * ./m4/*: updated m4 macros.

2003-03-25 Tuesday 23:06  gbazin

 * modules/codec/libmpeg2.c: fixed aspect ratio when reading DVDs.

2003-03-25 Tuesday 22:55  sam

   * ./debian/control: bumped up standards version to 0.5.9.0.
   * ./debian/control: added build-dependencies on libidl0 and libglib2.0-0 to
     work around mozilla-dev's currently broken dependencies.
   * ./debian/control: we now link against libdvdread3 instead of libdvdread2.
   * ./debian/control: we now depend on the latest libdvdplay0-dev to avoid
     linking against both libdvdread2 and libdvdread3.

2003-03-25 Tuesday 17:07  gbazin

 * src/input/input.c, src/video_output/video_output.c: when the input thread
    ends, it will also destroy the vout if one was spawned.

2003-03-25 Tuesday 15:38  gbazin

 * src/misc/modules.c: module_Need() now only raises the scores of the
    plugins matching the given shortcuts list, unless "none" is closing the
    list (in which case only the plugins matching the list can be selected).

    Which means that users will stop complaining vlc doesn't launch anymore
    or can't play anything after they have fiddled with their config
    options :))

2003-03-25 Tuesday 00:43  gbazin

 * src/video_output/video_output.c: fixed my previous commit (input is not a direct parent of vout).

2003-03-24 Monday 23:50  gbazin

 * src/video_output/video_output.c, include/video_output.h:
    take into account the caching delay when dropping frames that are too
    far into the future.

2003-03-24 Monday 23:04  gbazin

 * modules/access/ftp.c, modules/access/http.c: the http and ftp plugins now implement SetProgram(). TS streams will now work over
 http :)

2003-03-24 Monday 21:58  titer

  configure.ac.in: fixed a BeOS compile issue

2003-03-24 Monday 20:00  gbazin

 * modules/access/*: grrr... apparently I also need to reset the file descriptor set inside the loop.

2003-03-24 Monday 19:58  hartman

 * moved macosx-dmg to extras/MacOSX/macosx-dmg
 * added some macosx files to DIST that were probably missing in the tar ;)

2003-03-24 Monday 19:12  gbazin

 * modules/access/*: don't forget to reinitialize the timeout when looping around select().

2003-03-24 Monday 17:15  gbazin

 * modules/access/*: pf_read() in access modules is now blocking. We still
    check regularly for p_input->b_die though. Now the demuxers can safely
    assume that pf_read() == 0 means EOF.
 * ALL: got rid of the p_input->b_connected flag.
 * src/input/input_ext-plugins.c, src/input/input.c: fixed the infinite loop
    of "decoder stuck" messages that sometimes happened.
 * src/interface/intf_eject.c, modules/misc/network/ipv4.c: fixed compilation
    warnings.

2003-03-24 Monday 15:20  hartman

 * more interface support for directories.

2003-03-24 Monday 14:18  hartman

 * modules/access/dvd*: changed some errors in warnings because the directory
   might still be readable by the directory access module.
 * added drag and drop support for directories.

2003-03-24 Monday 13:52  sam

   * ./THANKS: added a translation contributor.
   * ./po/it.po: fixed this file's format.
   * ./m4: fixed "make dist" when gettext is too old.

2003-03-24 Monday 13:50  hartman

 * Added fourcc 'MSS1' which is equivalent to 'WMV2'

2003-03-24 Monday 01:39  gbazin

 * modules/access/directory.c: fixed the directory access plugin.
 * configure.ac.in, modules/access/Modules.am: enabled the directory access plugin.

2003-03-24 Monday 00:12  hartman

 * a new directory access module. It parses a directory with dirent and builds
   a m3u 'file' which it feeds to the m3u demuxer.
   Problems: - it requires a dir to end with /
             - if i enabled it, all files would use the m3u demuxer for some
             strange reason. i've spent a day hunting this down, reboot-
             strapping and doing who knows what. I'm sick of it now.
             Someone else can give it a try, if he wants to.

2003-03-23 Sunday 20:41  gbazin

 * configure.ac.in: fixed linking problem with the win32 build.

2003-03-23 Sunday 18:10  massiot

 Fixed configure script (alcohol isn't the solution).

2003-03-23 Sunday 16:38  sigmunau

 modules/video_filter/osd_text.c: A video filter that uses freetpye2 to
 render text on the video
 include/osd.h: some constants useful when interfacing with the osd module
 configure.ac.in: check for freetype2, enabled the osdtext module by default
 Makefile.am: added osd.h, please check that this is correct
 lirc.c: modified to provide feedback when buttons are pressed.

 Look at the Feedback() function in lirc.c to see how this module can be used

2003-03-23 Sunday 15:10  yves

 better OS detection (RH).

2003-03-23 Sunday 12:12  gbazin

 * modules/demux/mpeg/audio.c: sanity check so we don't crash on mpeg audio files with a bad Xing Header.

2003-03-22 Saturday 23:03  sigmunau

 Updated a comment

2003-03-22 Saturday 14:39  fenrir

  * sap: clean up.

2003-03-22 Saturday 14:35  gbazin

 * modules/demux/m3u.c: the demux couldn't be forced when used on filenames without an extension.

2003-03-22 Saturday 11:21  gbazin

 * modules/gui/wxwindows/streamout.cpp: misc fixes and enhancements.

2003-03-22 Saturday 03:14  gbazin

 *  modules/gui/wxwindows/*: Added a stream output dialog box.

2003-03-21 Friday 23:59  sigmunau

 Updated norwegian translation thanks to  Haakon Meland Eriksen

2003-03-21 Friday 17:14  gbazin

 * configure.ac.in, src/interface/intf_eject.c: scrapped the win32 eject code and replaced it with an MCI command.

2003-03-21 Friday 07:54  massiot

 Fixed the "locales have disappeared" problem under OS X.

2003-03-21 Friday 02:05  gbazin

 * modules/demux/ogg.c: fix for some ogg web radio streams where there
 is a huge gap between the granulepos in the header packets and the data
 packets.

2003-03-21 Friday 00:17  karibu

 * slider.cpp: fixed mouse down refresh bug
 * theme.cpp: removed debug text

2003-03-21 Friday 00:00  karibu

 * Fixing Parkinson disease bug (it's not funny, it's real life)

2003-03-20 Thursday 21:45  gbazin

 * modules/codec/libmpeg2.c: fixed pts handling and aspect-ratio bug.

2003-03-20 Thursday 10:27  sam

   * ./bootstrap: if pkg-config is not available, we define PKG_CHECK_MODULES
     ourselves.
   * ./bootstrap: "make dist" works again, even if gettext is not present.

2003-03-20 Thursday 10:06  sam

   * ./toolbox: fixed a Makefile parsing bug.

2003-03-20 Thursday 09:29  karibu

 * Fixing a refresh bug when opening an open file dialog box

2003-03-19 Wednesday 23:54  massiot

 * configure.ac.in : Disabled GTK2 and gnome2 plug-in since they break
   all platforms but GNU/Linux
 * Bumped up revision number to 0.5.3-test1

2003-03-19 Wednesday 18:17  karibu

 * Updating doc.

2003-03-19 Wednesday 18:14  karibu

 * Fiwing WINDOW_CLOSE and WINDOW_OPEN synchronization

2003-03-19 Wednesday 17:40  fenrir

  * gtk_main.c:: added(uncommented) gdk_thread_init for gtk2/gnome2.
 Whitout it I can't even start gtk2 interface.

2003-03-19 Wednesday 17:14  karibu

 * button.cpp : Fixing bug when disabling control
 * Checkbox.cpp : adding onmouseover and onmouseout events
 * Updating DTD
 * win32_event.cpp : fixing bug for WINDOW_OPEN event

2003-03-19 Wednesday 15:44  hartman

 * INSTALL: added reference to online info on compiling on MacOSX and BeOS

 * NEWS: bringing the file to 0.5.3. i have added my work (and some things
   that I remembered). i trust everyone will enter his own stuff ;)

 * README.MacOSX.rtf: fixed some errors

 * THANKS: added Olivier Aubert for his vout-clone-list patch

2003-03-19 Wednesday 13:55  hartman

 * fix for multiple monitors.

2003-03-19 Wednesday 03:11  karibu

 * Fixed skin config save

2003-03-19 Wednesday 02:09  videolan

 * Adding onmouseover and onmouseout events to button control
 * Fixing window position at launch time
 * Adding notification when mouse leaves a window

2003-03-18 Tuesday 23:59  massiot

 * Added 0x80 as MPEG2_MOTO_VIDEO_ES, since some strange Motorola encoders
   do not follow the standard.

2003-03-18 Tuesday 23:51  jlj

   * ./modules/gui/macosx/vout.m: cosmetic.

2003-03-18 Tuesday 23:30  gbazin

 * modules/video_filter/clone.c: new --clone-vout-list config option, courtesy of Olivier Aubert.
    Allows to specify a comma separated list of vout plugins that we want to be used by the clone filter.
 * modules/video_filter/*: don't forget to detach the vout before destroying it.

2003-03-18 Tuesday 22:14  hartman

 * modules/gui/macosx/vout.m:
   Now a complete redesign of the hiding of the mousecursor.
   - We use higher level functions now (NSCursor).
   - We only hide if the cursor is over our VLCView
   - In many exceptions we unhide. This is mainly for multimonitor support.

2003-03-18 Tuesday 21:34  gbazin

 * configure.ac.in, m4/*, po/Makefile.in.in: build updated to use gettext 0.11.5 by default.
    This is necessary for the win32 build because old gettext versions do not work on win32.

2003-03-18 Tuesday 20:38  gbazin

 * configure.ac.in: fixed linking problem with the slp plugin on win32.

2003-03-18 Tuesday 20:20  gbazin

 * configure.ac.in: use the -O2 gcc option when compiling the skins plugin so that compilation doesn't take ages.
    Also use -fno-rtti -fno-exceptions to save some bits of space.

2003-03-18 Tuesday 19:37  marcari

   * first draft of the draft

2003-03-18 Tuesday 18:33  ipkiss

 Fixed the path in the default skin (thanks gibalou)

2003-03-18 Tuesday 18:25  ipkiss

 Fix for skins compilation under cygwin (thanks gibalou)

2003-03-18 Tuesday 04:56  ipkiss

 Compilation fixes

2003-03-18 Tuesday 04:08  ipkiss

 Compilation fixes and cosmetic changes

2003-03-18 Tuesday 04:07  hartman

 * modules/gui/macosx/vout.m:
   Reworked the mouse hiding routine. we were always hiding the mousecursor
   on kCGDirectMainDisplay, but this display is always the one with the
   menubar and not always the one containing our VLCVout.
   This new code takes the vout, and calculates on which displays (plural
   because of possible mirroring) it is being shown. It then shows or hides
   the cursor on all of those displays.
   This should fix #396.

2003-03-18 Tuesday 02:48  ipkiss

  - doc/skins: some documentation about the skins
  - doc/skins/curve_maker: files for a VB project for easy Bezier curves
    creation
  - share/skins/default: a default skin. It's an awful one made for
    testing purposes, you'll be warned...

2003-03-18 Tuesday 02:28  hartman

 * modules/gui/macosx/info.m: keep the same panel open if track changes.
 * modules/misc/httpd.c: removed an unused int.

2003-03-18 Tuesday 02:21  ipkiss

 Keep quiet, explanations will follow.

2003-03-18 Tuesday 01:57  sam

   * ./share/Makefile.am: added the .rle font to the make install rule.

2003-03-18 Tuesday 01:54  sam

   * ./toolbox: fixed a sed syntax error (thanks anil).

2003-03-18 Tuesday 01:34  sam

   * ./modules/Makefile.am: added a missing definition of NULL.

2003-03-18 Tuesday 01:26  sam

   * ./modules/gui/gtk2/*: skeletons of Gtk-2.0 and GNOME-2 plugins.
   * ./toolbox: added --update-glade2 flag.

2003-03-18 Tuesday 01:22  sam

   * ./modules/codec/lpcm.c: fixed two uninitialized variables.

2003-03-18 Tuesday 00:49  gbazin

 * src/playlist/playlist.c: fixed misplaced variable declaration.

2003-03-18 Tuesday 00:33  sigmunau

 Seek one less time. Should increase performance with access modules where
 seeks are expensive. (Though not enough)

2003-03-18 Tuesday 00:25  jlj

   * ./modules/codec/dts.c: Steve Jobs did not pay me for this bug. Really.

2003-03-17 Monday 23:48  fenrir

  * httpd: increased buffer size.

2003-03-17 Monday 23:42  fenrir

  * all: fixed some stupid bugs.

2003-03-17 Monday 23:13  hartman

 * modules/gui/macosx/playlist.m:
   - fixed a cosmetic issue.

2003-03-17 Monday 21:47  hartman

  * modules/gui/macosx/playlist.?:
    - rewrite of code

2003-03-17 Monday 18:02  sam

   * ./modules/misc/gtk_main.c, ./modules/gui/gtk/gtk.c,
     ./modules/gui/gtk/gnome.c, ./modules/gui/familiar/familiar.c: added a
     terminating NULL pointer in the fake argv values we pass to gtk_init().
   * ./modules/misc/qte_main.cpp, ./modules/misc/gtk_main.c: these plugins now
     have the "gui-helper" capability.
   * ./modules/misc/gtk_main.c: paved the way for Gtk2.

2003-03-17 Monday 17:11  sam

   * ./modules/video_output/sdl.c: fixed an endianness bug due to libSDL not
     defining its fourcc values like us.

2003-03-17 Monday 17:10  hartman

 * src/playlist/playlist.c:
   - added playlist_Move to move an item in our playlist before the position
     of a previous item (or end) of our playlist. Keeps index at it's current
     item.
 * modules/gui/macosx/playlist.?:
   - Now a reorderable playlist. Thanks to Andrew Stone for example code.
     This fixes #349 (Finally ;)
   - True alternating colors in the playlistview. Thanks to Apple Computer
     for the example code.

2003-03-17 Monday 16:59  sam

   * ./autotools/: moved some autotools executables to this subdirectory to
     reduce cluttering of the root directory.

2003-03-17 Monday 15:05  sigmunau

 fixed up http redirects when there are other items in the playlist.

2003-03-17 Monday 13:49  marcari

   * familiar.c: added pixmap directory for linupy2 /usr/share/pixmaps/vlc

2003-03-17 Monday 12:14  massiot

 Fixed aspect ratio's tooltip.

2003-03-16 Sunday 23:35  fenrir

  * sub: better ssa4 recognition.

2003-03-16 Sunday 20:06  jlj

   * ./modules/gui/macosx/aout.m: Swapped stereo and mono classification.

2003-03-16 Sunday 16:07  fenrir

  * sub.c: added SAMI subtitles support. (Untested and incomplete).

2003-03-16 Sunday 13:11  fenrir

  * asf: when there isn't any stream selected, stop playing.

2003-03-16 Sunday 01:49  fenrir

  * mms: removed some old stuff.

2003-03-16 Sunday 01:37  fenrir

  * mms: it seems that some server doesn't like fake ip 127.0.0.1
 (they refuse the connection), so let give them 192.168.0.1 ...

2003-03-15 Saturday 22:10  jlj

 Another attempt at fixing the soundstick issue (unconfirmed).

2003-03-15 Saturday 19:26  fenrir

  * sout: fix a stupid bug making avi muxer segfaulting.

2003-03-15 Saturday 19:21  jlj

 Jeff Moore @ Apple: The HAL specifically won't allow a device that doesn't
                     have linear PCM as it's current format to be
                     the default device.

2003-03-15 Saturday 18:44  fenrir

  * ffmpeg: Use truncated frames if supported by codec (only with newer
 libavcodec). This fix mpeg4 in TS with huge bitrate.
  * sub: clean up. Report any problems.

2003-03-15 Saturday 03:02  fenrir

  * mms: revert some parts.

2003-03-15 Saturday 02:33  fenrir

  * mms: some clean up.

2003-03-15 Saturday 00:09  fenrir

  * httpd: begin to support get/post method (look at admin.html ;)

2003-03-14 Friday 17:14  sam

   * ./doc/fortunes.txt: sigmund++;

2003-03-14 Friday 17:08  lool

   * Meuuh+++;

2003-03-14 Friday 01:23  hartman

 * ALL: Bumped version to 0.5.3-cvs

 * modules/gui/macosx/info.m: Now we show strings (with accents) in ID3 tags
   correctly, but now the name of the file as reported in the playlist info
   gets displayed incorrectly if it has accents. (going for ID3 at the
   moment. filenames are named a plenty in the correct way)

2003-03-14 Friday 01:08  jlj

   * ./modules/gui/macosx/aout.m: Added mono classification. Fixed channels
                                  issue in InitDevice. Should close #490.

2003-03-14 Friday 00:24  sigmunau

 all: info strings are now localized, fixed some typos and inconsistant uses
 of capital letters

2003-03-14 Friday 00:06  massiot

 Attempt at fixing the soundstick issue (unconfirmed).

2003-03-13 Thursday 22:45  sigmunau

 set a default size for the fileinfo dialog

2003-03-13 Thursday 22:35  sigmunau

 Added support for oldstyle id3 genres.

2003-03-13 Thursday 22:24  hartman

 * modules/gui/macosx/misc.?
   - added VLBrushedMetalImageView. This imageview does not respond to
     mousedrage, so we can still move our window by it's background.
 * extras/MacOSX/Resources/English.lproj/MainMenu.nib/*
   - Changed the container of our background image to the new
     VLBrushedMetalImageView.
     This fixes #390

2003-03-13 Thursday 16:20  marcari

  * skeleton of the arm crosscompilation howto

2003-03-13 Thursday 16:09  hartman

 * extras/MacOSX/vlc.pbproj/project.pbxproj:
   - added .qt and .pls file extensions.

 * modules/gui/macosx/intf.m:
   - increased the number of lines the messages dialog can hold to 400.

 * added fourcc '3iv1' to .avi and .mov
   - this is 3ivx D3.5 video.
   - we cannot read them at however and probably never will. I added them
     for completeness.

 * added fourcc '3iv2' to .avi and ffmpeg
   - this is 3ivx D4 video
   - it is mpeg 4 compliant and ffmpeg decodes it, via MPEG4.

 * added fourcc '3ivd' to .avi, .mov and ffmpeg.
   - this is video which was divx doctored by the 3ivx doctor program.
   - it is normal DIV3 video and ffmpeg decodes it via MPEG4 v3.

 * added fourcc '3vid' to .avi, .mov and ffmpeg.
   - this is incorrect encoded DIV3. it is an endianness issue by the encoder.
   - ffmpeg can decode it however, so it is mapped to MPEG4 v3.

2003-03-13 Thursday 15:50  marcari

  * all: enhancements of the familiar interface includes :
     - the interface adapts to the screen size/rotation
     - a playlist
     - a network tab next to te file tab inside the media tab
     - MRL-Combo behaviour changed a bit
     - apply handling in preferences

2003-03-13 Thursday 10:33  ipkiss

 We don't segfault anymore when trying to go fullscreen with no input
 (closes #477)

2003-03-12 Wednesday 23:59  marcari

  * all: added s16tofixed32 filter, so that we decode flac with iPaq !

2003-03-12 Wednesday 23:15  titer

  * configure.ac.in: compile fix for BeOS/BONE (s/LDFALGS/LDFLAGS/...)
  * beos_specific.cpp, modules/gui/beos/*: add VLC version number in the
    "About" window and in the titles of the others windows.

2003-03-12 Wednesday 05:26  sam

   * ./src/stream_output/stream_output.c: Win32 compilation fix.
   * ./src/misc/modules.c: fixed a pointer indirection bug.

2003-03-12 Wednesday 05:12  sam

   * ./Makefile.am: moved generation of .h files to the toolbox so that we
     can call "toolbox --update-includes" without running configure.
   * ./toolbox: de-uglified some shell code.

2003-03-12 Wednesday 04:16  sam

   * ./bootstrap: fixed a conflict issue with recent autopoint versions.
   * ./toolbox: the MSVC project file generation no longer depends on Makefile.

2003-03-12 Wednesday 00:56  sam

   * ./configure.ac.in: we look for libqt-mt.so before libqt.so.

2003-03-11 Tuesday 23:56  gbazin

 * ALL: experimental code for stream (dvd) navigation through object variables.

2003-03-11 Tuesday 23:56  fenrir

  * fix ima4 decoding.

2003-03-11 Tuesday 22:44  sam

   * ./debian/control: added libqt3-compat-headers build-dependency because of
     strange issues with KDE headers that I'm not sure to fully understand but
     also honestly completely don't care about.

2003-03-11 Tuesday 21:52  fenrir

  * removed strdupa.

2003-03-11 Tuesday 21:23  sam

   * ./configure.ac.in: quick and dirty workaround for qt3 headers location.

2003-03-11 Tuesday 20:53  sam

   * ./src/stream_output/stream_output.c: fixed a minor format string issue.

2003-03-11 Tuesday 20:40  sam

   * ./debian/control: we build-depend on libqt3-mt-dev instead of libqt3-dev.

2003-03-11 Tuesday 20:01  fenrir

  * Added support of vplayer subtitles files.

2003-03-11 Tuesday 19:58  sam

   * ./debian/Makefile.am: removed spurious entries.

2003-03-11 Tuesday 19:57  sam

   * ./debian/control: vlc provides the mp3-decoder metapackage.

2003-03-11 Tuesday 19:30  sam

   * ./debian/*: additional Debian butchery; merged vlc-plugin-aa and
     vlc-plugin-lirc into vlc, and removed vlc-mad, vlc-arts, vlc-lirc and
     vlc-aa legacy packages because they were not in woody.
   * ./debian/control: tuned the control file to provide smooth upgrades from
     woody, from sarge, and from the local VideoLAN repository.

2003-03-11 Tuesday 19:14  sam

   * ./debian/*: removed the vlc-plugin-dvb, vlc-plugin-xosd and vlc-plugin-dv
     packages (because the dependencies are very small), and the vlc-plugin-mad,
     vlc-plugin-a52 and vlc-plugin-ogg packages (because vlc depends on them
     anyway).
   * ./debian/*: changed vlc-plugin-svgalib to x86-only.

2003-03-11 Tuesday 19:02  fenrir

  * all: reworked stream output. Now it handles mutliples outputs from
 one input, just type --sout "<first url>#<second url>#..." (Yes it
 is awfull, but I need suggestion).
    udp: correctly update sequence number in rtp.

2003-03-11 Tuesday 18:57  fenrir

  * mp4: I have reworked a lot the demuxer. Now it should handle gracefully
 the audio part of mov file. I'm really interested by any regression you
 could find, please _test_ all .mp4/.mov file you have.

2003-03-11 Tuesday 18:57  sam

   * ./debian/control: added the FLAC decoder to the Debian package (sid-only,
     because the API changed too much since the version in woody).

2003-03-11 Tuesday 18:54  alexis

 Added missing files.

2003-03-11 Tuesday 18:16  gbazin

 * Makefile.am: Fixed problem with the package-win32 target.

2003-03-11 Tuesday 18:14  fenrir

  * mms: converted a warning into a dbg message.

2003-03-11 Tuesday 17:40  fenrir

  * Clean up. (Sigmund, does it work ?).

2003-03-11 Tuesday 13:52  titer

  modules/misc/network/ipv4.c: BeOS compile fix

2003-03-11 Tuesday 13:12  alexis

 Added sout.* and subtitles.*

2003-03-11 Tuesday 07:03  fenrir

  * au.c : added au demuxer. Only ulaw/alaw/raw pcm data are supported.
 ( I need some samples to do special adpcm support).

2003-03-11 Tuesday 06:58  fenrir

  * adpcm: added IMA4 support.

2003-03-11 Tuesday 06:58  fenrir

  * ffmpeg.h: added missing fourcc.
  * araw.c: fixed a warning.

2003-03-11 Tuesday 06:45  fenrir

  * wav: Support for alaw/ulaw data. (untested)

2003-03-11 Tuesday 06:14  fenrir

  * Hugly hack: break huge block of samples into smaller ones else
 some avi/mov file with raw audio can't be played, *BUT* it's not the
 good fix (as the problem seems to be elsewhere).

2003-03-11 Tuesday 05:52  fenrir

  * ffmpeg support mace 3/6 audio codec. (quicktime)

2003-03-10 Monday 21:24  alexis

 Reverted my previous commit (the bug was coming from my old gettext version)

2003-03-10 Monday 21:01  alexis

 Fix so that compilation works with a tarball made with "make dist-all".

 Sam, can you check that my fix is OK ?

2003-03-10 Monday 20:08  alexis

 vlc.spec: Bumped up version number to 0.5.2

2003-03-10 Monday 19:37  gbazin

 * ChangeLog: updated the changelog for the 0.5.2 release.

2003-03-10 Monday 19:30  sam

   * ./toolbox: added --update-changelog flag.

2003-03-10 Monday 18:26  gbazin

 * src/video_output/vout_pictures.c: declaration of FOURCC_RV24, courtesy of Olivier Aubert.

2003-03-10 Monday 18:17  gbazin

 * modules/gui/gtk/gnome.c, modules/gui/gtk/gtk.c: small change to the slider behaviour.

2003-03-10 Monday 17:12  sam

   * ./configure.ac.in: moved an extra -lws2_32 to a win32 specific case.

2003-03-10 Monday 10:41  massiot

 Fixed a major bug with 5.1 output and the OSS plug-in.

2003-03-10 Monday 08:23  jlj

   * ./modules/codec/dts.c: minor fix.

2003-03-10 Monday 01:07  fenrir

  * improved seeking and fixed play back when reading from stdin (when
 reported size is null).

2003-03-10 Monday 00:12  gbazin

 * modules/access/vcd/cdrom.c: small win32 bugfix.
 * configure.ac.in: on win32 we link ws2_32 with the slp plugin.

2003-03-10 Monday 00:04  massiot

 * Bumped up version number to 0.5.2
 * Fix for the "lock-up" problem under MacOS X. Removed the rt-priority
   configuration variable.

2003-03-09 Sunday 23:39  jlj

   * ./modules/demux/mpeg: DTS support.

2003-03-09 Sunday 20:07  jlj

   * DTS S/PDIF support.

2003-03-09 Sunday 19:44  gbazin

 * configure.ac.in: fixed my previous commit.
 * NEWS: added an entry about fixes in the dvd menu support.

2003-03-09 Sunday 19:25  gbazin

 * configure.ac.in: don't include the screensaver plugin on win32.
 * src/misc/variables.c: fixed a bug in var_Change() and in var_DelCallback().
 * modules/codec/spudec/parse.c: removed unnessecary code.
 * modules/access/dvdplay/access.c: fixed some navigation problems.

2003-03-09 Sunday 16:22  fenrir

  * fixed a really stupid bug with compressed header, improved parsing
 of audio stsd box. (handle qt3+ audio box)
  (I still need to fix mp4.c to read audio track that aren't mp4a)

2003-03-08 Saturday 01:55  sigmunau

 added a down, right gesture to quit vlc and an up, right gesture that swaps
 fullscreen on/off, removed the down gesture as it is now covered by the up,
 right gesture

2003-03-07 Friday 00:53  gbazin

 * modules/gui/gtk/gnome.c, modules/gui/gtk/gtk.c: clean up the gtk/gnome
 messages window regularly.

2003-03-06 Thursday 23:52  sigmunau

 NEWS: added note about .pls handeling and the http audio fix

2003-03-06 Thursday 23:10  gbazin

 * src/audio_output/dec.c, include/aout_internal.h: the aout core was
 automatically discarding audio samples that were above AOUT_MAX_ADVANCE_TIME
 in the future. Problem is that p_input->i_pts_delay isn't a fixed value. We
 now fetch this value from the input thread when we create an aout_instance_t.
 This solves problems with the http access plugin.

2003-03-06 Thursday 22:17  hartman

 * Updated README on Mac OS X issues.

2003-03-06 Thursday 15:30  sigmunau

 the m3u demux now reads the pls files shoutcast uses.

2003-03-06 Thursday 15:24  hartman

 * the close window command was reacting irratic because of my meddling
   with the responder chain. HANDS OFF you little devil ;)

2003-03-06 Thursday 14:40  hartman

 * not < but > ;)
   time to stop for today

2003-03-06 Thursday 12:52  hartman

 * fixed an issue with blackbars at certain aspect ratios when you resize
   the video window. (half, double)

2003-03-06 Thursday 12:05  hartman

 ALL: fixed: http://bugzilla.videolan.org/cgi-bin/bugzilla/show_bug.cgi?id=425
      having two close buttons in one window goes against Apple's UIG.

2003-03-06 Thursday 11:43  hartman

 * modules/gui/macosx/applescript.?
 * extras/MacOSX/Resources/vlc.scriptSuite
 * extras/MacOSX/Resources/English.lproj/vlc.scriptTerminology
   - moved existing applescript commands to these files
   - added several control commands. supported are: play/pause, stop,
     previous, next, fullscreen, mute, volumeUp and volumeDown.
     These correspond to the existing menuitems. This still requires work
     in the future to make it more correct AppleScript, but it works for now.

 * modules/gui/macosx/controls.?
   - split up the controls.m into a .m and a .h

 * modules/gui/macosx/intf.?
   - added a getControls method to gain access to the controller object from
     the AppleScript commands.

 * modules/gui/macosx/open.?
   - removed the applescript support existing here and moved it to applescript.?

 * modules/gui/macosx/playlist.m
   - made the tooltips for the add and remove buttons localizable.

 * modules/gui/macosx/vout.m
   - added a comment on the meaning of otherMouse events.

 * ALL:
   - updated copyright information to include the current year ;)

2003-03-06 Thursday 11:15  fenrir

  * http: lalala, forgot one line :)

2003-03-06 Thursday 11:09  fenrir

  * http: fixed a segfault while using it more than once.

2003-03-06 Thursday 10:15  hartman

 * If labels are nil, then it shouldn't disable the entire preference panel.
   fixes #428 more permenantly. the cause was a missing rt-priority desc.

2003-03-06 Thursday 10:11  jpsaman

 More sizing stuff.

2003-03-06 Thursday 09:58  massiot

 Fixed a segfault in the OS X preferences panel.

2003-03-06 Thursday 09:27  jpsaman

 Updated version number.

2003-03-06 Thursday 00:10  sigmunau

 we now insert playlist entries right after the playlist file, and not at the
 end of playlist. Should close bug reported on mailing list by Stepan Roh
 about "redirection".

2003-03-05 Wednesday 22:37  gbazin

 * modules/audio_filter/resampler/bandlimited.c: another bug-fix ( should be the last one ;)
 * install-win32: the FAQ wasn't being included in the package.

2003-03-05 Wednesday 19:58  gbazin

 * Makefile.am: make package-win32 creates FAQ.htm not faq.htm.

2003-03-05 Wednesday 19:31  gbazin

 * modules/audio_filter/resampler/bandlimited.c: added a few more sanity checks.

2003-03-05 Wednesday 19:16  hartman

 * updated italian translation by Bruno <allevb@tin.it>
   i had to merge it by hand, because it was pretty outdated.

2003-03-05 Wednesday 17:55  gbazin

 * src/input/input_ext-plugins.c: added an msleep() call in case we fail to
    allocate a new buffer in input_FillBuffer(). This is necessary because
    the input thread has an high priority and we don't want it to loop
    without any interruption.

2003-03-05 Wednesday 00:11  massiot

 * Fixed LDFLAGS_mp4 variable.

2003-03-05 Wednesday 00:05  sigmunau

 added not that gestures are now supported on osx and windows, with a comment
 telling that this isn't really useful yet.

2003-03-04 Tuesday 23:37  massiot

 Bumped up to 0.5.2-test3

2003-03-04 Tuesday 23:36  massiot

 * Made rt-priority a real-time variable (shut-up sam) and misc attempts
   to improve responsiveness under OS X

2003-03-04 Tuesday 23:32  hartman

 * this code should allow for the use of gestures under OS X.

2003-03-04 Tuesday 22:48  gbazin

 * modules/video_output/directx: added support for the mouse gestures interface.

2003-03-04 Tuesday 22:36  hartman

 * grrr debug message in the wild.

2003-03-04 Tuesday 22:08  gbazin

 * modules/audio_filter/resampler/bandlimited.c: small bug-fixes.
 * NEWS: added a note for the fixed MSVC project files.

2003-03-04 Tuesday 21:54  hartman

 * NEWS:
   - added item on fix of 'clicking' sound between stream changes.
   - added item on new bandlimited resampler
 * ALL:
   - bumped up revision number to 0.5.2-test3

2003-03-04 Tuesday 21:12  gbazin

 * include/vlc_common.h: on win32 we include malloc.h (otherwise alloca is
    not declared).
 * modules/access/file.c: use _lseeki64 instead of lseek on win32. This
    should allow seeking on files > 1.2Gb (Hopefully closes #168).

2003-03-04 Tuesday 19:28  gbazin

 * modules/audio_filter/resampler/bandlimited.c: fix bug that was affecting
    quality badly + some clean-up.
    Changed the module priority so it is now the default resampler.

2003-03-04 Tuesday 17:31  hartman

 ALL:
  - the german translation requires two different translations of the word
    File. I added a _ANS() function to the macosx version that gets the
    translation of 1:File and strips the first two characters of this
    alternate translation.
  - updated all .po files to make sure we don't break anything
  - committed the March 1 version of the german translation by Felix
    Kuhne <FK@aenneburghardt.de>

2003-03-04 Tuesday 13:21  massiot

 * Fixed a major bug in the LPCM codec.
 * Moved input_ExtractPES to where it belongs, input_ext-dec.c.

2003-03-04 Tuesday 03:27  gbazin

 * modules/audio_filter/resampler/bandlimited.[ch]: new high-quality
    bandlimited interpolation resampler.
    It is not yet enabled by default because it requires a bit more works
    (not fully stable yet because of buffer overflows under certain conditions).

 * src/audio_output/input.c: the resamplers are now always active (expcept
    in spdif mode).

 * modules/audio_filter/resampler/*: modified the resampler to return the
    input buffer when no resampling is needed.

2003-03-03 Monday 23:58  hartman

 * updated dutch strings.

2003-03-03 Monday 23:48  massiot

 * mpeg_video is back as a built-in because it is reproduceably faster than
   as a plug-in,
 * Another desperate attempt at fixing OS X lock-ups.

2003-03-03 Monday 19:39  hartman

 * NEWS:
   - added remarks on m-audio fixes and other OSX specific fixes.
   - added improved ID3 detection item
 * README.MacOSX.rtf
   - updated to reflect M-Audio fixes.
 * ./extras/MacOSX/Resources/English.lproj/MainMenu.nib/*:
   - widened the Browse.. button to allow for the german word: durchsuchen.

2003-03-03 Monday 16:49  gbazin

 * ALL: another bunch of fixes for the MSVC build.

2003-03-03 Monday 14:21  gbazin

 * ALL: Finally fixed the MSVC project files.
        Don't include io.h on win32 when not necessary.
        A few build fixes for MSVC.

 * src/misc/win32_specific.c: try to load winsock2 instead of winsock1 when
    present.

2003-03-03 Monday 14:19  massiot

 * Fixed a bug in LPCM codec.
 * Changed an error into a warning.

2003-03-03 Monday 01:38  fenrir

  * fixed play back of  mms://viptvr.yacast.fr/encoderfranceinfo (asf
 header send over multiples packets).

2003-03-02 Sunday 19:07  gbazin

 * configure.ac.in: fixed libid3tag detection.

2003-03-02 Sunday 18:17  fenrir

  * fixed seek flag with broadcasted data.

2003-03-02 Sunday 17:13  fenrir

  * forgot to initialize a variable.

2003-03-02 Sunday 17:12  fenrir

  * fixed a bug.

2003-03-02 Sunday 12:10  gbazin

 * NEWS: started filling in the NEWS file for the 0.5.2 release.

2003-03-02 Sunday 02:47  gbazin

 * configure.ac.in: Removed unused options.
    We also don't link with lrt anymore when using GNU-pth (lrt depends on
    lpthread).

2003-03-02 Sunday 01:35  gbazin

 * src/misc/threads.c, include/vlc_threads_funcs.h: another bunch of fixes
    for the GNU-pth implementation.

2003-03-01 Saturday 23:26  gbazin

 * src/misc/threads.c, include/vlc_threads_funcs.h: fixed gnu-pth thread
    implementation and fixed an initialization bug in libvlc.

2003-03-01 Saturday 21:32  ipkiss

  - about.dfm: the layout of the "About" dialog box is slightly different
  - misc.cpp: toolbar buttons are translated too
  - mainframe.dfm: removed the "Back" and "Eject" toolbar buttons, which
    were rather useless, and added an "Eject disc" menu entry
    Also hid the caption for all the toolbar buttons
  - win32.cpp: Added a config option to display or not these captions
  - preferences.cpp: small modification to support non-advanced mode

2003-03-01 Saturday 19:25  gbazin

 * install-win32, Makefile.am: added the html faq to the win32 package.
 * toolbox, msvc/*: few fixes to the msvc project files generation.
    (compiling plugins won't work yet because there are a few hacks that
     need to be done in order to compile dlls that use the c-runtime)

2003-02-28 Friday 17:23  fenrir

  * try a workaround for BeOS MediaKit files.

2003-02-28 Friday 10:19  massiot

 German translation, courtesy of Felix Kühne <FK@aenneburghardt.de>.

2003-02-28 Friday 04:31  ipkiss

 Internationalization now works for the win32 interface (thanks Gildas).
 I've voluntarily disabled the translation of the toolbar buttons
 strings, because it looks really awful...

2003-02-27 Thursday 22:09  ipkiss

 A few modifications to get closer to i18n in the win32 interface

2003-02-27 Thursday 16:38  gbazin

 * modules/demux/avi/avi.c: compilation fix.

2003-02-27 Thursday 15:07  fenrir

  * httpd: clean up, kick up unused connection (it waits 10s), use select
 to way (instead of a hard coded sleep ;)

2003-02-27 Thursday 13:19  gbazin

 * ALL: i18n updates and fixes.

2003-02-27 Thursday 12:44  marcari

 * updates for the YOPY ports (thx to Sebastien Chaumat !)

2003-02-27 Thursday 08:19  massiot

 * Bumped up revision number to 0.5.2-test2
 * Another attempt at fixing the "VLC is locking up OS X" problem
 * Updated po files

2003-02-26 Wednesday 21:00  asmax

 * compilation fixes...

2003-02-26 Wednesday 19:39  gbazin

 * configure.ac.in, Makefile.am, install-win32: fixed the package-win32 make
    target, and included the locales in the installer script.
 * src/libvlc.c: on win32 we look for the locales in vlc's directory.

2003-02-26 Wednesday 18:15  massiot

 * Added sanity checks for PTS in the future.

2003-02-26 Wednesday 15:47  marcari

 * implementation of the 'autoplay file' button callback
 * when clicking a link : follows the link and don't try to open it
 * yopy does not always sees the '.' and '..', so workaround :
     - all the hidden files are not displayed
     - the '..' directory is each time added by hand

2003-02-26 Wednesday 15:44  marcari

 * small modification for linupy :
     - added a pixmpa directory
     - added a set_usize (how do we maximize cleanly a gtk-window ?)
     - chdir to '.' instead of '/mnt' (should it be '~' or '/' ?)

2003-02-26 Wednesday 13:51  gbazin

 * src/input/input_ext-dec.c: added a few sanity checks that avoid crashing
    badly when we reach the end of the stream (decoder stream).
 * modules/packetizer/mpegvideo.c: fixed a bug that was causing an infinite
    loop when the end of the stream was reached.

2003-02-26 Wednesday 12:38  fenrir

  * ts.c: added "ts" shorcut for ts_dvbpsi.

2003-02-26 Wednesday 04:23  babal

 - link the headphone channel mixer with the math library

2003-02-25 Tuesday 21:09  gbazin

 * modules/codec/libmpeg2.c: fixed pts handling.

2003-02-25 Tuesday 18:26  gbazin

 * configure.ac.in: accidentaly changed AM_GNU_GETTEXT_VERSION to 0.11.5 in
    my last commit.
 * po/Makevars: file needed by newer versions of gettext.

2003-02-25 Tuesday 17:17  fenrir

  * stream_output.* : added a flags variable to sout_buffer_t, allowing to
 mark headers.
  * httpd : added a way to use stream header, and changed the way that
 stream data are stored (allow better client handling).
  * http : use stream header, and add mime type detection by looking
 at file extention (could be improved).
  * ogg: fixed a segfault when removing a stream, mark header.

2003-02-25 Tuesday 17:15  gbazin

 * configure.ac.in, modules/codec/Modules.am, modules/codec/libmpeg2.c:
    Added a simple mpeg video decoder based on libmpeg2. It is mainly useful
    for comparing the performance against our custom decoder as it is currently
    missing some important features like the synchro stuff.

2003-02-24 Monday 23:28  fenrir

  * stream_output.c : added a sanity check.

2003-02-24 Monday 23:27  fenrir

  * all : ogg/ogm muxer. Yet very limited as it accepts only mp3/a52 audio
 and mpeg4/divx3 video streams. (Created files seem to work only with vlc).

2003-02-24 Monday 17:06  jlj

   * a52tofloat32.c: changed an error into warning.

2003-02-24 Monday 14:40  sigmunau

 updated documentation to reflect that input_AccessReinit should be called
 before, and not after a random seek

2003-02-24 Monday 14:14  fenrir

  * all : fix compilation.

2003-02-24 Monday 12:34  fenrir

  * stream_output.c : fixed compilation.
  * mux/* implemented pf_mux_capacity.

2003-02-24 Monday 11:14  gbazin

 * configure.ac.in, modules/misc/httpd.c: compilation fixes for win32.

2003-02-24 Monday 11:00  fenrir

  * stream_output.h : add a private parameter to sout_instance_t only used
 by src/stream_output.c (avoid changing every time stream_output.h...)

2003-02-24 Monday 10:45  fenrir

  * stream output: fixed name inconsistency, added a new exported
 functions by muxer.
  * wav: fixed a warning.

2003-02-24 Monday 09:26  fenrir

  * asf: fix seek for http.

2003-02-24 Monday 09:18  fenrir

  * wav: proper seek handling. (wav file readable over http).

2003-02-23 Sunday 22:35  fenrir

  * enable httpd(by default) and http.

2003-02-23 Sunday 19:07  fenrir

  * all : declaration of http and httpd.

2003-02-23 Sunday 19:05  fenrir

  * modules/access_output/http : http output.
  * httpd : mini http server (be carefull about security issue...)

2003-02-23 Sunday 18:07  fenrir

  * all : added streaming support for crappy ms video codec into TS.
  - Only vlc is able to read such TS.
  - I use stream id 0xa0 and descriptor 0xa0, I hope there aren't used.
  - DivX1/2/3, wmv1/2, h/i263 should be supported, others could be
    quickly added.
  - Please test.

2003-02-23 Sunday 16:31  sigmunau

 added a demux and decoder for flac files (disabled by default). Works for
 16bit per sample streams, only tested with stereo

2003-02-23 Sunday 05:53  jlj

   * ./modules/gui/macosx/aout.m: M-Audio Revolution fixes.
                                  Dynamic device support.
   * ./modules/gui/macosx: Minor fixes and cosmetic changes.

2003-02-23 Sunday 01:25  massiot

 * Destroy audio-device and audio-channels when no output plug-in is
   available.

2003-02-22 Saturday 16:10  fenrir

  * fix compilation.

2003-02-22 Saturday 14:11  sigmunau

  Fixed seme seeking issues with http access module, fixed an error that
 caused id3v2.4 tags at the end of the file to not work. Added checks to
 avoid seeking off the ends of the file. Should close #325, please confirm

2003-02-21 Friday 22:59  gbazin

 * src/audio_output/input.c: fixed buffer allocation bug that was triggered
    when using "in place" resamplers.

2003-02-21 Friday 16:31  hartman

 DJ's first steps in C and vlc decoders ;)
 * modules/audio_filter/converter/mpgatofixed32.c:
   - fixed an issue that could cause glitches when switching from one stream
     to another. the buffer wasn't entirely getting 0000 because multiple
     channels were not taken into account when doing this.
 * ALL:
   - if float32 then clear the buffer with (float)0

2003-02-21 Friday 15:16  hartman

 * previous commit seems to break some things. reverting.

2003-02-21 Friday 14:17  hartman

 * (float) 0 the buffer if it cannot be decoded and fixed32.
   right Meuuh ??? ;)

2003-02-21 Friday 03:49  hartman

 * VLC.app should show its version in the Finder now
   Meeuh, one more place that needs version string updated before a release.
   might be made automated ?

2003-02-21 Friday 03:22  hartman

 * ignore project Builder user files and backup .nib files.
 * vlc.app changed to VLC.app. cvsignore changed to reflect this.

2003-02-21 Friday 02:45  hartman

 * If the "show advanced" option has been changed and you press the Apply
   button, the preferences window is destroyed and created.

2003-02-20 Thursday 18:10  hartman

 * prefs obey the advanced option. Apply does not as of yet.

2003-02-20 Thursday 16:07  gbazin

 * src/libvlc.h, modules/audio_output: added a global --spdif config option
    to allow using the spdif output by default if available.
 * modules/misc/dummy/*: on win32 added a quiet mode that doesn't display
    a dos command box.
 * modules/control/rc/rc.c: on win32 enabled the echo mode and the
    backspace key.
 * modules/codec/mpeg_audio.c: fixed a sync bug.

2003-02-20 Thursday 01:52  sigmunau

 * include/configuration.h: added a new flag to the configuration stucture to
 indicate wether it is an "advanced" option or not. The goal with this is to
 hide the user from all the strange options that very seldom needs to be
 changed. added an extra argument to all the add_* macros to indicate wether
 the item is advanced or not.
 * src/libvlc.h: added an "show advanced options" config option default
 disabled
 * src/libvlc.c: the advanced options are not listed by vlc --help and
 friends unless --advanced is used
 * modules/gtk/preferences.c: the gtk/gnome preferences dialog don't show
 advanced options unless advanced is set
 all: set the advanced flag to VLC_FALSE or VLC_TRUE for all options, by
 using some common sense. Please check and correct

 note: All interfaces should still work like they used to, see the change in
 modules/gtk/preferences.c to find out how to "hide" options.

 second note: I think I've changed all the modules, but I could not test
 everyone for compilation, expect some broken modules (the fix is to add ",
 VLC_TRUE" as last argument to the add_* I forgot)

2003-02-19 Wednesday 22:08  gbazin

 * modules/audio_output/directx.c: forgot to enable channel re-ordering.
 * modules/audio_output/waveout.c: fixed a crash that happened when probing
    devices supporting S/PDIF. (Should fix 354)

2003-02-19 Wednesday 14:49  hartman

 * increased accuracy of positionslider in OSX. although this will not solve
   all problems this will improve results a bit (by my own experience).

2003-02-19 Wednesday 10:02  gbazin

 * src/libvlc.c: "stty size" won't work on win32 so make ConsoleWidth()
    always return 80.

2003-02-18 Tuesday 23:34  gbazin

 * modules/demux/mp4/*: added FOURCC_dvc (DV - NTSC), FOURCC_dvp (DV - PAL)
    and FOURCC_twos (PCM audio).

2003-02-18 Tuesday 22:40  ipkiss

  * src/misc/modules.c: on Windows, we look for the plugins in vlc's root
    directory when there is no 'plugins' nor 'modules' subdirectory
    (may close #306)

2003-02-18 Tuesday 22:33  gbazin

 * modules/codec/ffmpeg/video.c: got rid of ffmpeg_ConvertPictureI410toI420()
    and use img_convert() from ffmpeg instead. Also added support for the
    PIX_FMT_YUV411P pixel format so we can now decode the DV Quicktime videos
    from media.xiph.org.

2003-02-18 Tuesday 20:54  hartman

 * Only update the info window if it is visible

2003-02-18 Tuesday 19:42  gbazin

 * modules/demux/rawdv.c: added support for DV audio now that ffmpeg can
    decode this.
 * modules/codec/ffmpeg/ffmpeg.h, modules/codec/ffmpeg/ffmpeg.c: added the
    necessary fourcc for DV audio.

2003-02-18 Tuesday 18:49  fenrir

  * mpeg_audio.c: removed some fprintf...

2003-02-18 Tuesday 18:33  titer

  * ipv4.c, libvlc.h: add a --ttl option to set time-to-live when
                      multicasting with the stream output
  * modules/control/: missing cvsignore

2003-02-18 Tuesday 13:13  sam

   * ./mozilla/*: s/VideoLAN Client/VLC/g.

2003-02-18 Tuesday 00:51  fenrir

  * raah, corrected mpeg2-layer3 playback (and streaming). (that my last
 fix had broken :p )

2003-02-18 Tuesday 00:20  hartman

 * Changed an Error message. Many people did not understand:
   no suitable decoder module for fourcc `IV31'
   I have appended:
   VLC probably does not support this sound or video format.

2003-02-18 Tuesday 00:17  massiot

 * Fixed a segfault in the Japanese preferences panel.

2003-02-17 Monday 23:47  hartman

 * Fixed the localization issue on MacOSX.

2003-02-17 Monday 23:10  jpsaman

 Juglin with dependencies.

2003-02-17 Monday 22:19  gbazin

 * modules/audio_output/directx.c: added multichannel support to the
    directx plugin.
 * modules/audio_output/waveout.c: fixed quad audio channels detection and
    a few misplaced debug messages.
 * configure.ac.in: don't link anymore the rc plugin with the winsock lib.

2003-02-17 Monday 22:03  asmax

 * added a SAP server, with some kludges because the SAP client in vlc
   is not RFC-compliant...

2003-02-17 Monday 18:58  hartman

 * NEWS: added info about the new 0.5.1a release for OSX.
 * extras/MacOSX/vlc.pbproj/project.pbxproj: bumped revision #

2003-02-17 Monday 17:06  massiot

 Fixed the "everything is in Japanese" bug. :p

2003-02-17 Monday 16:56  gbazin

 * modules/control/rc/rc.c: finally fixed the rc interface under win32 by
    using WaitForSingleObject() on the console handle and ReadConsoleInput().
    (Closes #59)

2003-02-17 Monday 14:43  massiot

 Now 0.5.2-cvs (estimated release date in two weeks from now).

2003-02-17 Monday 10:52  hartman

 * Whoops. i forgot to add these files. sorry everyone.

2003-02-17 Monday 09:47  gbazin

 * modules/audio_filter/resampler/linear.c: lowered the priority of the linear
    resampler so the ugly resampler is once again the default. The quality of
    the ugly resampler is currently better than the linear one because of a
    design defect.

2003-02-17 Monday 07:22  sam

   * ./debian/woody-buildpackage: Debian package creation fixes.

2003-02-17 Monday 06:31  sam

   * ./modules/gui/macosx/Modules.am: removed %#$@#!#@ non-existent file!

2003-02-17 Monday 06:15  sam

   * Updated NEWS and ChangeLog.

2003-02-17 Monday 06:00  sam

   * ./src/misc/modules.c: hmpf, Wine does not complain about "/"s in paths,
     but Windoze will certainly do.

2003-02-17 Monday 05:50  sam

   * ./src/misc/win32_specific.c: under Win32 we retrieve the executable's
     directory whenever possible, to use it for the spudec font or to load
     plugins.

2003-02-17 Monday 04:21  sam

   * ./configure.ac.in: fixed PLUGIN_PATH and DATA_PATH settings.

2003-02-17 Monday 00:04  asmax

 * added a sample playlist. All fields must be separated with TABs

2003-02-16 Sunday 23:57  asmax

 * libvlc binding for python
 * new VideoLAN RTSP Server, using libvlc.
   Not yet fully rfc2326-compliant, but it works ;)

2003-02-16 Sunday 23:32  hartman

 * Added an info panel to show movie info, etc.

2003-02-16 Sunday 17:35  sam

   * ./debian/changelog: updated for 0.5.1.
   * ./debian/control: vlc-glide is now Architecture: i386 only.
   * ./debian/control: vlc-plugin-mad Provides: mp3-decoder.
   * ./debian/rules: the deprecated vlc-* packages have a proper link to
     /usr/share/doc/vlc/.

2003-02-16 Sunday 16:22  jpsaman

 Updated release numbering for all ipk's

2003-02-16 Sunday 16:21  jpsaman

 Qte video output get is screen size from the QT Embedded environment now. This should produce fullscreen video on other QT Embedded configurations with other screen sizes (greater then 240x320).

2003-02-16 Sunday 14:51  fenrir

  * udp: forgot this file...

2003-02-16 Sunday 14:10  fenrir

  * all: split muxer and access into independant part.

2003-02-16 Sunday 14:03  fenrir

  * Less checks on muxer type.

2003-02-16 Sunday 11:18  fenrir

  * adpcm: added dk3 too.

2003-02-16 Sunday 10:25  sigmunau

 Added support for volume up/down buttons.

2003-02-16 Sunday 09:50  fenrir

  * adpcm: added DUCK 4 variant support. (thx M. Melanson who provided me
 somes samples.)

2003-02-16 Sunday 08:56  fenrir

  * all: fix mpeg2 handling.

2003-02-16 Sunday 01:38  titer

  NEWS: updated BeOS info for 0.5.1

2003-02-16 Sunday 01:29  massiot

 * modules/gui/macosx/open.m: Removed channel server support
 * po/*: Updated po files just before the 0.5.1 release
 * modules/audio_filter/resampler/linear.c: fixed an initialization bug

2003-02-15 Saturday 20:02  jpsaman

 Update iPaq packaging description files for:
 - GPE port
 - Opie port
 - Zaurus
 Updated NEWS file with OPIE port.

2003-02-15 Saturday 13:50  massiot

 * Bumped up revision number to 0.5.1
 * Updated French translation

2003-02-15 Saturday 12:57  hartman

 * if we are paused in fullscreen, show cursor.

2003-02-15 Saturday 04:43  ipkiss

  - fixed a vicious bug

2003-02-14 Friday 23:07  hartman

 * Should fix an issue with multiple monitors and the hiding of the mousecursor

2003-02-14 Friday 18:22  sam

   * ./src/libvlc.c: the --help output is now word-wrapped (Closes: #142).
   * ./src/libvlc.c: removed unnecessary malloc() calls.
   * ./src/libvlc.c: used {a,b,c} for lists; [a|b|c] is for optional args.

2003-02-14 Friday 17:00  ipkiss

  * exchanged directx' and waveout's capabilities because the latter
    seems to be more reliable

2003-02-14 Friday 13:48  jpsaman

 Fixed deadlock upon unloading qte_main plugin.
 Cleanup of debug messages.

2003-02-14 Friday 13:44  jpsaman

 Tuning package dependencies.

2003-02-14 Friday 13:19  jpsaman

 Updated opie control file for packaging.

2003-02-14 Friday 13:01  jpsaman

 Small improvement.

2003-02-14 Friday 09:50  gbazin

 * modules/audio_output/waveout.c: better buffer management and hopefully
    fixed the S/PDIF output (Still untested though. Anybody here could test
    this? ).

2003-02-13 Thursday 21:53  massiot

 Updated NEWS file for 0.5.1. PLEASE do your share and add what you think is
 meaningful.

2003-02-13 Thursday 17:31  sam

   * ./configure.ac.in: we should look for -lxvidcore, not -lxvid.

2003-02-13 Thursday 14:16  hartman

 ALL:
  - when a new stream is being loaded we select the current title in the
    playlist.
  - Cleaned up some of my previous commited code dealing with updating
    the window title.

2003-02-13 Thursday 02:00  hartman

 *ALL: update the title of the window everytime the stream changes.

2003-02-13 Thursday 01:14  hartman

 * fixed a small bug

2003-02-13 Thursday 00:09  hartman

 * src/playlist/playlist.c:
   - added an intf-change variable. This is set whenever you add or delete
     an item in the playlist. You need to unset it yourself.
 * modules/gui/macosx/intf.?:
   - listen for external playlist changes. update view when playlist changes.
   - activate/deactivate previous and next buttons and menuitems,
     whenever the playlist gets changed.

2003-02-12 Wednesday 23:26  jpsaman

 Scripts for building and packaging vlc on Zaurus PDA.

2003-02-12 Wednesday 23:26  jpsaman

 Updated control files and buildscript for v0.5.1

2003-02-12 Wednesday 23:13  jpsaman

 The Qt Embedded video output plugin is now the preferred plugin when build for Opie or Qte environments.

2003-02-12 Wednesday 23:09  jpsaman

 Fixed Qt Embedded video output placing of video stream in window. Also fixed additional spacing between video lines.

2003-02-12 Wednesday 23:08  massiot

 * Italien translation, courtesy of Bruno <allevb@tin.it>.

2003-02-12 Wednesday 17:13  jobi

     * modules/access/vcd/vcd.*: fixed a warning

2003-02-12 Wednesday 16:58  jobi

     * modules/access/vcd/vcd.c: in entry points, track number should be read
       as BCD (it should fix #244). Also fixed chapter indexing, so that it
       correspond to the dvd one.

2003-02-12 Wednesday 14:22  hartman

 * modules/gui/macosx/controls.m:
   - fixed the mute and volumeup volumedown when you use them mixed.
 * src/audio_output/intf.c:
   - set "saved-volume" on volume up, volume down.

2003-02-12 Wednesday 13:42  massiot

 Patch courtesy of gibalou :
 * demux/mpeg/ts.c, demux/mpeg/system.c: Proper initialization of
 i_continuity_counter,
 * access/udp.c: Fixed win32 behavior when --mtu is set to a too small value,
 * demux/mpeg/ts.c: Fixed detection of PAT/PMT change.

2003-02-12 Wednesday 02:11  ipkiss

  * compilation fix
  * all files are stored in dos mode, or Borland won't compile some of
    them...

2003-02-11 Tuesday 18:05  massiot

 * 0.5.1 German translation, courtesy of Felix Kühne <FK@aenneburghardt.de>.

2003-02-11 Tuesday 17:20  babal

 - Dolby Surround fix
 - support for 6.1, 7.1, and possibly even 8.1 ! Not so sure though about
   6.1 since there is a doubt about where should be the Rear Center
   coefficient in a decoded sample.
   -> if anybody has an idea or even better a test stream...

2003-02-11 Tuesday 16:19  hartman

 * updated dutch strings

2003-02-11 Tuesday 15:35  hartman

 ALL: - changed vlc.app into VLC.app
 modules/gui/macosx/vout.m: fixed a potential issue with the hiding of the
      mousecursor.

2003-02-11 Tuesday 15:24  hartman

 * Updated ReadMe file
   - some spelling issues
   - remark about the current troubles with sound
   - readded deinterlace remark
   - Added info on multiple screens and sound devices
   - updated the bugreporting URL
   - Changed all occurences of vlc into VLC where appropriate

2003-02-11 Tuesday 11:16  massiot

 * modules/codec/lpcm.c: Attempt at supporting all channel configurations,
 * Support for 7 and 7.1 channel configurations.

2003-02-10 Monday 23:50  massiot

 * modules/video_output/sdl.c: Real fix for the aout_Volume* problem.

2003-02-10 Monday 23:16  marcari

  * sdl.c : added includes (vlc/aout.h & aout_internal.h)
     => to make volumeup/down compile

2003-02-10 Monday 23:04  hartman

 * the window of the video shows the official document icon, filename and
   when command-clicked the path if the stream is a local file.
   this is the expected window behaviour in osx.

2003-02-10 Monday 22:22  massiot

 * I ran --update-po for the last time before the 0.5.1 release (and I
 mean it !)

2003-02-10 Monday 22:18  hartman

 * The dock should no longer be visible in fullscreen mode.

2003-02-10 Monday 21:56  sam

   * ./debian/rules: added code to avoid timestamp skews in the faad tree.

2003-02-10 Monday 21:54  hartman

 * only show last part of of file/url name in the playlist.

2003-02-10 Monday 21:46  sam

   * ./debian/rules: added missing icon in the vlc and wxvlc packages.

2003-02-10 Monday 21:28  hartman

 * fixed the black bar issue with window half/normal/double window sizes in
   OSX. i had forgotten the aspectratio.

2003-02-10 Monday 21:11  sam

   * ./debian/rules: removed Debian kludges that do not really belong to the
     official VLC tree.

2003-02-10 Monday 20:57  sam

   * ./debian/control: added the "VideoLAN" word in the long description so
     that "apt-cache search videolan" returns vlc.

2003-02-10 Monday 20:11  sam

   * ./src/misc/modules_plugin.h.in: when opening the KDE plugin, we first
     dlopen(libstdc++) to avoid dlopen(kde_plugin) from crashing. Call me evil.

2003-02-10 Monday 18:12  sam

   * ./configure.ac.in: disabled the i420_yuy2_mmx plugin when profiling with
     gprof, because gcc is unable to build it without -fomit-frame-pointer
     (Closes: #260).

2003-02-10 Monday 17:43  massiot

 * modules/audio_output/alsa.c: Fixed mono files output (thanks bozo !),
 * Minor fixes.

2003-02-10 Monday 16:53  sam

   * ./src/misc/threads.c: fixed compilation of the gprof wrapper trick.
     (partially fixes #260)

2003-02-10 Monday 15:23  titer

   Move the messages update function to another thread. It prevents it from
  freezing the main window (cannot seek anymore, etc).

2003-02-10 Monday 00:41  hartman

 * another proof that the copy command in IE for Mac sucks. stupid stray chars.

2003-02-10 Monday 00:16  massiot

 * Enabled the gestures module by default,
 * Run --update-po.

2003-02-10 Monday 00:16  hartman

 * restored old deinterlace menu. The on the fly code does not work as long
   as the vout.m issue exists. but this is better then the current 'dummy'
   code we have.

2003-02-09 Sunday 23:42  sigmunau

  *: a new mouse gestures interface, currently supporting back, forward, quit
 fullscreen and a nice debug message when you draw a clockwise square. Video
 output modules needs to be modified for this to work, but it should be minor
 in modules supporting dvd navigation.

 btw: it should be easy to add new gestures, ideas appreciated

2003-02-09 Sunday 19:28  massiot

 * Minor typographic corrections,
 * Fixed a segfault in the Preferences window.

2003-02-09 Sunday 17:10  stippi

 modules/gui/beos/PreferenceWindow.h/.cpp

 	- added settings for screenshot path and image format

 	- removed "Save" button, added "Cancel" and "Revert" buttons

 	- added revert functionality

 	- changed class design for cleaner functionality,
 		separated ApplyChanges() into more functions
 		to have finer control

 	- added more error checking and fixed memory leaks
 		(config_GetPsz() returns char*, not const char*!)

 	- all settings are now correctly saved and restored

 	- some more cosmetic changes

 modules/gui/beos/InterfaceWindow.h/.cpp

 	- updated vlc way of saving settings to be on par with BeOS way
 		and made it selectable in the code which way is used.
 		However, the VideoSettings are still only savable in
 		the BeOS way.

 	- if dvd menus are used, the navigation menu enables a
 		"Goto Menu" item. Unfortunately, I don't see a clean
 		way to really detect the usage of dvd/dvdold in the
 		currently playing stream. I wouldn't want to see
 		if a playlist item has "dvd:" or "dvdold:" prepended
 		at each interface update.

2003-02-09 Sunday 13:25  fenrir

  * sub.c : begun clean up

2003-02-09 Sunday 12:23  sam

   * ./configure.ac.in: fiddled with linking flags for the KDE plugin.

2003-02-09 Sunday 12:21  sam

   * ./debian/control: made lintian happier with package descriptions.
   * ./debian/rules: added extra touch calls to prevent autobuilders from
     launching autoconf/automake.

2003-02-09 Sunday 12:19  sam

   * ./modules/video_filter/transform.c: fixed a stupid typo preventing
     initialization of the plugin.

2003-02-09 Sunday 12:18  sam

   * ./modules/gui/kde/preferences.cpp: fixed KDE 3.1 compilation.

2003-02-09 Sunday 11:51  titer

  Simplified volume functions

2003-02-09 Sunday 02:01  ipkiss

  * modules/gui/win32/mainframe.cpp: simplifications using the new
    aout_Volume* API

2003-02-09 Sunday 01:56  massiot

 Fixed GTK compilation.

2003-02-09 Sunday 01:50  massiot

 * Added Step forward/Step backward feature.

2003-02-09 Sunday 01:13  massiot

 * aout_Volume* functions now do their own vlc_object_find() on the
   audio output. Consequently, the first argument can be any vlc_object_t.
 * modules/gui/macosx/*: greatly simplified volume functions ; you can now
   call aout_Volume* even when there is no audio output, and the volume
   will be saved for later use.

2003-02-08 Saturday 22:43  massiot

 Fixed previous commit.

2003-02-08 Saturday 22:20  massiot

 * src/extras/libc.c: New vlc_wraptext function,
 * modules/gui/macosx/prefs.m: Wrap tool tips to 60 characters,
 * src/input/input.c: Correctly parse MRL of the type
   /Volumes/toto:titi/coincoin.mpg (closes #238 & #186)
 * modules/access/*: Changed some msg_Warn into msg_Err
 * po/fr.po: Updated French translation,
 * configure.ac.in: Re-enabled Swedish translation,
 * Makefile.am: Do not recompile everything everytime someone changes a .h

2003-02-08 Saturday 21:43  hartman

 * window half/normal/double Size commands
   - black bar issue is not fixed. i removed 'myfix'

2003-02-08 Saturday 20:32  massiot

 * modules/codec/mpeg_video/parser.c: Do not stop decoding on SEQUENCE_END_CODE
 * modules/gui/macosx/intf.m: VLC _m_edia _p_layer.

2003-02-08 Saturday 19:14  asmax

 * fixed the encoding
   (Meuuh you can re-enable swedish ;)

2003-02-08 Saturday 19:10  massiot

 * Fixed misc typos in strings,
 * Updated po files,
 * New --buggy-psi options, to supports streams which don't update the
 continuity counter in their PSI packets (walkenizes #sam).

2003-02-08 Saturday 17:26  massiot

 * configure.ac.in: Disabled Swedish translation since it doesn't use the
   right charset,
 * Implemented localization for audio-channels and video-device variables.

2003-02-07 Friday 23:36  marcari

 glibc 2.1 port for linupy (linux on a yopy pda)

 * modules/access/*.c : added include <sys/time.h> for struct timeval
 * ipv6.c : ipv6 is not fully supported under glibc2.1 (especially multicast)

 VLC rulz on Yopy !

2003-02-07 Friday 21:30  hartman

 * Resize window fixes
   - we should not resize the window in fullscreen
   - fixed the black bars bug in half and double size
   - position of top left corner should not change
   - more efficient code

2003-02-07 Friday 20:23  hartman

 * added half, normal and full size videowindow menuitems.
   there seems to be a bug though somewhere. you end up with black bars in
   half and double size.

2003-02-07 Friday 18:43  ipkiss

  * Fixed the "RichEdit line insertion error" bug (closes #246)
  * Added a popup menu to copy log messages to the clipboard

2003-02-07 Friday 16:51  massiot

 Fixed a buffer leak with slice-I streams (thanks sam).

2003-02-07 Friday 09:17  yves

 - added missing buildrequires
 - now autodetect on wich system we are:
   rpm --rebuild should work out of box on rh and previous mdk systems.
 - NO buildrequires on rh-like system. rh does not have a devel policy
 - more redhat stuff: NO menu (i do not know their "propriatory" menu system yet)

2003-02-07 Friday 01:32  hartman

 * grrr changed the project file by accident. revert

2003-02-07 Friday 01:31  hartman

 * When you push backspace or delete in the playlist, it removes the selected item.

2003-02-07 Friday 01:22  fenrir

  * ffmpeg/audio : removed an old error (anyway it was harmless).
  * mp4 : removed a bad initialisation. Erased all ending spaces.
  * mpeg/audio : send i_rate to decoder (not yet usefull but ...)

2003-02-07 Friday 01:09  sam

   * ./src/interface/interface.c: interface variable is "intf", not "interface".

2003-02-07 Friday 00:29  sam

   * ./include/interface.h: grmbl, I forgot VLC_EXPORT did not support multiline
     declarations. Should fix that later.

2003-02-07 Friday 00:26  sam

   * ./modules/access/dvdplay/demux.c: fixed a minor warning.

2003-02-06 Thursday 23:59  sam

   * ./modules/access/dvdplay/demux.c: the dvdplay plugin no longer sets the
     "interface" variable to "dvdplay" (Closes: #178, #210, and probably a
     bunch of others).
   * ./src/interface/interface.c: added a safety check to circumvent the bug,
     allowing a smooth upgrade.

2003-02-06 Thursday 23:55  massiot

 Fixed interface freezes in the OS X interface.

2003-02-06 Thursday 23:01  sam

   * ./src/misc/darwin_specific.m: completed our list of known languages and
     made code simpler to read.

2003-02-06 Thursday 21:56  sam

   * ./debian/rules: build the SLP plugin by default.

2003-02-06 Thursday 21:39  titer

  Tuned BeOS priorities for a better playback on low-end computers.

2003-02-06 Thursday 15:14  massiot

 Fixed AFMT_AC3 and AFMT_S16_NE handling.

2003-02-06 Thursday 13:47  hartman

 * Changed a failed DecompressSequenceFrameS error into a warning. We don't
   want to bug users with this when we resize a video.

2003-02-06 Thursday 03:22  sam

   * ./modules/misc/screensaver.c: screen saver disabling plugin; runs a thread
     in the background to disable xscreensaver the jwz way (Closes: #58).

     It's an interface plugin, trigger with "--extraintf screensaver".

2003-02-06 Thursday 02:37  sam

   * ./configure.ac.in: libmad and liba52 need to be explicitely disabled,
     otherwise we fail with an error when they are not found.

2003-02-05 Wednesday 22:48  hartman

 * Changed the wrong property in my recent commit. FIXED

2003-02-05 Wednesday 22:11  sam

   * ./modules/gui/gtk/gtk_callbacks.c: fixed a bug that caused crashes when
     doing fullscreen or volume up from the popup menu.

2003-02-05 Wednesday 16:23  hartman

 * added a "Open CrashLog" button to the messages window in OSX.

2003-02-05 Wednesday 14:58  hartman

 * Added AppleScript support
 * We can now handle mms:// etc on a systemwide level.
   - No way to set this other then trough Explorer Prefs at the moment

2003-02-05 Wednesday 02:31  hartman

 * More support for handling URLs. Still need to create the scriptsuite.

2003-02-05 Wednesday 01:36  hartman

 * Added a Next and Previous item to the dockmenu
 * Prelimanary support for making VLC the handler of ftp http mms and udp
   URLs (on a systemwide level)

2003-02-04 Tuesday 21:01  jpsaman

 Closes bug #170

2003-02-04 Tuesday 20:45  hartman

 * We released an array that was in a autorelease pool. That's not necesarry

2003-02-04 Tuesday 11:51  massiot

 * modules/codec/mpeg_video/*: Support for Slice-I (aka intra slice refresh)
   streams.

2003-02-04 Tuesday 11:07  massiot

 * modules/demux/mpeg/*: Fixed an uninitialized variable with TS streams
   (thanks gibalou !).

2003-02-04 Tuesday 10:07  massiot

 * modules/access/*: Fixed compilation problems with "struct timeval".

2003-02-03 Monday 21:47  sam

   * ./bootstrap: we don't fail if gettext is too old and there is no
     ABOUT-NLS in the tree.

2003-02-03 Monday 21:38  massiot

 Now developing 0.5.1-cvs.

2003-02-03 Monday 19:45  sam

   * ./debian/woody-buildpackage: enabled build-deps checking.

2003-02-03 Monday 17:18  stippi

 modules/gui/beos/InterfaceWindow.h/.cpp

 	- improved file loading:
 		- contents of sub folders can optionally be loaded too
 		- files are loaded in expected order from filepanel
 			_and_ drag'n'drop
 		- file panel accepts folders to load
 	- saving of playlist's display mode
 	- added updating of interface when playlist is modified
 		while nothing is playing
 	- added compatibility for SoundPlay's drag'n'drop message format

 modules/gui/beos/ListViews.h/.cpp

 	- implemented reversal of playlist
 	- list can display full path or file name only
 	- drag'n'drop interaction with SoundPlay

 modules/gui/beos/MediaControlView.cpp

 	- cosmetic fix

 modules/gui/beos/PlayListWindow.h/.cpp

 	- added reverse sort command to edit menu
 	- added view menu, to allow the user to display paths
 		or only names in the list

2003-02-03 Monday 02:26  sam

   * ./debian/rules: more Debian Woody fixes. Grrrr!

2003-02-03 Monday 01:32  sam

   * ./modules/visualization/xosd/xosd.c: Woody compilation fixed.
   * ./debian/woody-buildpackage: sed syntax fixed.

2003-02-03 Monday 00:56  sam

   * ./share/Makefile.am: we weren't distributing the font!

2003-02-03 Monday 00:43  sam

   * Updated ChangeLog and pofiles.

2003-02-03 Monday 00:39  sam

   * ./modules/audio_output/alsa.c: Woody ALSA compilation fix.

2003-02-03 Monday 00:23  sam

   * ./debian/control: missing build dependencies.

2003-02-03 Monday 00:00  massiot

 German translation, croutesy of Felix Kuehne.

2003-02-02 Sunday 23:11  massiot

 Worked around a bug with the Screens menu and localization.

2003-02-02 Sunday 20:59  hartman

 * OSX version can open .asx files. so we need to let the os know that ;)

2003-02-02 Sunday 20:21  sam

   * ./include/vlc_config.h: changed "VideoLAN Client" into VLC.

2003-02-02 Sunday 20:07  sam

   * ./debian/vlc.desktop: removed unnecessary file.

2003-02-02 Sunday 20:01  sam

   * ./debian/Makefile.am: added woody-buildpackage, removed *.woody.

2003-02-02 Sunday 20:01  sam

   * ./debian/changelog: updated Debian changelog.

2003-02-02 Sunday 19:45  sam

   * ./ChangeLog: used cvs2cl (./cvs2cl.pl --hide-filenames --no-wrap -w
     --stdout | sed -e 's/^[^0-9]/ /' -e 's/^  *$//' | uniq).

2003-02-02 Sunday 18:57  sam

   * ./debian/woody-buildpackage: finished Woody build script.

2003-02-02 Sunday 18:12  sam

   * ./po/de.po: german translation updates from Felix Kühne.

2003-02-02 Sunday 18:09  jpsaman

 Added ffmpeg package to list of depenencies.

2003-02-02 Sunday 17:18  sam

   * ./debian/woody-buildpackage: added a script to build .debs on woody.

2003-02-02 Sunday 16:08  sam

   * ./NEWS: a few updates from gibalou.

2003-02-02 Sunday 11:29  stippi

 cosmetic fix (drop mark would reappear if SHIFT was pressed)

2003-02-02 Sunday 09:17  titer

  '--demuxdump-file -' dumps to standard output.
   (useful for operating systems which do not have '/dev/stdout'
    nor mkfifo)

2003-02-02 Sunday 04:17  sam

   * renamed debian/README into debian/README.Debian.

2003-02-02 Sunday 04:07  sam

   * ./debian: more packaging stuff.

2003-02-02 Sunday 04:01  sam

   * ALL: removed "VideoLAN Client" in favour of "VLC media player" in a lot
     of places.

2003-02-02 Sunday 03:38  sam

   * ./doc/vlc.1: updated manpage.

2003-02-02 Sunday 03:08  sam

   * ./po/it.po: ultimate italian fixes by Bruno Vella.

2003-02-02 Sunday 03:03  sam

   * ./debian/*: tuned packaging.

2003-02-02 Sunday 02:58  massiot

 * Bumped up revision number to 0.5.0

2003-02-02 Sunday 02:11  sam

   * ./po/it.po: updated italian translation, courtesy of Bruno Vella.

2003-02-02 Sunday 01:37  sam

   * ./po/*: more interface strings harmonization.

2003-02-02 Sunday 01:23  jobi

     * NEWS: readded deleted entries, sorry about that.

2003-02-02 Sunday 00:57  jobi

     * NEWS: VCD entry points and iso files
     * include/audio_output.h: more proper freebsd compilation fix
     * modules/audio_output/oss.c: if /dev/dsp is used, use another output.

2003-02-02 Sunday 00:49  massiot

 * README.MacOSX.rtf: Typos
 * include/vlc_threads.h: Lowered OS X priorities to avoid locking the machine
 * modules/access/dvdread/input.c: Fixed a long-standing bug when switching
   titles.

2003-02-02 Sunday 00:46  sam

   * ./po/*: more s/vlc/VLC/ changes.

2003-02-02 Sunday 00:29  sam

   * ./src/libvlc.h: changed "vlc" into "VLC" in libvlc's help messages. More
     to come.

2003-02-02 Sunday 00:05  sam

   * ./NEWS: a few updates (translations, mozilla plugin).

2003-02-01 Saturday 23:46  massiot

 * modules/gui/macosx/*: Fixed localization bugs
 * po/fr.po: Updated French translation
 * extras/MacOSX/vlc.pbproj/project.pbxproj: Version is 0.5.0

2003-02-01 Saturday 23:41  yves

 - ready for general 0.5.0 consumption
 - activated dvb (with a special workaround for mdk kernel), dv and libdvdplay plugin
 - more wxwindow stuff.
 - fixes here and here.
 - added more doc files like NEWS, THANKS etc.
 - still lacking mozilla plugin :(

2003-02-01 Saturday 23:39  sam

   * ./src/libvlc.c: atomic initialization of the main module in VLC_Init()
     instead of VLC_Create(), so that its strings are translated (was #92).

2003-02-01 Saturday 23:28  sigmunau

  NEWS: we did support .mp3 in 0.4.x. Added that we support .asx and .html
 with embedded wmp

2003-02-01 Saturday 23:15  sam

   * ./AUTHORS: added Garf and updated entries.

2003-02-01 Saturday 23:08  sam

   * ./INSTALL.libmad: removed that file; if one does not know how to build
     and install a library, he'd better not fiddle with VLC.

2003-02-01 Saturday 22:21  ipkiss

  * modules/gui/win32/win32.cpp: fixed a stupid bug (closes #155)
  * modules/gui/win32/menu.cpp: removed some ^M chars

2003-02-01 Saturday 22:03  babal

 - Win32 preference dialog box

2003-02-01 Saturday 21:39  ipkiss

  * Win32 port

2003-02-01 Saturday 21:24  titer

  BeOS news.

2003-02-01 Saturday 21:23  sam

   * ./debian/control.woody, ./debian/rules.woody: placeholders for Debian
     woody specific builds. Will fill them in a moment.

2003-02-01 Saturday 21:20  massiot

 Tarkin, Tremor and Theora are only available when compiling from sources.

2003-02-01 Saturday 21:10  massiot

 Forgot Tremor.

2003-02-01 Saturday 21:04  jpsaman

 Checking in packageing files.

2003-02-01 Saturday 20:59  jpsaman

 Updated for iPaq port

2003-02-01 Saturday 20:34  massiot

 * configure.ac.in: worked around an ffmpeg-cvs detection problem on OS X
 * Makefile.am: fixed FAQ, THANKS and NEWS handling in package* rules
 * src/misc/darwin_specific.m: more generic language detection
 * NEWS: summarized changes from 0.4.6 to 0.5.0

2003-02-01 Saturday 19:04  sam

   * ./po/it.po: a few corrections.

2003-02-01 Saturday 18:54  sam

   * ./mozilla/vlcshell.cpp: fixed the Mozilla plugin's target drawable.
   * ./modules/video_output/directx/directx.c, ./modules/video_output/x11/x11.c,
     ./modules/video_output/x11/xvideo.c: removed the drawable configuration
     variables which are now deprecated.

2003-02-01 Saturday 18:53  sam

   * ./src/libvlc.c: fixed a segfault on exit, libvlc needs to be
     detached before being destroyed.

2003-02-01 Saturday 18:41  sam

   * ./NEWS: added an empty NEWS file.
   * ./bootstrap: now that we have the NEWS file, --foreign is no longer
     required when calling automake.

2003-02-01 Saturday 16:33  massiot

 Updated Italian translation courtesy of Bruno Vella.

2003-02-01 Saturday 16:20  massiot

 sam p0\/\/3r !

2003-02-01 Saturday 12:01  stippi

 Changes done since Feb 28 2003:

2003-02-01 Saturday 09:40  babal

 - fixed a compilation issue with C compilers

2003-02-01 Saturday 01:21  fenrir

  * asf : trying to fix pts handling.

2003-01-31 Friday 22:35  sam

   * ./debian/vlc.docs, ./Makefile.am: added THANKS to the distributed files.

2003-01-31 Friday 22:34  sam

   * split AUTHORS into AUTHORS and THANKS, removed STATUS which wasn't
     kept up to date (and almost everything advertised in it was done).

2003-01-31 Friday 18:53  lool

   * removed FAQ pointing to doc/faq/ not to confuse users (thanks sam)

2003-01-31 Friday 16:56  sam

   * ./configure.ac.in: I was told some versions of mingw32 support neither
     -mms-bitfields nor -fnative-struct.

2003-01-31 Friday 13:52  sam

   * ./src/libvlc.c: strings in the main module are now translated (fixes: #92).

2003-01-31 Friday 11:38  sam

   * ./po/de.po: full german translation, courtesy of Felix Kühne.

2003-01-31 Friday 11:23  massiot

 Fixed a major bug of people who like to declare vars "unsigned int"
 when they can be -1 :p (why haven't we spotted that before ??).
 Closes #152.

2003-01-31 Friday 10:54  sam

   * ./modules/gui/gtk/gtk_callbacks.c: fixed a crash when selecting fullscreen
     while there was no input (Closes: #153).

2003-01-31 Friday 10:51  sam

   * ./modules/gui/gtk/gnome.glade, ./modules/gui/gtk/gtk.glade: moved the
     Audio and Subtitles submenus into the Audio and Video menus.

2003-01-31 Friday 10:14  sam

   * ./src/audio_output/mixer.c: minor cosmetic fix in output message.

2003-01-31 Friday 09:51  sam

   * ./modules/gui/gtk/gnome.c, ./modules/gui/gtk/gtk.c: fixed uninitialized
     variables.

2003-01-31 Friday 09:48  sam

   * ./configure.ac.in: complain when ALSA headers are not found but
     --enable-alsa was specified.

2003-01-31 Friday 06:45  titer

  Minor GUI fixes

2003-01-31 Friday 02:53  jlj

   * ./modules/gui/macosx: Defeated some deadlocks.
                           World domination ... is at hand.

2003-01-30 Thursday 21:35  babal

 - fixed a segfault occuring when the preference dialog box was destroyed

2003-01-30 Thursday 20:59  sam

   * ./src/misc/configuration.c: when an invalid short option is found, use
     the optopt variable instead of the current value of optind (Closes: #148).

2003-01-30 Thursday 19:14  gbazin

 * src/video_output/video_output.c: we were still using free instead of
    vout_DestroySubPicture in one place.
 * modules/codec/spudec/parse.c: we now make sure we don't add several times
    the same highlight callback.

2003-01-30 Thursday 18:07  lool

   * converted FAQ to SGML
   * SGML sucks, this is absolutely ugly, please reread

2003-01-30 Thursday 16:36  gbazin

 * modules/codec/spudec/spudec.c, modules/codec/spudec/text.c: fixed the
    race condition between spudec and vout. This patch may not be all that
    nice because it does a lot of vlc_object_find() but it is the only
    solution I've been able to come-up with.
    Oh and I didn't fix the memory leak caused by the font when using text
    subtitles. If the vout changes while the spudec is running then we don't
    unload this font.

2003-01-30 Thursday 15:46  hartman

 * modules/gui/macosx/intf.m
   - fixed a warning about parentheses

2003-01-30 Thursday 15:39  hartman

 * ./modules/gui/macosx/intf.m:
   - we close the video window after a video is done playing.

2003-01-30 Thursday 12:38  gbazin

 * src/video_output/vout_subpictures.c: fixed a few race conditions that
    were triggered by the dvdplay plugin.

2003-01-30 Thursday 10:44  massiot

 Keep -O2 in --disable-optimizations mode, cause it can't harm...

2003-01-30 Thursday 02:16  gbazin

 * modules/codec/mpeg_video/headers.c: fixed non-initialized variable in
     PictureDisplayExtension(). This does also fix problems with the dvdplay
     plugin and menus with still pictures.

2003-01-30 Thursday 00:39  massiot

 * modules/codec/mpeg_video/headers.c: more checks in PictureDisplayExtension,
 * modules/gui/macosx/intf.m: one of the threads wasn't in real-time
   priority !!!
 * include/vlc_threads.h: tuned up OS X priorities

2003-01-29 Wednesday 21:54  fenrir

  * asf : more sanity check for broken files.

2003-01-29 Wednesday 18:14  hartman

 intf: the slower/faster buttons should not be continious.
 project: the source files were included in the Resources. No more.

2003-01-29 Wednesday 18:10  sam

   * ./modules/gui/gtk/gnome.glade, ./modules/gui/gtk/gtk.glade: we disable
     the title and chapter dialogs when DVD menus are activated.

2003-01-29 Wednesday 17:28  gbazin

 * modules/gui/gtk/*: changed the disc open dialog to allow for title and
    chapter 0. When title or chapter 0 are selected, they do not appear in
    the MRL.

2003-01-29 Wednesday 17:07  massiot

 New nl translation, courtesy of dj hartman.

2003-01-29 Wednesday 15:55  sam

   * ./modules/access/dvdplay/intf.c: added a sanity check upon initialization
     in case the input dies before we even spawned our dvdplay interface
     (Closes: #141).

2003-01-29 Wednesday 15:15  sam

   * ./po/ja.po: updated japanese translations, courtesy of KKI.

2003-01-29 Wednesday 14:03  gbazin

 * include/vlc_threads.h: VLC_THREAD_PRIORITY_VIDEO equals
     THREAD_PRIORITY_BELOW_NORMAL under Win9x/Me.

2003-01-29 Wednesday 12:59  gbazin

 * modules/demux/ogg.c: bug fix when switching between vorbis channels.

2003-01-29 Wednesday 11:41  jlj

   * ./modules/gui/macosx/controls.m: fixed bug in my previous commit.

2003-01-29 Wednesday 11:34  jlj

  * core/playlist: PLAYLIST_PAUSE, playlist_IsPlaying, playlist_IsEmpty
  * modules/gui/macosx: started getting rid of p_intf->p_sys->p_input
                        and using p_playlist->p_input instead.

2003-01-29 Wednesday 11:17  gbazin

 * modules/access/dvdplay/access.c: fixed subtitles with the dvdplay plugin
     (closes #122).
 * modules/access/dvdplay/es.c: check "audio-channel" and "spu-channel" user
     settings (closes #122).

2003-01-29 Wednesday 09:54  sam

   * ./modules/audio_output/arts.c: fixed aRts output and removed debug
     messages that were lying around.

2003-01-29 Wednesday 00:02  titer

  enabled changing filters on the fly

2003-01-28 Tuesday 23:55  massiot

 Not sure the buffer was large enough.

2003-01-28 Tuesday 23:38  fenrir

  * mpeg_audio.c : due to mpeg 2.5, max frame size is twice as I though.

2003-01-28 Tuesday 22:52  sam

   * ./modules/audio_output/esd.c: fixed esd audio output (Closes: #139).

2003-01-28 Tuesday 22:03  sam

   * ./src/video_output/video_output.c: don't try to change aspect ratio if it
     has been overriden by the user (Closes: #79).
   * ./modules/access/dvd/access.c: renamed "dvd-css-method" to "dvdcss-method".
   * ./modules/*: fixed a few capitalization issues.

2003-01-28 Tuesday 21:18  gbazin

 * modules/gui/wxwindows/open.cpp: minor bug-fix + allow user to select
    title 0 when using the dvdplay plugin (title 0 = menu).

2003-01-28 Tuesday 21:17  fenrir

  * mpeg_audio.c : fixed a stack corruption. fprintf 1 - gdb 0.

2003-01-28 Tuesday 21:08  sam

   * ./modules/gui/kde/kde.cpp: the interface rc file defaults to the one in
     DATA_PATH.
   * ./modules/gui/wxwindows/*.cpp: fixed minor warnings.

2003-01-28 Tuesday 21:06  sam

   * ./debian/*: activated the wxwindows plugin.

2003-01-28 Tuesday 20:02  sam

   * ./toolbox: made a few glade-generated strings non-translatable.
   * ./po/*: fixed spelling errors in pofiles.

2003-01-28 Tuesday 17:14  sam

   * ./debian/control: removed versioned dependency on libxosd.
   * ./debian/rules: added comments here and there.

2003-01-28 Tuesday 17:11  sam

   * ./bootstrap, ./toolbox: moved the Glade bugs fixing to toolbox, now
     use "./toolbox --fix-glade" to generate and fix source files.
   * ./include/vlc_common.h: fixed compilation warnings.

2003-01-28 Tuesday 16:57  sam

   * ALL: fixes for various compilation warnings and spelling errors.

2003-01-28 Tuesday 16:52  sam

   * ./modules/visualization/xosd/xosd.c: fixed compilation with version 2 of
     libxosd.

2003-01-28 Tuesday 16:47  hartman

 ALL: updated deinterlace to work on the fly. there is a but in vout.m:433
      jlj will need to fix that.
      there is no feedback to the interface as of yet

2003-01-28 Tuesday 15:59  hartman

 * ./modules/gui/macosx/vout.m: removed the resizebar. too much of a hack
 * ./README.MacOSX.rtf: updated deinterlace and resize info

2003-01-28 Tuesday 15:05  massiot

 We are now able to parse :
 dvdread:/Volumes/to@to/VIDEO_TS@1,1
 dvdplay:/Volumes/to@to/VIDEO_TS@1,1
 Closes #77

2003-01-28 Tuesday 14:49  sigmunau

 fixed another possible crash

2003-01-28 Tuesday 14:41  gbazin

 * modules/codec/vorbis.c: fixed parsing of vorbis comments. (closing #69)

2003-01-28 Tuesday 14:00  fenrir

  * gtk: fixed 'cannot find file.xpm'.
  * wxwindows: compilation fix for older wxwindows header.

2003-01-28 Tuesday 13:07  gbazin

 * src/video_output/video_output.c: oops, fixed a bug I just introduced.

2003-01-28 Tuesday 13:03  gbazin

 * modules/video_filter/deinterlace/deinterlace.c,
   modules/video_output/x11/xcommon.c: modified debug messages.

2003-01-28 Tuesday 12:30  gbazin

 * src/video_output/video_output.c, include/video_output.h: modified vout_Request() to take into account the
 filter chain. If the filter chain has changed, a new vout will be respawned allowing to switch filters on
 the fly. This is still a bit hacky but to do it nicely will require implementing inheritance in object
 variables.
 * modules/video_filter/deinterlace/deinterlace.c: added a "deinterlace-mode" object variable to allow
 switching deinterlace modes on the fly.
 * modules/gui/gtk/menu.c: updated the deinterlace menu.
 * include/vlc_common.h: compilation fixes for gtk_main and gnome_main.

2003-01-28 Tuesday 12:23  massiot

 Do not show the channels menu when the input stream is mono, closing #117.

2003-01-28 Tuesday 10:05  titer

  * sanity Lock()s

2003-01-28 Tuesday 08:17  titer

  * beos/* : do not forgot to destroy the Messages window, so vlc does
             lock when exiting
  * missing cvsignores

2003-01-28 Tuesday 08:11  yves

 - new video_output/vout_encoder plugin.
 - new demux/a52sys plugin.

2003-01-28 Tuesday 03:46  sam

   * ./modules/audio_output/esd.c: fixed a stack space leak (Closes: #113).

2003-01-28 Tuesday 03:11  sam

   * ./include/vlc_common.h: removed duplicate macro definitions in the gtk
     and gnome plugins.

2003-01-28 Tuesday 02:53  sam

   * ./configure.ac.in: first step in the world domination roadmap, setting
     the CVS version to -test4.

2003-01-28 Tuesday 02:03  sam

   * ./po/*: spelling fixes.

2003-01-28 Tuesday 01:50  hartman

 ALL: the next and previous buttons first work through the chapters. Only
      then they turn to the playlist.

2003-01-28 Tuesday 00:22  sam

   * ./configure.ac.in: fixed -lm flags for the distort and adjust plugins.

2003-01-27 Monday 23:48  massiot

 Additional check on p_first_byte_to_mix.

2003-01-27 Monday 23:42  sam

   * ./bootstrap: removed usage of $^ which is not compatible with BSD or
     Solaris make.

2003-01-27 Monday 22:50  sam

   * ./src/audio_output/output.c: fixed return with a value in function
     returning void.

2003-01-27 Monday 22:42  sam

   * ./include/vlc_common.h: if we don't have strndup but gnome.h defines it
     anyway, do not provide our custom version.

2003-01-27 Monday 21:44  ipkiss

  * Fixed a segfault (closes #132)

2003-01-27 Monday 21:35  jobi

     * ALL: some FreeBSD compilation fixes. gnome plugin still won't compile,
            at least on FreeBSD 5.0

2003-01-27 Monday 17:41  ipkiss

  * src/misc/objects.c: vlc_list_find now returns a (vlc_list_t *)
    instead of a (vlc_list_t); this modification was needed because BCB
    doesn't like at all when a function (compiled with mingw32) returns
    a struct...
  * ALL: modified the files to take this change into account
  * modules/gui/win32/menu.cpp: enabled the "Add interface" command

2003-01-27 Monday 16:28  fenrir

  mms: another memory leak
  avi: comment out a debug statment.

2003-01-27 Monday 10:29  titer

  Disabled DVD menus by default for 0.5.0

2003-01-27 Monday 01:42  ipkiss

  * The space bar is a hotkey for pause/resume.

2003-01-27 Monday 00:08  jlj

   * ./modules/gui/macosx/intf.[mh]: Fixed message panel memory leak. Textview
                                     is now updated on panel BecomeKey.
   * ./modules/gui/macosx/prefs.m: Decreased width of prefs panel.

2003-01-26 Sunday 22:57  gbazin

 * modules/gui/gtk/gnome.c, modules/gui/gtk/gtk.c: input_Seek() was incorrectly triggered while playing some
 DVD menus.

2003-01-26 Sunday 18:31  babal

 - menu checkbox outside of title/chapter groupbox

2003-01-26 Sunday 18:02  babal

 - buttons are left aligned and their size comforms to Windows XP visual
   guidelines

2003-01-26 Sunday 16:37  gbazin

 * modules/audio_output/waveout.c: multichannel and spdif support (spdif untested).

2003-01-26 Sunday 14:53  hartman

 * Added myself to list of authors of these files. i had forgotten to do this.

2003-01-26 Sunday 14:52  fenrir

  * all: raah, clean up glade output.

2003-01-26 Sunday 14:49  fenrir

  * added stream output dialog box.

2003-01-26 Sunday 13:37  gbazin

 * src/audio_output/input.c, src/audio_output/mixer.c: Fixed an annoying bug in the mixer.
     (p_input->p_first_byte_to_mix sometimes need to be reset)
 * modules/gui/wxwindows/interface.cpp: fixed the slider under wx-gtk.

2003-01-26 Sunday 12:34  fenrir

  * avi : fix play back for some broken avi

2003-01-26 Sunday 10:36  gbazin

 * modules/gui/wxwindows/*: Fixed the open dialog on win32.
     Better slider management in the main interface. Misc other small fixes.

2003-01-26 Sunday 08:28  titer

  Added some colors.

2003-01-26 Sunday 03:55  ipkiss

  * modules/gui/win32: replaced BitBtns with Buttons everywhere, and
    put "OK" and "Cancel" buttons in an horizontal layout.
    Also updated a few properties here and there.

2003-01-26 Sunday 02:22  ipkiss

  * modules/video_output/directx: added a configuration variable and a
    "normal" one to set the vout window on top of ther windows
  * modules/gui/win32: the interface can use these variables
    (almost closes #84)

2003-01-26 Sunday 00:51  sam

   * ./modules/gui/win32/menu.cpp: fixed a crash in the navigation menu
     generation.

2003-01-25 Saturday 21:34  hartman

 * changed the bugreporting url

2003-01-25 Saturday 20:15  titer

  Added a window to see vlc messages.

2003-01-25 Saturday 18:42  hartman

 * ./README.MacOSX.rtf: added two remarks on subtitle support.
 * ./extras/MacOSX/vlc.pbroj/project.pbxproj
   - Added .wma filetype
   - Added README, COPYING etc. to resources
 * ALL: Added a Help menu.

2003-01-25 Saturday 18:09  fenrir

  * faad : clean up.

2003-01-25 Saturday 17:57  fenrir

  * all: fixed wrong usage of input_DeletePES.

2003-01-25 Saturday 17:21  fenrir

  *mp4: fixed segfault when it fails to start a decoder and has specific
 informations to send.

2003-01-25 Saturday 16:59  fenrir

  * ffmpeg: fixed memory leaks.

2003-01-25 Saturday 16:58  fenrir

  * all : fixed some memory leaks thanks valgrind.

2003-01-25 Saturday 12:42  hartman

 * README.MacOSX.rtf: Updated Readme for new release. Added section on
   subtitles and on bugreporting.
 * extras/MacOSX/vlc.pbproj/project.pbxproj: Added .wmv, .asf, .ogm, .dv,
   .sub and .srt files.

2003-01-25 Saturday 12:00  hartman

 * Reverted back to non metal windows as dictated by Apple's User Interface
   Guidelines. Only the controller window stays metallic.

2003-01-25 Saturday 03:12  fenrir

 * avi: no more segfault when we have 'max buffer allocation reached'
 * all: fixed(kludged ?) the fact that when we have a 'max buffer allocation reached'
 we cannot send null packet to decoder.

2003-01-25 Saturday 01:03  titer

  * store windows sizes in the vlc configuration file
  * fixed an interface bug when launching a file from the command line
  * minor fixes or enhancements

2003-01-24 Friday 18:25  hartman

 * changed the CONFIG_DIR for Darwin into Library/Preferences/VLC

2003-01-24 Friday 16:19  hartman

 * code we migh use in the future to change the subfile we use.
   not very useful now because of the .avi requirement to start/stop before
   loading/displaying the subs.

2003-01-24 Friday 14:35  hartman

 ALL: fixed the deinterlace menuiteM
 cvS: ----------------------------------------------------------------------

2003-01-24 Friday 14:34  hartman

 ALL: fixed the deinterlace menuitem

2003-01-24 Friday 14:13  sam

   * ./doc/bugreport-howto.txt: minor updates.

2003-01-24 Friday 12:01  sam

   * ./configure.ac.in: removed the --with-bcbuilder flag.
   * ./INSTALL.win32: updated accordingly.

2003-01-24 Friday 06:31  titer

  * vlc_threads.h: lower a priority that made sound choppy on not-so-fast
                   BeOS computers (closes #119)
  * others: removed old printf or unused code.

2003-01-24 Friday 06:21  hartman

 * ./modules/gui/macosx/vout.m: the mousepointer is hidden in fullscreen view
   after 2 seconds.

2003-01-24 Friday 02:31  hartman

 * when the playlist is selected and you push the spacebar we pause/play
   the movie. this makes the behaviour more consistent, though the solution
   is somewhat unclean. We should fix this on a higher level but i don't see
   how we could/should.

2003-01-24 Friday 00:57  babal

 - added a NULL pointer test
 - cosmetic changes

2003-01-24 Friday 00:53  hartman

 * the volume slider could only be dragged, not clicked. removed some
   useless code as well.

2003-01-24 Friday 00:17  hartman

 * made a quick hack to create a resize bar. not sure if we should keep this.

2003-01-23 Thursday 23:57  gbazin

 * modules/gui/wxwindows/open.cpp: New "open dialog" that mimics the one from the gtk interface.
 * modules/gui/wxwindows/popup.cpp: Started implementing the popup menu.
 * modules/gui/wxwindows/interface.cpp: Got rid of the pause button. The play button now acts as a
 play/pause button depending on the context.
 * modules/gui/wxwindows/*: A few hacks needed to make the win32 version useable.

2003-01-23 Thursday 23:51  massiot

 * Resized elements in the open panel,
 * modules/gui/macosx/vout.m: Only hide the menubar and cursor if fullscreen
   mode is on the primary screen,
 * po/*: Updated po files.

2003-01-23 Thursday 22:57  hartman

 * ./extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   - oops, i enlarged the timeslider by accident. fixed
 * ./modules/gui/macosx/controls.m
   - fixed a mutex_lock issue

2003-01-23 Thursday 22:39  hartman

 ALL: - made some panels into windows.
      - made the background picture non editable (removes the text cursor)
      - added slowmotion button

2003-01-23 Thursday 22:25  hartman

 * ./modules/gui/macosx/controls.m
   - changed the slower button into a slowmotion button
   - fixed a forgotten mutex_unlock
 * ./modules/gui/macosx/intf.m
   - added the slowmotion button
   - some windows shouldn't register in the "Window" menu
 * ./modules/gui/macosx/open.m
   - allow multiple file selection

2003-01-23 Thursday 21:47  massiot

 * Minor changes to the open panel, added AVI stream output option,
 * modules/gui/macosx/open.m: "Open File" is back,
 * modules/codec/mpeg_video/synchro.c: Fixed a counting bug.

2003-01-23 Thursday 17:18  babal

 - menus disabled by default
 - cosmetic changes

2003-01-23 Thursday 17:13  massiot

 Fixed a segfault with quitting when no audio output plug-in was found
 (closes #108).

2003-01-23 Thursday 16:17  ipkiss

  * use 'dvdold' instead of 'dvd'

2003-01-23 Thursday 15:53  sam

   * ./modules/misc/network/ipv4.c: we use INADDR_NONE instead of -1 (an old
     suggestion from lool).

2003-01-23 Thursday 15:52  sam

   * ./modules/*: warning fixes.

2003-01-23 Thursday 15:50  sam

   * ./modules/access/dvdread/input.c: warning fixes and a consistency
     fix (ilvu_sa cannot be -1).

2003-01-23 Thursday 15:07  fenrir

  * asf: in fast/slow motion we don't play audio (unless there isn't any
 video). Added some clean up.

2003-01-23 Thursday 13:54  massiot

 Derk-Jan Hartman.

2003-01-23 Thursday 13:44  fenrir

  * don't send audio in fast/slow playing speed unless there isn't any video
 stream.

2003-01-23 Thursday 11:48  massiot

 * modules/gui/macosx/open.m: Stream output doesn't do UDP/PS,
 * modules/audio_filter/channel_mixer/trivial.c: Fixed reverse stereo mode
   with MPEG files,
 * src/audio_output/output.c: Fixed dual-mono handling.

2003-01-23 Thursday 10:25  gbazin

 * modules/access/dvdread/input.c, modules/control/rc/rc.c: fixed typos.

2003-01-23 Thursday 09:58  sam

   * ./modules/access/dvdread/input.c: the dvdread plugin issues a warning
     instead of an error when it can't stat() the device (Closes: #77).

2003-01-23 Thursday 09:53  gbazin

 * modules/control/rc/rc.c: Partial fix for the rc interface under win32. On win32, select() only works on
 socket descriptors so we don't use it anymore on this platform. Right now we only do a blocking call to
 read() although it should be possible to have a fully functionnal interface by using the PeekConsoleInput()
 call (someone willing to investigate this ?).

2003-01-23 Thursday 09:00  fenrir

  * demux: fix segfault while trying to opening files without extention...

2003-01-23 Thursday 04:50  babal

 - allow the user to choose (and sort) several plugins for the same
   category.

2003-01-23 Thursday 03:33  ipkiss

  * The stream output can't use PS with UDP
  * Added tooltips for the subtitles dialog box
  * Added a missing "delete"
  * Added a menu entry to spawn new interfaces (but it's currently
    disabled, due to a problem with the vlc_list_t struct)

2003-01-22 Wednesday 22:19  sigmunau

  added an new config variable that takes an comma separated list of
 interface modules to be loaded in the background when vlc starts. This is
 usefull for lirc, logger and xosd. Also got rid of the hacky way the sap
 module was inserted, as this just needs to be added to this list now.

2003-01-22 Wednesday 21:42  ipkiss

  * Added a dialog box for subtitles selection
  * Cosmetic here and there

2003-01-22 Wednesday 19:37  lool

   * modules/visualization/xosd/xosd.c: lower module capability when the
   DISPLAY environment variable is unset (gtk like behaviour)

2003-01-22 Wednesday 18:31  massiot

 Reverse stereo option.

2003-01-22 Wednesday 17:03  sam

   * ./configure.ac.in: reverted one of my latest laughable changes. Fixes the
     detection of libdvdread.a, libdvdplay.a and libxvidcore.a. Sorry guys.

2003-01-22 Wednesday 16:41  lool

   * modules/visualization/xosd/xosd.c: fail if DISPLAY isn'y set or if
   xosd_init returns NULL
   * lib is initialized with configured font
   * more safety checks

2003-01-22 Wednesday 16:16  lool

   * modules/access/slp.c: #include <stdlib.h> because of a malloc

2003-01-22 Wednesday 15:16  massiot

 Less aggressive debug message.

2003-01-22 Wednesday 12:25  sam

   * ./configure.ac.in: fixed multiple static link issues with anal linkers.

2003-01-22 Wednesday 10:53  fenrir

  * add vout_encoder, not yet the codec parts.

2003-01-22 Wednesday 10:44  fenrir

  * all: modified files for video transcoding. Still needed configure.ac.in

2003-01-22 Wednesday 10:41  fenrir

  * added file needed for video transcoding with vlc.

2003-01-22 Wednesday 10:03  massiot

 1.12 How do I join an IPv6 multicast stream?

2003-01-22 Wednesday 09:54  massiot

 * configure.ac.in: Re-added a52sys module, which was lost somewhere...
 * Fixed bugs regarding Dolby Surround downmixing.

2003-01-22 Wednesday 04:51  fenrir

  * fixed my last fix about bug with non-progressive videos.

2003-01-22 Wednesday 02:39  hartman

 ALL: fixed a small bug in the timeslider code

2003-01-22 Wednesday 01:48  hartman

 * ./extras/MacOSX/vlc.pbproj/project.pbxproj: Added .mp3, .m3u and .mov
   filetypes.
 * ./modules/gui/macosx/vout.m: Made the video window a textured window
 * All:
   - fixed several missing object_release bugs, that i had introduced.
   - updated the play/pause behaviour.
   - fixed an issue with the volumeslider.

2003-01-22 Wednesday 01:40  lool

   * added --with-slp
   * now works under win32

2003-01-22 Wednesday 01:13  titer

  * Fixed title / chapter menus
  * Clean up

2003-01-22 Wednesday 00:32  fenrir

  * gtk: fixed a segfault with deinterlace.

2003-01-21 Tuesday 21:20  ipkiss

  * Dropped files and files added using the playlist are now enqueued
    according to the "enqueue" config option

2003-01-21 Tuesday 21:19  lool

   * use of service attributes to get the name of the session, insert it in
     the playlist

2003-01-21 Tuesday 19:49  ipkiss

  * Added a dialog box for the stream output

2003-01-21 Tuesday 18:43  lool

   * added a couple of malloc() checks

2003-01-21 Tuesday 17:34  lool

   * now search all srvtypes and add all srvs of all srvtypes to the
     playlist (requires less configuration information, now zero)
   * usual cleanup and bug removal

2003-01-21 Tuesday 17:08  hartman

 ALL: the slider updates the video while it slides.

2003-01-21 Tuesday 17:00  fenrir

  * added "use DVD menu" choice.

2003-01-21 Tuesday 16:46  fenrir

  * sub.c: fixed handling for subrip subtitle with \r\n instead of \n and
 added some sanity checks.

2003-01-21 Tuesday 14:26  hartman

 ALL: fixed my previous osx interface commit. had forgotten to save the files.

2003-01-21 Tuesday 14:15  hartman

 * ./src/input/input_ext_intf.c
   - FASTER and SLOWER now take into account the current rate.

2003-01-21 Tuesday 12:36  fenrir

  * gui/gtk : added a subtitle option in open dialog box.

2003-01-21 Tuesday 12:23  hartman

 ALL: The addition of a volume slider required a small redesign of the
      interface. David Weber was again kind enough to help us.

2003-01-21 Tuesday 12:01  hartman

 * Added an 'slowmotion' icon

2003-01-21 Tuesday 10:29  massiot

 Fixed two major bugs in the audio output, triggering segfault when going
 to mono mode, and probably at some other places.

2003-01-21 Tuesday 00:47  jlj

   * ./modules/gui/macosx/aout.m: output more debug info
   * ./modules/gui/macosx/misc.[mh]: MPSlider, iTunes-like slider:
     http://nanocrew.net/vlc/mpslider.png

2003-01-20 Monday 20:17  yves

 - new access/slp plugin.
 - more buildfor_{rh80,mdk{82,90}} stuff.
 - use %%mklibname macro.
 - use %%clean_menus in postun instead of %%update_menus everywhere.

2003-01-20 Monday 20:07  fenrir

  * all: begin to up to date the gtk/gnome interface. All comments are
 welcome, and please reports bugs :)

2003-01-20 Monday 17:52  massiot

 Used macro instead of hand-made code.

2003-01-20 Monday 13:06  fenrir

  * all: converted some msg_Err into msg_Warn

2003-01-20 Monday 13:04  fenrir

  * asf : more msg_Err -> msg_Warn

2003-01-20 Monday 13:03  fenrir

  * aac: some msg_Err -> msg_Warn

2003-01-20 Monday 13:01  fenrir

  * all: changed some msg_Err into msg_Warn.

2003-01-20 Monday 10:59  massiot

 Fixed a dozen bugs regarding mono audio files.

2003-01-20 Monday 03:45  hartman

 * ./extras/MacOSX/vlc.pbproj/project.pbxproj
   - Added .cue and .ogg to the known filetypes
 ALL:
   - When files are added they are not automatically played anymore. They are always queue'ed and optionally played.
   - Preliminary divx filesubtitle support.

2003-01-20 Monday 02:45  titer

   load correctly font-eutopiabold36.rle on BeOS, thanks to sam & Meuuh
  previous commits (closes #100)

2003-01-20 Monday 02:19  fenrir

  * mpegvideo.c : raah, removed a debug message...

2003-01-20 Monday 02:15  fenrir

  * mpegvideo.c : fix dts generation for non-progressive stream.

2003-01-20 Monday 00:23  hartman

 * ./modules/gui/macosx/vout.m: Fixed the play/pause key shortcut.

2003-01-19 Sunday 22:16  jpsaman

 New "qte_main" module. It should be used by all plugins/modules that need QT embedded. Also ported modules/qte/qte.{cpp,h} to use it.

2003-01-19 Sunday 17:55  ipkiss

  * Compilation fix

2003-01-19 Sunday 16:57  massiot

 Requalified some error messages into warnings.

2003-01-19 Sunday 08:28  fenrir

  * avi.c : proper way to store fourcc.

2003-01-19 Sunday 08:27  fenrir

  * all: change the way fourcc are stored in bitmapinfoheader.

2003-01-19 Sunday 03:16  sam

   * ./src/misc/beos_specific.cpp, ./src/misc/darwin_specific.m: removed
     the GetProgramPath call, stored the path in p_libvlc instead. Fixes
     compilation under anything other than OS X.

2003-01-18 Saturday 20:24  alexis

 Compilation fix

2003-01-18 Saturday 13:24  massiot

 Including font-eutopiabold36.rle for DivX and ogg subtitles.

2003-01-18 Saturday 04:57  hartman

 * ./modules/gui/macosx/open.m
   - .bin files are now opened as disks, instead of as files

2003-01-18 Saturday 04:10  hartman

 * ./modules/gui/macosx/open.m:
   - Removed the pretty animation. Wasn't working. This looks better.
   - fixed a potential memory problem

2003-01-17 Friday 23:59  sam

   * ./modules/audio_output/alsa.c: updated requirements to 0.9.0beta10a in
     the source comments.

2003-01-17 Friday 21:46  hartman

 * ./modules/gui/macosx/controls.m: made the fullscreen command work, even if the videowindow is not the frontmost window

2003-01-17 Friday 19:36  sam

   * ./modules/gui/ncurses/ncurses.c: added locks and checks in navigation code.

2003-01-17 Friday 19:35  sam

   * ./modules/gui/win32/mainframe.cpp, ./modules/gui/win32/menu.cpp: applied
     navigation fixes from the Gtk+ interface.

2003-01-17 Friday 19:22  sam

   * ./modules/control/rc/rc.c: boundary checks for chapter navigation.

2003-01-17 Friday 19:17  sam

   * ./modules/gui/gtk/gtk_callbacks.c, ./modules/gui/gtk/menu.c: added a lot
     of boundary checks in the handling of title/chapter menus. Title 0 is no
     longer reachable (Closes: #26).

2003-01-17 Friday 18:19  titer

  Fixed the 'Do not use DVD menus' check box.

2003-01-17 Friday 18:19  jpsaman

 Updating slider only once a second now.

2003-01-17 Friday 17:22  massiot

 [no log message]

2003-01-17 Friday 16:18  sam

   * ./modules/video_filter/**/*.c: mouse clicks and keyboard events are now
     sent to the parent video output by all filters, and mouse coordinates are
     translated when necessary (Closes: #15).

2003-01-17 Friday 15:26  fenrir

  * all: use p_vlc->pf_memcpy instead of memcpy on big data block.
  * mpeg4video: removed a bad code dealing with pts discontinuity.
  * pes.c: try to avoid copying the whole  PES. (the first 64ko
 ins't any more copied :)

2003-01-17 Friday 14:51  lool

   * added missing static

2003-01-17 Friday 13:54  sam

   * ./modules/codec/spudec/parse.c: fixed a wrapping issue in the subtitle date
     calculation in slow-mo.

2003-01-16 Thursday 23:37  sam

   * ./Makefile.am: fixed distribution of MSVC files.

2003-01-16 Thursday 23:33  babal

 - my previous fix was a bad fix :(

2003-01-16 Thursday 23:25  lool

   * configure.ac.in:
     . renamed access_slp to slp
     . slp is enabled by default if slp.h is present
   * modules/access/slp.c:
     . slp is now an access and a demux and forces the use of itself
     . cleanups and bug corrections
     . disappears of the playlist
       Thanks to fenrir for the help in debugging!

2003-01-16 Thursday 23:00  massiot

 * Bumped up revision number to 0.5.0-test3,
 * Rearranged fields in the OS X interface to accomodate for translations,
 * modules/access/dvd/ifo.c: fixed a crash with bad streams,
 * Auto-updated po files,
 * Manually updated fr.po.

2003-01-16 Thursday 21:14  babal

 - input.c : doesn't even try to use the headphone filter for
             unsupported format (S/PDIF, ...)
 - m3u.c : support for MRLs
           better detection of absolute path under Windows
 - configure.ac.in : off_t was defined twice for mingw32
 - fr.po : translation of headphone filter strings

2003-01-16 Thursday 20:08  lool

   * typo

2003-01-16 Thursday 15:26  titer

  * InterfaceWindow.cpp : fixed DVD drag & drop
  * PreferencesWindow.* : added the possibility not to use DVD menus

2003-01-16 Thursday 14:40  massiot

 Swedish is now sv, not se. Thanks yvounet. (c)

2003-01-16 Thursday 14:39  yves

 * codec/mad plugin is replaced by audio_filter/mpgatofixed32.
 * new demux/m4v and mux/avi plugins

2003-01-16 Thursday 14:34  sam

   * ./po/sv.po: Swedish is now sv, not se. Thanks yvounet.

2003-01-16 Thursday 14:08  massiot

 * modules/codec/mpeg_audio.c: attempt at fixing free-bitrate mp3, though
   I do not have any file to test ; more precise PTS handling when losing
   sync.
 * src/audio_output/intf.c: fixed a warning.

2003-01-16 Thursday 13:58  hartman

 * ALL:
 - integrated play/pause toggled button
 - global shortcut for play/pause by use of spacebar
 - new pause.png
 - removed pause button
 - close button in intf window. register window in Window menuitem.
 - rearranged the menu
 - changed some key-combo's to be more OSX compliant/consistent
 - The time text-field is no longer selectable
 - The faster/slower/ff/stop etc button are only available during playback
 - added .bin filetype to Project Target (allows drag and drop of .bin files on program icon.
 - Added Add/Remove buttons to the llaylist.
 - Made the drawer 10 pixels smaller. Looks much better.
 - added a volume slider.

2003-01-16 Thursday 13:49  hartman

 * ./modules/gui/macosx/controls.m:
   - Added a volumeslider
   - removed pause button
   - added a fast forward action (increases speed in time)
   - changed the play method to allow for a toggled play pause button
   - volumeUp and VolumeDown take the state of the Mute Menuitem into account
   - volumeUp and VolumeDown take the volumeSlider into account
 * ./modules/gui/macosx/intf.h:
   - added references for the volumeslider, new menuitems
 * ./modules/gui/macosx/intf.m:
   - correct init of volumeslider and other new intf elements
   - new title for Controller window
   - the state of buttons is dependant on a movie being played
   - toggle the play/pause button if a play/pause action is detected.
 * ./modules/gui/macosx/playlist.h: added add/remove buttons to playlist
 * ./modules/gui/macosx/vout.m:
   - removed some control keys which were no longer necesarry
   - give the window the title of the item being played

2003-01-16 Thursday 13:22  hartman

 VolumeGet/VolumeSet now work even if no file is playing.

2003-01-16 Thursday 12:56  sam

   * ./plugins.dsp.in: fixed this file thanks to Stephane van Hardeveld.

2003-01-16 Thursday 12:49  sam

   * ./evc/config.h, ./msvc/config.h: proper generation of these files using
     information from configure.ac.in. Thanks to Stephane van Hardeveld for
     spotting this.

2003-01-16 Thursday 09:05  sam

   * ./modules/**/.cvsignore: added common *$(LIBEXT) values to .cvsignore.

2003-01-16 Thursday 09:02  sam

   * ./include/vlc_common.h: fixed win32 plugin compilation.

2003-01-16 Thursday 09:00  sam

   * ALL: merged more UI strings.

2003-01-15 Wednesday 23:55  massiot

 * Fixed MPEG audio layer III VBR,
 * Mac OS X interface thread gets a real-time priority as well to avoid
   lock-ups,
 * VLAN error is now a warning.

2003-01-15 Wednesday 13:58  massiot

 Typo.

2003-01-15 Wednesday 13:48  sam

   * ./modules/video_output/x11/xcommon.c: we ignore MapNotify and UnmapNotify
     events once our window has been properly mapped.

2003-01-15 Wednesday 13:46  massiot

 message queue overflow is now a warning.

2003-01-15 Wednesday 13:16  sam

   * ALL: slightly changed some interface strings so that they are common to
     all GUIs, thus making the translators' work easier.

2003-01-15 Wednesday 13:14  massiot

 Better recovery on emulated startcode. Still doesn't work with VBR mp3's,
 though.

2003-01-15 Wednesday 12:25  massiot

 Dutch translation, courtesy of Derk-Jan Hartman <d.hartman@student.utwente.nl>
 and Jean-Paul Saman <jpsaman@wxs.nl>.

2003-01-15 Wednesday 11:46  titer

  Fixed --with-mad and --with-mad-tree

2003-01-15 Wednesday 11:27  massiot

 VolumeUp/Down/Mute now work even if no file is playing.

2003-01-15 Wednesday 10:58  massiot

 * Totally rewrote the mad plug-in, in order to fix the PTS problems :
 - Now using the low-level API of libmad,
 - Decoding split in parsing & decoding (just like A/52),
 - Should handle dual-mono files correctly,
 * The old mpeg_audio plug-in can no longer work in this scheme and has
   been disabled. Please _always_ compile with mad from now on.
 * Updated po files.

2003-01-15 Wednesday 00:49  jlj

   * ./modules/gui/macosx: added macosx-adev and macosx-vdev config vars.

2003-01-15 Wednesday 00:10  massiot

 Updated Italian translation, courtesy of Vella Bruno <allevb@tin.it>.

2003-01-14 Tuesday 22:44  sam

   * ./modules/audio_output/oss.c: compilation fix for BSD, courtesy of
     Steven M. Schultz.

2003-01-14 Tuesday 22:03  titer

   Fixed playlist behaviour (draging a file replaces the playlist, and
  draging a file while pressing the 'Shift' key appends it while the
  current one keeps playing.

2003-01-14 Tuesday 18:56  sam

   * ./FAQ: a few corrections. See also http://angryflower.com/bobsqu.gif

2003-01-14 Tuesday 16:00  titer

  Now you can save preferences.

2003-01-14 Tuesday 15:31  titer

  * added a sanity lock

2003-01-14 Tuesday 14:51  massiot

 * Fixed dual-mono handling of MPEG audio.
 * rc.c: fixed a warning.

2003-01-14 Tuesday 14:48  titer

  * Added a file panel for subtitles file selection.

2003-01-14 Tuesday 04:34  fenrir

  * stream_output.c: fix a bug with "null" stream.

2003-01-14 Tuesday 01:30  sigmunau

 changed the a rule into add and made it work along with others such as play
 even when nothing is currently playing. Added a playlist command to list the
 entries currently in the playlist. plus some cleanups and sanity checks.

2003-01-13 Monday 23:45  massiot

 Updated Japanese translation, courtesy of Fumio Nakayama <endymion@ca2.so-net.ne.jp>.

2003-01-13 Monday 20:02  jlj

   * ./modules/gui/macosx/aout.m: don't call AudioHardwareUnload.

2003-01-13 Monday 17:39  fenrir

  * adpcm: changed the way that data are read and thus seek will work.

2003-01-13 Monday 17:11  ipkiss

  * MacOSX interface: fixed a stupid bug
  * Win32 interface: completed support for channel selection

2003-01-13 Monday 16:58  massiot

 Compilation fix.

2003-01-13 Monday 15:20  sam

   * ./toolbox: toolbox --update-po now automatically extracts strings from
     the Win32 interface.

2003-01-13 Monday 15:14  alexis

 Fixed typo

2003-01-13 Monday 14:51  massiot

 Do not forget to register aout_ChannelsRestart as the callback for
 audio-device, plus miscellaneous changes.

2003-01-13 Monday 13:28  sam

   * ./modules/video_output/sdl.c: protected libSDL initialization calls to
     avoid race conditions and deadlocks.

2003-01-13 Monday 04:46  fenrir

  * mux/avi.c: added index creation.
  * demux/avi.c: fix stream length calculation.
  * stream_output.c: forgot a return value ...

2003-01-13 Monday 02:33  fenrir

  * all: now mux and access_out can request to reserve some memory in front
 of each sout buffer (will prevent some unnecessary memcpy :). Not yet
 really used.

2003-01-13 Monday 02:30  fenrir

  * mp4: added parsing of some mov boxes (alternate movies).

2003-01-13 Monday 01:11  sam

   * ./debian/rules: compilation bypasses for the Debian maintainer.

2003-01-12 Sunday 19:08  jpsaman

 Fixed some paths.

2003-01-12 Sunday 19:08  jpsaman

 Use gtk_main_quit only in one place (the function Manage()).

2003-01-12 Sunday 18:26  fenrir

  * avi: partial fix for non interleaved file with incorrect( I'm not sure
 about that) stream descriptor. Now at least video will be played.

2003-01-12 Sunday 18:25  jlj

   * ./modules/gui/macosx/intf.m: Fixed mutex errors on stop (Closes #80).

2003-01-12 Sunday 15:38  sigmunau

  * src/video_output/video_output.c: add a key-pressed variable to p_vout
  * modules/access/dvdplay/intf.c: allow keyboard naviagation in dvd-menus,
 by reading the key-pressed variable
  * modules/control/lirc/lirc.c: allow navigation with remote control by
 faking keypresses (closes #38). I think the remotes for dvdplayers usually
 have buttons for "root menu" and "title menu". Whould this be easily
 implemented in vlc?

2003-01-12 Sunday 06:39  fenrir

  * m4v: a raw MPEG-4 video stream demuxer (for now, it assumes 25fps).
 You have to force this demuxer.

2003-01-12 Sunday 04:30  fenrir

  * avi.c: avi muxer. (It produces broken files, but vlc is able to read
 them).

2003-01-12 Sunday 04:11  fenrir

  * some workaround for clock.

2003-01-12 Sunday 02:08  titer

  * beos/* : fixed a bug in the progress bar with big files
  * beos_specific.cpp : fixed the app signature
  * VlcWrapper.* : removed unused code

2003-01-12 Sunday 01:26  sigmunau

  new rule for remote controls with combined play/pause button (like mine has)

2003-01-12 Sunday 00:22  titer

  Corrected the list of supported MIME types.

2003-01-11 Saturday 20:42  titer

  * Needed update because variables names changed in the 'adjust' module.

2003-01-11 Saturday 20:25  gitan

 * SAP is disabled by default.

2003-01-11 Saturday 19:33  stippi

 fixed flickering of skip buttons (and consequently crashing if you pressed them)

2003-01-11 Saturday 18:31  fenrir

  * avi: fix my last fix :)

2003-01-11 Saturday 18:10  fenrir

  * asf: prevent some segfault with broken file. (partially fix bug 72)
  * avi: respect frame size (for audio codec) and close bug 75.
  * ffmpeg: can now read multiples audio frames from the same buffer.

2003-01-11 Saturday 17:23  ipkiss

  * Fixed my previous commit (thanks fenrir)

2003-01-11 Saturday 14:09  ipkiss

  * compilation fix

2003-01-10 Friday 17:30  lool

   * re-included playlist.h (got confused with vlc-playlist.h)

2003-01-10 Friday 17:01  titer

  Thread priority management on BeOS.

2003-01-10 Friday 16:21  titer

  Definitively fixed sync (I hope).

2003-01-10 Friday 13:21  massiot

 Fixed liba52 detection using --with-a52.

2003-01-10 Friday 12:34  asmax

 * fixed previous commit (didn't work everytime)

2003-01-10 Friday 11:02  asmax

 * enable the network channel box when selecting network channel input
   (gnome interface)

2003-01-10 Friday 10:01  lool

   * removed an useless inclusion

2003-01-10 Friday 09:28  lool

   * access_slp LD options

2003-01-10 Friday 09:25  lool

   * New entries:
     2.16 NO VIDEO!! or NO AUDIO !!
     3.3.4 Does VLC support DVD from all zones?
     3.3.5 How can I take screenshots?
     5. Miscellaneous
     5.1 How may I help your project?
     5.2 Why are your mailing-lists and your website in english?

2003-01-10 Friday 08:04  yves

 * vlc.spec: new packetizer/mpeg4audio plugin added.

2003-01-10 Friday 06:16  lool

   * removed VLC_GO to avoid skipping to the last program

2003-01-10 Friday 04:58  lool

   * configure.ac.in, modules/access/slp.c: New SLP access module,
         see <http://www.openslp.org/>

2003-01-10 Friday 01:09  ipkiss

  * ./modules/gui/win32: fixed a bug in the preferences (closes #60)

2003-01-09 Thursday 23:43  massiot

 * OS X: Fixed a segfault with empty configuration strings (closes #65),
 * cosmetic messages cleanups.

2003-01-09 Thursday 22:30  lool

   * Mentionned libdvdcss vs DMCS in 4.2 ((c) Meuuh :)

2003-01-09 Thursday 18:23  fenrir

  * avi: read less data at once as it seems to give better sound. (I thinks
 it's more a workaround that a true fix).

2003-01-09 Thursday 18:06  sam

   * ./modules/video_output/x11/xcommon.c: fixed i_visible_pitch calculation.

2003-01-09 Thursday 17:47  sam

   * ./modules/video_filter/*.c: all filters now properly use i_visible_pitch
     instead of i_pitch for pixel access (Closes: #30).

2003-01-09 Thursday 16:26  sam

   * ./modules/video_filter/adjust.c: properly fixed margin handling (partially
     closes #30).

2003-01-09 Thursday 15:38  sam

   * ./modules/video_filter/adjust.c: rehandled code and enhanced the
     config variables descriptions.

2003-01-09 Thursday 14:05  sam

   * ./modules/video_output/sdl.c: fixed visible picture pitch calculation.

2003-01-09 Thursday 14:00  sam

   * ./modules/video_filter/transform.c: the 90 and 270 transformation routines
     now use the visible pitch of a picture, not its total pitch (Closes: #29).

2003-01-09 Thursday 10:12  sam

   * ./modules/codec/spudec/parse.c: set the duration of DVD subtitles
     according to the playing rate.

2003-01-08 Wednesday 23:15  massiot

 Do not bail out when no *.gmo exists.

2003-01-08 Wednesday 16:40  lool

   * typos
   * mentionned Redhat because it disables DMA

2003-01-08 Wednesday 16:40  fenrir

  * configure.ac.in: added mpeg4audio packetizer and allowed conpilation of TS
 muxer with libdvbpsi.
  * mpeg/* : added preliminary support of mpeg4 video and audio in TS stream.
 (only in ts_dvbpsi demuxer).

2003-01-08 Wednesday 15:13  titer

  Partial fix for video/audio sync.

2003-01-08 Wednesday 14:59  sam

   * ./src/stream_output/stream_output.c: minor fix for Win32 drive letter
     display.

2003-01-08 Wednesday 14:31  lool

   * Mentionned the inclusion of the contrib dir

2003-01-08 Wednesday 14:00  sigmunau

 use *$(LIBEXT) and not *.so in package-win32 and package-beos targets. Also
 a minor change in argumets passed to nsis

2003-01-08 Wednesday 13:52  titer

  Use pf_memcpy and pf_memset.

2003-01-08 Wednesday 12:13  lool

   * New entries:
     4. Legal concerns
     4.1 May I use the VideoLAN logo?
     4.2 May I reditribute VLC?

2003-01-08 Wednesday 10:50  massiot

 * Added --no-spdif option (just like in OSS) and fixed a localization bug.

2003-01-08 Wednesday 10:46  fenrir

  * mp4.c: allowed multiple moov headers by taking the first one
 (multiple moov headers is strictly forbidden but I 've seen such file)

2003-01-08 Wednesday 10:43  fenrir

  * faad: fixed a segfault when faad initialisation failed.(anyway it
 doesn't solve the real problem).

2003-01-08 Wednesday 10:41  fenrir

  * ffmpeg/video.c: in case of mpeg4 stream search in p_bitmapinfo for
 an vol header. (In fact reverse an prevous commit)

2003-01-08 Wednesday 10:40  fenrir

  * file.c: removed an useless debug message.

2003-01-08 Wednesday 10:38  fenrir

  * all: added a new function (sout_BufferChain) and allowed dummy
 stream input creation (with "null" fourcc).

2003-01-08 Wednesday 10:34  fenrir

  * pes.c, ps.c: a52 stream should now work.
  * ts.c: added support for libdvbpsi (like ts demux, two modules are
 generated : mux_ts and mux_ts_dvbpsi), fix crc generation for pat/pmt
 without libdvbpsi. More works to add mpeg4 support (now I generate IOD
 and SL descriptor).

2003-01-08 Wednesday 10:26  fenrir

  * mpeg4audio.c: new packetizer (but for now it don't support adts aac)
  * mpeg4video.c: I 've rewritten it

2003-01-08 Wednesday 03:01  ipkiss

  * ./modules/gui/win32/preferences.cpp: fixed a segfault when a module
    forgets to declare 'add_category_hint'
  * ./modules/demux/mpeg/ts.c: added a missing 'add_category_hint' :p

2003-01-08 Wednesday 02:32  titer

  Minor GUI fixes in the prefs window.

2003-01-08 Wednesday 02:16  ipkiss

  * Added sound volume management and changed a bit the menus
  * Added audio channels selection, but it's currently disabled since
    it's quite buggy :)

2003-01-08 Wednesday 02:09  titer

  Fixed language and subtitle selection.

2003-01-08 Wednesday 00:41  massiot

 * New VLC brush-metal interface, courtesy of David Weber <david_weber@gmx.de>
 * Updated Japanese translation, courtesy of Fumio Nakayama <endymion@ca2.so-net.ne.jp>

2003-01-07 Tuesday 21:49  fenrir

  * all: I have added two new variables in es_descriptor_t and
 decoder_fifo_t (p_waveformatex and p_bitmapinfoheader). It's
 a replacement of p_demux_data as this variable is used by
 some demuxers in another way. This way, I will be able to add
 preliminary support of mpeg4 in mpeg2TS... (I haven't tested ogm
 demuxer so if somebody wants ...)

2003-01-07 Tuesday 15:12  jobi

   * modules/demux/mpeg/ts.c: fixed ts_dvbpsi demux forcing (with
     file/ts_dvbpsi:) with TS streams that don't start with 0x47

2003-01-07 Tuesday 15:12  massiot

 Fixed another very nasty localization bug.

2003-01-07 Tuesday 14:58  massiot

 New "spdif" setting, allowing to permanently disable S/PDIF detection.

2003-01-07 Tuesday 14:38  massiot

 Removed unused options in the aout.

2003-01-07 Tuesday 13:26  sam

   * minor updates to pofiles.

2003-01-06 Monday 22:57  massiot

 Fixed a compilation issue.

2003-01-06 Monday 22:07  massiot

 * Bumped up revision number to 0.5.0-test2,
 * MacOS X port: new error dialog displaying error messages,
 * Updated localization files,
 * Comestic fixes.

2003-01-06 Monday 20:08  yves

 - Mandrake %configure2_5x rpm macro is now fixed (was in cross-compil mode).
 - removed access/rtp plugin (merged in access/udp).
 - removed codec/imdct and codec/downmix plugins (deprecated).
 - libvlc0-devel provides libvlc-devel.
 - mmx/3dn plugins are only for x86 arch (use %ifarch %ix86 to list them)
   ie. fix rpm building on ppc thx Olivier Thauvin <olivier.thauvin@aerov.jussieu.fr>

2003-01-06 Monday 15:39  ipkiss

  * modules/gui/win32/network.cpp: added support for ftp and mms
  * modules/gui/win32/disc.cpp: cosmetic

2003-01-06 Monday 02:45  massiot

 MacOS X port :
 * New "stream output" area in the open panel.

2003-01-06 Monday 00:37  garf

  * added a i_min, i_max, f_min and f_max in module_config_t structure
  * added a add_integer_with_range() and add_float_with_range()
  * gtk interface: now uses a slider when a min or a max is specified

2003-01-05 Sunday 21:03  sigmunau

  modules/demux/asf/*: added some file info code
  modules/demux/util/id3tag.c: do not parse id3v1 tags at the end of file, as
 these cause to much trubble

2003-01-05 Sunday 20:45  massiot

 Fixed the "stream has changed" bug.

2003-01-05 Sunday 16:23  massiot

 MacOS X port :
 * Fixed a segfault in the "Close Window" code,
 * Fullscreen state is now retained between files,
 * Preferences items now feature LONGTEXT tooltips (maybe we should wrap them ?).

2003-01-05 Sunday 13:39  gbazin

 * modules/audio_output/directx.c: use VLC_THREAD_PRIORITY_HIGHEST for
 the audio output thread. That should make Win9x/Me happier.

2003-01-05 Sunday 03:21  jlj

   MacOS X port:
   * replaced playlist panel with drawer.
   * implemented context menu for playlist tableview.

2003-01-05 Sunday 02:39  massiot

 * Added the possibility to select DVD menus with VIDEO_TS folder in the
   OS X open panel.

2003-01-05 Sunday 01:55  massiot

 * Added a Close Window and a close box to our QuickTime video output.

2003-01-04 Saturday 23:49  gbazin

 * configure.ac.in: fixed typo in wxWindows headers detection code.

2003-01-04 Saturday 17:14  titer

  We now check if the BSoundPlayer's buffer size is not the one we
  were expecting.

2003-01-04 Saturday 16:27  gbazin

 * src/audio_output/output.c: don't forget to free the audio buffer when
 we are trashing it.

2003-01-04 Saturday 13:50  jpsaman

 Cosmetic changes.

2003-01-04 Saturday 13:30  jpsaman

 Removed define in favor of (p_intf->p_libvlc->i_cpu & CPU_CAPABILITY_FPU) for detection of FPU hardware support.

2003-01-04 Saturday 04:11  jlj

   MacOS X port:
   * main window controls are back. based on suggestion by Dan Macpherson.

2003-01-04 Saturday 00:21  jpsaman

 Updating slider status uses no longer FPU calculations when compiled for strongarm1100.

2003-01-03 Friday 23:58  jpsaman

 Updated package release number

2003-01-03 Friday 21:38  jlj

   * ./Makefile.am: Meuuh, did you mean TAB instead of 8 spaces? :-)

2003-01-03 Friday 20:55  jpsaman

 Slider functionality for Familiar interface.

2003-01-03 Friday 14:44  sam

   * ./modules/gui/gtk/gtk.c, ./modules/gui/gtk/gnome.c: fixed drag'n'drop
     support in the Gtk+ and GNOME interfaces.

2003-01-03 Friday 13:07  massiot

 * modules/access/file.c: we now regularly check the size of the file, in
   case it is being downloaded.

2003-01-03 Friday 00:11  massiot

 Automatically create the vlc.app/Contents/PkgInfo (otherwise I keep forgetting
 it).

2003-01-03 Friday 00:03  jlj

   * ./src/misc/darwin_specific.m:
     Fixed (really!) segfault. Don't release o_lang objects, they're managed
     by NSUserDefaults.

2003-01-02 Thursday 23:50  massiot

 Cosmetic.

2003-01-02 Thursday 23:09  massiot

 MacOS X port :
 * Fixed the Device submenu,
 * There is still a segfault in darwin_specific.m.

2003-01-02 Thursday 22:49  jlj

   * ./modules/gui/macosx/aout.m: added support for 4 Channel PCM.

2003-01-02 Thursday 20:48  gbazin

 * modules/codec/*: reverted my previous patch that explicitly set
 i_bytes_per_frame and i_frame_length in each audio decoder.
 * src/audio_output/dec.c: proper fix to correctly set i_bytes_per_frame
 and i_frame_length.

2003-01-01 Wednesday 11:14  jlj

   * ./modules/gui/macosx/aout.m: cleaned up the code, removed intf dep.
   * ./src/misc/darwin_specific.m: fixed segfault (o_enumerator was being
                                   released twice) and memory leak.

     Bonne Année!

2002-12-31 Tuesday 01:59  massiot

 Less verbosity.

2002-12-31 Tuesday 01:54  massiot

 * src/misc/darwin_specific.m: Partial attempt at fixing a memory leak,
 * input: new b_connected field, allowing to correctly detect the EOF of TCP
   streams (closes #35),
 * input: fixed a deadlock when opening a zero-sized file,
 * input: fixed a deadlock when opening an unconnected FIFO (closes #54).

2002-12-30 Monday 23:45  massiot

 * OS X interface : Added new access modules to the Open panel,
 * Updated po files,
 * Fixed a very nasty side effect in the dvd and dvdread plug-ins,
 regarding the audio-channel and spu-channel configuration variables.

2002-12-30 Monday 17:36  gbazin

 * src/misc/messages.c: don't try to decorate logs on win32.
 * include/vlc_common.h, include/vlc_threads.h: we now use different
 thread priorities for WinNT/2k/XP or Win9x/Me.

2002-12-30 Monday 17:28  gbazin

 * modules/codec/*: make sure all audio decoders set
 output_format.i_bytes_per_frame and output_format.i_frame_length
 properly.

2002-12-30 Monday 13:34  sam

   * ./configure.ac.in: fixed the strncasecmp detection.
   * ./src/extras/libc.c: fixed a bug in our built-in strncasecmp.

2002-12-30 Monday 11:49  massiot

 Added RTP shortcuts to udp.c for backwards compatibility.

2002-12-30 Monday 08:56  massiot

 * modules/access/udp.c: Merged the UDP and RTP plug-ins, with autodetection of RTP,
 * src/misc/darwin_specific.m: if $LANG isn't set, retrieve NSUserDefaults.

2002-12-29 Sunday 21:00  babal

 no time to fix the playlist save&restore issue before the release (and
 wouldn't be wise anyway), so deactivated it in the win32 interface.

2002-12-29 Sunday 01:16  massiot

 OS X port :
 * Reenabled fullscreen shortcut, due to popular requests,
 * Fixed charset encoding in the Preferences window,
 * New implementation of --loop.

2002-12-28 Saturday 15:04  sam

   * ./debian/control: fixed various dependencies.

2002-12-28 Saturday 13:35  massiot

 Yet another typo. :p

2002-12-28 Saturday 02:02  massiot

 Added support for 32 kHz LPCM streams (thanks _Demo_ !).

2002-12-28 Saturday 01:53  sam

   * ./configure.ac.in: removed AC_PROG_EGREP because it's for autoconf 2.54+
     and used AC_EGREP_CPP instead.

2002-12-28 Saturday 01:20  sam

   * ./configure.ac.in: we don't link with -lintl if building against our
     internal one.

2002-12-27 Friday 15:40  sam

   * ./modules/demux/avi/avi.c: replaced a useless asprintf with sprintf.

2002-12-27 Friday 15:31  sam

   * ./src/extras/libc.c: if configure is called with --with-included-gettext,
     we export vlc_dgettext to plugins so that their messages can be translated
     as well.

2002-12-27 Friday 14:16  sam

   * ./configure.ac.in: added a check for $EGREP at the beginning, so that
     it's not done in an obscure "if" statement.
   * ./configure.ac.in: added verbosity around all EGREP calls so that we
     know what's going on.

2002-12-27 Friday 12:44  sam

   * ./Makefile.am: we don't try to distribute mozilla/vlcintf.h since it's
     created at compile time.

2002-12-27 Friday 09:57  massiot

 Audio output.

2002-12-27 Friday 09:47  massiot

 Added Bruno Vella <allevb@tin.it>, author of the Italian localization.

2002-12-27 Friday 08:37  massiot

 Fixed a typo.

2002-12-27 Friday 00:17  massiot

 * Italien translation, courtesy of Bruno <allevb@tin.it>,
 * Compilation fixes for gettext 0.11.5 on MacOS X.

2002-12-26 Thursday 18:17  stippi

 added 'extern "C"' to some includes

2002-12-26 Thursday 13:58  massiot

 Do not compile imdct and downmix modules anymore.

2002-12-26 Thursday 10:55  massiot

 Check for the presence of arguments (--help ?) before rebuilding everything.

2002-12-25 Wednesday 23:39  sam

   * ./src/libvlc.c: added a debug message to test the translation system.
   * updated the .po files.

2002-12-25 Wednesday 22:36  sam

   * ./bootstrap: fixed an automake 1.5 check.
   * ./toolbox: removed code from bootstrap that wasn't related to the
     bootstrapping sequence and put it here.

2002-12-25 Wednesday 22:05  sam

   * ./configure.ac.in: lured xggettext into thinking _NS is a keyword.
   * ./bootstrap: bootstrap --update-po also updates vlc.pot.

2002-12-25 Wednesday 21:02  massiot

 * Re-enabled package-* Makefile rules,
 * Worked around automake stack overflow bug on Darwin.

2002-12-25 Wednesday 02:25  massiot

 ... _with_ the actual Italian placeholder (can you believe it ?).

2002-12-25 Wednesday 02:23  massiot

 Santa Claus brings to you :
 * A placeholder for the Italian translation,
 * A bug fix for mono streams on stereo speakers,
 * A fix for a possible crash in the FTP access,
 * Correct coordinates in OS X fullscreen modes (closing #47),
 * Cosmetic fixes.

2002-12-24 Tuesday 23:31  sam

   * ./ipkg/Makefile.am: added missing files to the distribution.

2002-12-24 Tuesday 23:00  massiot

 * Use BeginFullScreen() to hide the mouse cursor ;
 * Cheat with the screen saver (closes #46).

2002-12-24 Tuesday 20:15  jpsaman

 Added gpe and gpe-vlc to Conflicts list for only X11/GTK+ packages.

2002-12-24 Tuesday 20:11  jpsaman

 Build and packaging scripts for building Familiar Linux interface with only GTK+ support.

2002-12-24 Tuesday 19:26  jpsaman

 Forget some.

2002-12-24 Tuesday 19:25  jpsaman

 Added some debug info.

2002-12-24 Tuesday 19:25  jpsaman

 Cosmetic changes.

2002-12-24 Tuesday 19:09  jpsaman

 Cosmetic changes.

2002-12-24 Tuesday 19:08  jpsaman

 Update packaging scripts.

2002-12-24 Tuesday 18:23  jpsaman

 Added esddsp package to dependency list.

2002-12-24 Tuesday 15:28  massiot

 Fixed a major bug in fixed32tos16.c.

2002-12-24 Tuesday 09:49  sam

   * ./configure.ac.in: fixed dpms.h detection (missing prerequisite headers).

2002-12-23 Monday 22:00  jpsaman

 Enabled --with-gpe-prefix in buildscript.

2002-12-23 Monday 21:58  jpsaman

 Set priority of sdl video output to 60 iso 40. So it is now the default choice for iPaq iso x11.

2002-12-23 Monday 17:22  bozo

 Little fixes.

2002-12-23 Monday 16:21  massiot

 Fixed my fix :p.

2002-12-23 Monday 16:05  massiot

 Fixed a side-effect bug with IPv6 addresses (thanks Xag).

2002-12-23 Monday 15:39  jpsaman

 Familiar interface now uses define NEED_GTK_MAIN define.

2002-12-23 Monday 15:39  massiot

 Fixed an IPv6-related bug (thanks Xag).

2002-12-23 Monday 13:58  massiot

 Cosmetic (thanks Heiko).

2002-12-23 Monday 13:49  massiot

 Cosmetic.

2002-12-22 Sunday 23:23  jpsaman

 Use SDL output as default for iPaq.

2002-12-22 Sunday 21:46  jpsaman

 Typing file locations in URL combo without "file://" prefix is possible again.

2002-12-22 Sunday 21:08  jpsaman

 Familiar GPE interface support fixes. Only Manage() function does not seem to work properly.

2002-12-22 Sunday 17:08  sam

   * ./src/audio_output/input.c: fixed a side-effect problem in buffer dates
     recalculation (spotted by KKI).

2002-12-21 Saturday 11:20  sigmunau

  first shot at a file info dialog for the wxwindows interface. It still
 needs to get a sane default size and some cleanups of the code, but I commit
 now in case anyone wants it during cristmas

2002-12-20 Friday 21:33  jpsaman

 Defenitely fixed segmentation fault on directory change.

2002-12-20 Friday 15:18  sigmunau

 removed the code that was not supposed to be in my last commit

2002-12-20 Friday 14:28  jpsaman

 Fixed path to pixmaps for GPE menu system.

2002-12-20 Friday 07:35  yves

 fixed my entry.

2002-12-20 Friday 07:35  yves

 - added rawdv plugin.
 - make it working again with daily CVS snapshot.
 - some typos fixed.
 - better workaround for broken mdk configure macro (aka don't harcore arch in name).

2002-12-19 Thursday 23:23  sigmunau

 * modules/demux/ogg.c: provide some file info. Tested with the tarzan.ogm
 * modules/codec/vorbis.c: parse the vorbis comment (can anyone tell me why the
 comment is embedded in the logical stream and not directly in the
 container?). The vorbis comments are in utf8, so extended characters
 currently get messed up.

 Still tring to close #51

2002-12-19 Thursday 17:29  massiot

 Fixed an HTTP compliance issue (thanks Xag).

2002-12-19 Thursday 16:59  sigmunau

 the avi demux now gives some info about the file being played. One step
 towards closing bug #51. Type 'info' in the rc interface to test.

2002-12-18 Wednesday 17:52  gbazin

 * src/libvlc.h, src/input/input_dec.c: added an "sout-video" and
 "sout-audio" config option that allows to selectively enable audio or
 video stream output. This is very useful if you want to play video on
 one computer and audio on another one ;)

2002-12-18 Wednesday 16:33  fenrir

  * mpeg4video: repeat vol headers every 30 frames (But it is buggy)

2002-12-18 Wednesday 16:31  fenrir

  * video.c: with mpeg4 stream, we try to decode a picture only when we have
 received an header (vol). (It prevents some segfaults with mpeg4 streaming).

2002-12-18 Wednesday 16:27  fenrir

  * ts.c: add preliminary support for mpeg-4 streams in mpeg2-TS.
 Becareful that up to now, it's more a hack. (I need to add SL streams
 managments)

2002-12-18 Wednesday 16:16  sam

   * ./modules/demux/avi/libavi.c: added an additional sanity check for
     corrupted headers.

2002-12-18 Wednesday 15:52  fenrir

  * libavi.c: a sanity check to prevent some segfault with corrupted
 header.

2002-12-18 Wednesday 15:03  sam

   * ./modules/codec/ffmpeg/ffmpeg.c: cosmetic change, the ffmpeg module now
     tells what libavcodec build it was built with.

2002-12-18 Wednesday 14:17  sam

   * fixed several format string inconsistencies and deprecated C constructions.

2002-12-18 Wednesday 12:18  sam

   * ./src/misc/messages.c: woops, __attribute__(format) is only needed in the
     prototype.

2002-12-18 Wednesday 11:47  sam

   * ./include/vlc_messages.h: msg_* functions now use the same argument type
     checks as printf. Only works with gcc 3.2 it seems.

2002-12-18 Wednesday 09:27  sam

   * ./modules/video_output/qte/.cvsignore: added a missing .cvsignore.
   * ./modules/video_chroma/Modules.am: added i420_rgb_c.h to the distribution,
     thanks to Stepan Roh for spotting this.

2002-12-18 Wednesday 08:08  gbazin

 * src/video_output/video_output.c: fixed a bug concerning the aspect
 ratio in vout_Request().

 * INSTALL.win32: small update to the documentation.

2002-12-18 Wednesday 01:34  fenrir

 * mpegaudio: fixed another stupid bug for mpeg audio layer 3 only.

2002-12-17 Tuesday 21:58  fenrir

  * bits.h: fixed a stupid bug.
  * ts.c: removed an unused variable.

2002-12-17 Tuesday 21:15  gbazin

 * modules/demux/rawdv.c: new raw dv demuxer (only video for now). I
 didn't find a way to detect correctly a raw dv file so for now we just
 check the file extension (.dv). You can additionaly force this demuxer.

 PS: the ffmpeg plugin works quite well for decoding dv videos.

2002-12-17 Tuesday 21:04  jpsaman

 Functionality of Familiar Linux Gtk+ interface is finished. Only testing on iPaqwith libgpewidget0  still needs to be done.

2002-12-17 Tuesday 14:39  sam

   * ./bootstrap: added warning messages for old automake versions.

2002-12-17 Tuesday 09:54  sam

   * ./modules/gui/kde/preferences.cpp: fixed a compilation issue and a crash.

2002-12-16 Monday 23:25  massiot

 Fixed (again) a rendering bug on big endian systems. :-p

2002-12-16 Monday 22:06  jpsaman

 Cleanup action.

2002-12-16 Monday 21:48  jpsaman

 Workaround for crash in ReadDirectory when called from the comboURL text box. For now it is mandatory to prefix filepaths on local disk with "file://" when typing it in the comboURL box.

2002-12-16 Monday 20:18  titer

  Fixed a possible crash.

2002-12-16 Monday 18:30  gbazin

 * modules/demux/ogg.c: added support for the old type of headers produced by the first
 versions of OggDS.

2002-12-16 Monday 16:48  gbazin

 * modules/access/udp.c, modules/access/rtp.c, modules/misc/network/ipv4.c: only check for
 the "server-port" config variable in the access plugins. access_output plugins will now
 pick a port at random, thus allowing sout to work out of the box on a localhost. (thanks
 Meuuh)

2002-12-16 Monday 15:17  fenrir

  * compilation fix for Os X.

2002-12-16 Monday 13:04  fenrir

  * libavi.c: improved parsing of some corrupted files.

2002-12-16 Monday 10:49  fenrir

  Should fix compilation/configuration with --with-ffmpeg options.

2002-12-16 Monday 00:41  babal

 - disc.* : a few enhancements in the design of the "open disc" dialog
   box, including the ability to select dvd menus instead of a particular
   title and chapter
 - preferences.dfm : multiline tabs

2002-12-15 Sunday 23:39  fenrir

  * modules/mux/mpeg/*: should fix builtin compilation
  * modules/access/ftp.c : an ftp access, buggy but it begins to work.
 The main issue is about password confidentiality so you must know
 what you are doing :((

2002-12-15 Sunday 22:55  yves

 you can now build RPMs.
 (ffmpeg still not working properly cause configure.ac seems to sucks)

2002-12-15 Sunday 22:54  jpsaman

 Packaging files for Familiar GPE and OPIE releases.

2002-12-15 Sunday 22:48  jpsaman

 Familiar interface build with GPE support does not use NEED_GTK_MAIN.

2002-12-15 Sunday 22:45  jpsaman

 Make distinction between GPE and GTK_NEED_MAIN way of handling interface.
 Trying to fix change directory crash while entering keys in combobox.

2002-12-15 Sunday 22:45  ipkiss

 I forgot this file in my previous commit...

2002-12-15 Sunday 20:48  jpsaman

 Fix crash on directory change.

2002-12-15 Sunday 18:37  ipkiss

  * ./modules/gui/wxwindows: added a log window

2002-12-15 Sunday 16:28  gbazin

 * include/vlc/vlc.h: added a new pi_types field to vlc_list_t. This field will be used
 later on by the object variables functions. I'm adding it now because it also happens to
 solve a binary compatibility problem between gcc and bcc. (depending on compilers,
 structs of 32 < size <= 64 bits can be returned either in a register or in the stack).

2002-12-14 Saturday 23:17  jpsaman

 Fix for building Familiar interface with libgpewidget0 library.

2002-12-14 Saturday 22:33  fenrir

  * libvlc.h: Fix mux/access_output options.

2002-12-14 Saturday 21:32  fenrir

  Added stream output. (common work with titer).

2002-12-14 Saturday 19:43  gbazin

 * src/libvlc.c: oops, forgot to remove a debug message.

2002-12-14 Saturday 19:34  gbazin

 * src/misc/objects.c: implemented the FIND_CHILD mode for vlc_list_find().
    vlc_object_get() now increments the refcount of the object so you'll need to release
 the object at some point.
 * src/misc/variables.c, ALL: var_Change() with VLC_VAR_GETLIST now returns a vlc_value_t
 which points to a vlc_list_t.

2002-12-14 Saturday 19:19  gbazin

 * src/misc/threads.c: implemented vlc_thread_set_priority() for win32.

2002-12-14 Saturday 18:57  fenrir

  * all: with mpeg4 video I changed the way that some initialisation data
 are passed (more logical).

2002-12-14 Saturday 01:05  babal

 - support for Windows style file names for relative paths
 - when eol_tok is '\n', use last line even if eol_tok isn't present

2002-12-13 Friday 22:11  yves

 adaptation for 0.5 branch. almost working :)

2002-12-13 Friday 17:05  babal

 - * : start playing only when opening a stream from the main window;
   when opening it from the playlist window, add it to the list, but
   don't change anything to the playing state and current stream.

 - playlist.dfm : proper resizing behaviour

2002-12-13 Friday 16:26  babal

 - vlc_playlist.h, playlist.c: added the ability to save a playlist to
   and restore it from a file chosen by the user.

 - win32/*:

   - implementation of the previous feature in the win32 interface
 >   -> what the other interfaces need to do to support it is simply to
 >      call the two following functions:
 >       int playlist_LoadFile(playlist_t *p_playlist,const char *psz_filename);
 >       int playlist_SaveFile(playlist_t *p_playlist,const char *psz_filename);
 >      where psz_filename is the name of the destination/source file.

   - ability to open several files at a time

2002-12-13 Friday 10:09  sam

   * ./Makefile.am: added missing files for make dist.
   * ./configure.ac.in: removed unpopular warnings.
   * ./po/*: updated potfiles.

2002-12-13 Friday 03:52  videolan

  * ./modules/win32/menu.cpp: reorganized the code for menus generation,
    and got rid of the global variable (at last!) in the win32 interface.

 Please check that navigation and language selection aren't too much
 broken for DVDs...

2002-12-13 Friday 01:56  gbazin

 * ALL: added a new vlc_list_t common type. vlc_list_find() and vlc_list_release() have been modified
 to use this new type.

2002-12-13 Friday 01:50  gbazin

 * modules/gui/wxwindows/*: added skeleton for popup contextual menu.
 * modules/access/dvdplay/access.c, modules/audio_filter/resampler/linear.c: a couple of warning
 fixes.

2002-12-12 Thursday 15:23  gbazin

 * src/input/input.c: forgot to commit this during my last commit :p

2002-12-12 Thursday 15:10  gbazin

 * src/input/input_clock.c, include/input_ext-intf.h: introduced an i_pts_delay field in
 input_thread_t (initialised to DEFAULT_PTS_DELAY).
 * modules/access/*: i_pts_delay is now configurable on an access module basis. The pts
 delay for http and mms have been raised to 4 * DEFAULT_PTS_DELAY, which is about 1.2
 seconds worth of caching.

2002-12-12 Thursday 13:09  sam

   * ./debian/vlc-plugin-ogg.dirs: added a missing file for Debian package
     builds.

2002-12-12 Thursday 12:24  sam

   * ./modules/gui/familiar/*: compilation fixes. Crashes on directory change.

2002-12-12 Thursday 11:37  ipkiss

  * ./modules/gui/win32: added management for "float" config options
    (thanks Garf)

2002-12-12 Thursday 11:29  massiot

 Fixed a possible deadlock.

2002-12-12 Thursday 10:56  garf

  * fixed one or two things (thanks sam)

2002-12-11 Wednesday 21:50  jpsaman

 Fixed qte video output segmentation fault during initialization.
 The following things have still to be fixed:
 - segmentation fault on destroy
 - video placing and
 - orientation
 - video line spacing is wrong

2002-12-11 Wednesday 20:13  fenrir

  * all: access plugins should not modify
 p_input->stream.p_selected_area->i_tell when reading data. (It's done in
 input_SplitBuffer). (But access should still set it on a "seek")

2002-12-11 Wednesday 17:27  bozo

 New ALSA audio output. It works with ALSA 0.9.0rc4 and earlier versions.

2002-12-10 Tuesday 23:34  gbazin

 * modules/demux/wav/wav.c: small bug-fix for screwed pts calculation.

2002-12-10 Tuesday 21:55  gbazin

 * src/audio_output/filters.c: fix for resampler buffer size.

2002-12-10 Tuesday 18:22  gbazin

 * ALL: fixed a f*ckage I introduced recently ;) var_Type() now returns 0 when the variable
 doesn't exist, but the rest of the code wasn't updated according to this new behaviour.
 * modules/audio_output/waveout.c: changed a few error messages into warning messages.

2002-12-10 Tuesday 15:51  ipkiss

  * ./modules/gui/win32: deletd a dependancy with a global variable

2002-12-10 Tuesday 14:19  gbazin

 * include/configuration.h: fixed my previous fix.

2002-12-10 Tuesday 12:46  gbazin

 * configure.ac.in: fixed ugly hack in sdl detection code (which also broke my build :p)
 * include/configuration.h, include/modules_inner.h: proper fix for a bug that allowed gcc
 to put things in the stack instead of the data segment.

2002-12-10 Tuesday 10:22  fenrir

  ffmpeg: adapted to current cvs version. It should still compile with older
 one (Please reports if it doesn't).

2002-12-10 Tuesday 00:02  gitan

 fixed a segfault under windows.

2002-12-09 Monday 23:37  gbazin

 * include/configuration.h: rolled back the last changes made to this file. There is no
 sense in manually initializing all the fields of module_config_t as it will be done by the
 compiler anyway. Furthermore mingw32 gcc seems to have problems optimizing code
 that manually initializes structures to 0.

2002-12-09 Monday 21:37  jpsaman

 Syncing functionality with vlc-0.4.6

2002-12-09 Monday 21:36  jpsaman

 Fixed segfault in Qt Embedded Video Output.

2002-12-09 Monday 13:37  titer

  * AudioOutput.cpp: added sanity tests;
  * VlcWrapper.h, Interface.cpp: removed an unused variable.

2002-12-09 Monday 07:57  titer

  * AudioOutput.cpp: send zeros to BSoundPlayer if nothing comes from
     audio output;
  * VlcWrapper.cpp: handle volume using aout3 features.

2002-12-09 Monday 03:36  titer

  Default re-enabled dvd module.
   --disable-dvd works anyway.

2002-12-09 Monday 00:52  babal

 - new headphone channel mixer with virtual spatialization effect : This
   effect should give you the feeling that you stands in a real room with
   a complete 5.1 speaker set when using only a headphone, providing a
   more realistic sound experience. It should also be more comfortable
   and less tiring when listening to music for long periods of time.It
   works with any source format from mono to 5.1.

   -> please try it and feel free to give me some feedback. Some
      improvements are already planned (adding echo, more configuration
      options, ...).

 NB: whereas the filter itself is in a (very first) stable version, the
     way it is integrated to the filter chain is only a _temporary_ hack
     since it's the audio ouput core (input.c actually) which is directly
     responsible for it. Integrating it in a more suitable way will
     probably require some work on the way the filters are selected as
     well as on the configuration level, but I'm working on it :)

2002-12-08 Sunday 23:38  massiot

 * Updated aout3 developer doc.
 * Reworked the Open... menu items, and added the ability to use libdvdplay.
 * Sound output menu is now under Controls.

2002-12-08 Sunday 21:05  jpsaman

 Fixed build and linking for qte video output and made modifications to iPaq packaging files.

2002-12-08 Sunday 19:56  gbazin

 * modules/gui/wxwindows/*: compilation fixes for wxX11 (it doesn't support drag and drop
 yet). Compilation fix for MacOSX as well (wxEntry() not declared).
 * src/misc/variables.c: added a FreeMutex() function.

2002-12-08 Sunday 16:16  jpsaman

 - Updated Maintainers file
 - fixed --disable-dvd, it did not work
 - updated iPaq familiar buildscripts

2002-12-08 Sunday 14:47  gbazin

 * configure.ac.in: fix for dvdread and libdvdplay plugins linking stage.

2002-12-08 Sunday 05:30  jlj

   * ALL: Under Jaguar, vout no longer depends on any specific MacOS X
          intf. wxWindows should work (not tested). Closes #33.

2002-12-08 Sunday 00:41  massiot

 New vlc_thread_set_priority function, to set the priority of the main
 thread.

2002-12-07 Saturday 23:50  massiot

 * configure.ac.in: Disabled -Wtraditional as it produces much more bogus
   warnings than real ones.
 * audio output: New intf-change variable to know when audio-channels
   and audio-device have changed.
 * video output: New intf-change variable and vout_VarCallback, to know
   when video-device has changed (OS X port).
 * modules/gui/macosx/*: Menus for audio channels, implemented volume
   management, added a menu for screen selection.

2002-12-07 Saturday 22:29  titer

  * default disabled SAP under BeOS

2002-12-07 Saturday 22:15  gitan

 fixed my last commit.

2002-12-07 Saturday 22:00  titer

  * use RGB32 BBitmap. That fixes the bad-looking picture in
    non-overlay mode (thanks Sam).

2002-12-07 Saturday 15:25  gbazin

 * ALL: a few updates to the variables API:
   - got rid of the VLC_VAR_COMMAND variable type and introduced the VLC_VAR_ISCOMMAND flag
 instead. This simplifies things and avoid the strange command variables behaviour. Command
 variables will now trigger their callback on var_Set() like any other variables (look in
 modules/control/rc/rc.c for an example).
   - Renamed the VLC_VAR_ISLIST flag into VLC_VAR_HASCHOICE.
   - Added a new VLC_VAR_VOID variable type. This can be useful in conjunction with
 VLC_VAR_ISCOMMAND for instance.

2002-12-06 Friday 22:44  gitan

 * sap.c : make it more compliant (as far as sdp is involved).
 * playlist.c : fixed a memory leak
 * configure.ac.in : added link flags

2002-12-06 Friday 21:27  gbazin

 * configure.ac.in: fixed typo. For dvdread support we have to check for
  dvdread/dvd_reader.h, not dvdread/dvdread.h.

2002-12-06 Friday 16:34  sam

   * ./configure.ac.in: removed -W in favour of -Wtraditional.
   * ALL: a bunch of additional warning fixes.

2002-12-06 Friday 14:22  fenrir

  all: fix some minors warnings.

2002-12-06 Friday 13:05  sam

   * ./modules/access/mms/mms.c: fixed signed/unsigned comparisons, and fixed
     a bug I found in Read(). No idea whether it was triggered before nor what
     it was doing, though :)

2002-12-06 Friday 12:54  sam

   * ./modules/access/http.c: code clean-up. removed sizeof()-1 calls where we
     meant strlen(), removed useless strcmp() calls, implemented atoll() for
     systems where it does not exist, fixed a memory leak, fixed a minor data
     corruption.

2002-12-06 Friday 12:18  sigmunau

 some support for redirection. Moved the break on returncode >=400 to after
 the header parsing. This will be usefull if anyone wants to implemet
 http-passwd support

2002-12-06 Friday 11:53  fenrir

  * ffmpeg: sync with latest ffmpeg cvs. As it need too much
 #if LIBAVCODEC_BUILD , I've enable direct rendering only with latest
 ffmpeg cvs (anyway dr isn't cleanly ported to the latest version).

2002-12-06 Friday 10:10  sam

   * ./src/*, ./include/*: fixed a bunch of badly initialized structures, a few
     signed/unsigned comparisons, and removed trailing spaces here and there.

2002-12-06 Friday 06:42  babal

  * src/playlist/playlist.c : playing again a playlist already in a
    playing state resets the input speed to normal to make sure the
    stream isn't paused or slowed or played faster anymore.
    By doing that, fixes the following bug of the Windows interface:
    when pushing the play button on a paused or slowed stream, nothing
    used to happen.
  * modules/gui/win32/playlist.cpp : when pushing the play button and the
    playlist is empty, displaying the playlist window
  * win32.cpp : rephrasing the module description to "Native Windows
    interface module"

2002-12-05 Thursday 21:49  jpsaman

 Fix for SDL-1.2.5 it now has SDL postpended to the library path. I just rip it of now for --cflags.

2002-12-05 Thursday 17:38  sam

   * ./configure.ac.in: disabled -Wconversion for gcc 2.x because it makes it
     choke on system headers.

2002-12-05 Thursday 17:16  sam

   * ./ipkg/Makefile.in: removed a file handled by automake.
   * ./configure.ac.in: additional warning flags for GCC.
        -Wconversion
            Warn if a prototype causes a type conversion that is different from
            what would happen to the same argument in the absence of a proto-
            type.
        -Wsign-compare
            Warn when a comparison between signed and unsigned values could
            produce an incorrect result when the signed value is converted to
            unsigned.
        -Wunreachable-code
            Warn if the compiler detects that code will never be executed.
        -Wdisabled-optimization
            Warn if a requested optimization pass is disabled.
     See the gcc documentation for more explanations. This triggers a lot of
     warnings everywhere, and at first sight they're all worth fixing. Code
     quality matters, too, so let's fix'em :)

2002-12-04 Wednesday 21:48  gbazin

 * modules/audio_filter/channel_mixer/trivial.c: bugfix for up-mixing.

2002-12-04 Wednesday 21:03  jpsaman

 Build and packaging files for Opie and GPE.

2002-12-04 Wednesday 20:51  jlj

   * ./modules/gui/macosx/vout.m: mouse coordinates support.

2002-12-04 Wednesday 20:51  jpsaman

 file rules.opie was initially added on branch v0_4_1_branch.

2002-12-04 Wednesday 20:51  jpsaman

 Build scripts for building cross-compiling vlc for Opie and GPE.

2002-12-04 Wednesday 20:51  jpsaman

 file rules.gpe was initially added on branch v0_4_1_branch.

2002-12-04 Wednesday 20:41  jpsaman

 Packaging files for opie-vlc

2002-12-04 Wednesday 15:47  fenrir

  * all: Fix an other (and last ? ;) endian issue.

2002-12-04 Wednesday 06:23  titer

  * configure.ac.in, mms.c, sap.c, ipv4.c: added network support for BeOS 5
    (Dano is no more needed); multicast still doesn't work.
    UDP (unicast) and HTTP have been successfully tested, mms is untested.
  * sap.c: BeOS doesn't have memccpy
  * VideoOutput.cpp: forgot to remove a printf

2002-12-04 Wednesday 02:16  titer

  * InterfaceWindow.cpp: removed warnigs
  * AUTHORS/MAINTAINERS: added Stephan Assmus, Arnaud Schauly & myself

2002-12-03 Tuesday 23:36  gitan

 * src/playlist/playlist.c : Added playlist_AddItem (enqueues
 playlist_item_t instead of psz_target ). Now playlist_Add uses
 playlist_AddItem to enqueue.
 * include/vlc_playlist.h : Added a psz_uri field in the playlist_item_t
 structure.
 * src/input/input.c : takes item->psz_uri  argument to start playing an
 item.

2002-12-03 Tuesday 17:00  fenrir

  * adpcm.c: add adpcm decoding support (Now just ms and ima adpcm from
 microfsoft, not yet ima4)
  * wav, asf, avi: fix fourcc creation for adpcm. (Nevertheless adpcm
 could not work with asf because of asf audio scrambling unsupported in asf
 demuxer). Seek will not work, because vlc send garbage and then break stream
 alignment.(I will try to fix that).

2002-12-03 Tuesday 16:29  gitan

 * Added a session announcement protol module (enabled by default).
 * Added the PLAYLIST_CHECK_INSERT option to the playlist. That option
 checks previously enqueued sessions before enqueing.

2002-12-03 Tuesday 12:59  sam

   * ./src/libvlc.h: fixed an aspect ratio bug, we should default to the
     stream's aspect, not to square pixels.

2002-12-03 Tuesday 02:00  titer

  * added mouse management in the BeOS video output.
    Now DVD menus work thanks to libdvdplay.

2002-12-02 Monday 23:58  titer

  * added --with-dvdread-tree and --with-dvdplay-tree for static linking.
    It works fine under BeOS, please check I didn't break anything.

2002-12-02 Monday 21:13  jlj

   * ALL: Fixed some compiler warnings.

2002-12-02 Monday 18:19  sam

   * ./modules/access/vcd/cdrom.c: NetBSD VCD input fixes, courtesy of
     Olaf 'Rhialto' Seibert.

2002-12-02 Monday 13:12  sam

   * ./configure.ac.in: linking with -framework AGL wasn't needed (Closes: #7).

2002-11-30 Saturday 11:33  jpsaman

 Cleanup of headerfile detection for qte video output plugin.

2002-11-30 Saturday 11:22  jpsaman

 Deprecreated --with-qte-system. Using --with-qte=<path>/opt/QtPalmtop sets all linker and includes paths for libjpeg and qte correctly now.

2002-11-30 Saturday 01:14  ipkiss

  * ./modules/gui/win32/dragdrop.cpp: we can now drag and drop video
    files on the interface or on the playlist (Closes: #10).
  * ./modules/gui/win32/playlist.cpp: factorized a lot of code.
  * ./modules/gui/win32/*: reorganized some code here and there.

2002-11-29 Friday 23:08  ipkiss

  * ./src/libvlc.h: fixed a few typos

2002-11-29 Friday 14:39  jpsaman

 configure script set Qt Embedded link and include paths correctly. Use these additional options:
 --enable-qte
 --with-qte=<..cross-path..>/opt/QtPalmtop
 --with-qte-system=<..cross-path..>/usr

2002-11-28 Thursday 23:53  sigmunau

 made the vlc mozilla plugin a drop-in replacement for wmp in most embedded
 wmp sites I could find, by adding som mimetypes and parsing some more
 parameters passed by mozilla. Also disabled the StreamAsFile function since
 mozilla tend to pass it non-exsisting files.

2002-11-28 Thursday 23:24  massiot

 * Correct socklen_t detection.
 * Fix for S/PDIF encapsulation on big endian systems.
 * S/PDIF output for Mac OS X, courtesy of Heiko Panther <heiko_panthe@mac.com>.

2002-11-28 Thursday 21:49  garf

  * a few bugfixes/enhancements/clean up

2002-11-28 Thursday 21:00  gbazin

 * configure.ac.in: fixed linkage of theora plugin.
 * modules/codec/theora.c, modules/codec/tarkin.c: fixed breakage.
 * modules/codec/vorbis.c: lowered the priority of the tremor plugin.

2002-11-28 Thursday 18:35  fenrir

  * asf: fix my previous commit.

2002-11-28 Thursday 18:16  sigmunau

 increased maximums size of a http request from 256 to 1024 in order to allow
 insanly long urls

2002-11-28 Thursday 17:34  sam

   * ./src/video_output/video_output.c, modules/*: factorized video output
     creation code into vout_Request which looks for existing vout objects
     and spawns a new one if none was found.

2002-11-28 Thursday 16:44  fenrir

  * ffmpeg: arg, fix a previous fix for non-latest ffmpeg cvs tree.

2002-11-28 Thursday 16:32  fenrir

  * all: some clean up with WAVEFORMATEX and endian issues. Somebody could
 test if mp4,asf,avi,wav demuxers and araw,ffmpeg,faad decoders work under
 big endian architectures ? (else could you give vlc log )

2002-11-28 Thursday 15:18  sigmunau

 * set b_seakable to false for http/1.0 streams such as those from icecast.
 * allow some unusual, but legal ways to construct the http headers, and
 clean up the header parsing code. parsing other headers ( like the mime-type
 ) should be very easy now.

2002-11-28 Thursday 14:34  sam

   * ./src/video_output/video_output.c: added a --aspect-ratio option to force
     the aspect ratio of the stream. Two different usages are possible, either
     int:int ("16:9") to specify a real aspect ratio, or float ("1.25") to
     specify pixel squareness.

     Note that it does not work properly yet; it will need an API change in
     the video output layer that I'm working on.

2002-11-27 Wednesday 21:51  babal

 - Enterely new layout for the preference window of the native win32
   interface, in order to improve its clarity (the dialog box is now even
   a bit smaller) and to get closer to Windows standards.
   (second part of the job, and hopefully the last for now, begun with
   Ipkiss a few days ago by using CheckListBoxes)

   Still need some work to get the interface compatible with Windows XP
   skins.

2002-11-27 Wednesday 15:18  sam

   * ./modules/codec/cinepak/cinepak.c: fixed V1-encoded blocks luma loading.

2002-11-27 Wednesday 14:44  fenrir

  * ffmpeg: add a LIBAVCODEC_BUILD test for CODEC_ID_MJPEGB

2002-11-27 Wednesday 13:17  fenrir

  cinepak: fix a bug (bad frame gathering), pointed by sam.

2002-11-27 Wednesday 12:41  fenrir

  * all: added mjpeg support, some clean up in video part.

2002-11-27 Wednesday 06:27  titer

  Fixed a segfault by adding a mutex_lock() (thx fenrir)

2002-11-27 Wednesday 05:36  titer

  * AudioOutput.cpp: fixed a segfault
  * ALL: cleaned the VlcWrapper class, removed unused code

2002-11-27 Wednesday 02:51  ipkiss

  * ./modules/gui/win32/*: some cleaning

2002-11-26 Tuesday 22:20  gbazin

 * modules/video_output/directx/directx.c, modules/audio_output/directx.c: removed
 unnecessary code.

2002-11-26 Tuesday 21:52  ipkiss

  * ./modules/gui/win32/preferences.cpp: used CheckListBoxes instead
    of ListViews, because they are more intuitive. This eliminates the
    "Select" button and the "Selected" label.

    The preferences window still needs some work though...

2002-11-26 Tuesday 20:04  sam

   * ./modules/video_chroma/i420_rgb.h: fixed slanted picture output with odd
     widths (Closes: #28).

2002-11-26 Tuesday 19:52  jpsaman

 Packaging for Opie and Qt Embedded support.

2002-11-26 Tuesday 19:31  gbazin

 * modules/video_output/directx/directx.c: fixed to work with DirectDraw 3 (ie. with
 NT4).

2002-11-26 Tuesday 18:58  sigmunau

 allow windows style linebreaks in .m3u files. and fixed a minor bug

2002-11-26 Tuesday 17:38  gbazin

 * modules/demux/ogg.c: audio is now dropped when fast-forwarding.

2002-11-26 Tuesday 17:28  fenrir

  * mp4: prevent float exeption with some truncated file.

2002-11-26 Tuesday 15:03  sam

   * ./BUGS: scrapped this file. Entered the remaining bugs in Bugzilla.

2002-11-26 Tuesday 14:08  sam

   * ./TODO: scrapped the todo-list. I put the unresolved items in Bugzilla
     (http://bugzilla.videolan.org/).

2002-11-26 Tuesday 12:09  massiot

 Fixed another crash with S/PDIF.

2002-11-26 Tuesday 10:55  gbazin

 * modules/video_output/directx/directx.c: don't fail miserably when we can't
    create a surface in video memory. We now automatically toggle the b_use_sysmem
    flag in this case and give it another shot.

2002-11-26 Tuesday 07:04  jpsaman

 Fix fix of fixing QT Embedded detection.

2002-11-26 Tuesday 01:06  titer

  * ALL: more intensive use of the VLCWrapper class
  * PreferencesWindow.*: renamed a few variables (using some of the
    OpenTracker conventions)
  * clean up

2002-11-25 Monday 19:29  sam

   * ./modules/video_chroma/i420_rgb16.c: merged the RV15 and RV16 conversions
     because they're basically the same. Also, the MMX conversions now check
     that the bitmasks are the ones we expect.

2002-11-25 Monday 19:12  fenrir

  mms.c: fix command/packet parsing functions.

2002-11-25 Monday 17:25  gbazin

 * configure.ac.in: for wxWindows headers detection, we now check wx/wxprec.h.
    Also fixed a typo: libdvbpsi is enabled by default.

2002-11-25 Monday 16:16  massiot

 Fixed my fix :p.

2002-11-25 Monday 16:00  massiot

 Fixed a crash in S/PDIF mode.

2002-11-25 Monday 15:56  sigmunau

 fixed a bug in the contentbased autodetection that caused this demux to be
 selected for streams that contained a null byte.

2002-11-25 Monday 15:08  fenrir

  * mms: enable seek :) It works for me with both udp and tcp. Somebody
 could check if it compiles on other OS than linux ? (I don't known what
 headers should be included)
  * asf: fix to support seeking with mms
  Note: You cannot seek and use demuxdump demuxer...

2002-11-25 Monday 12:19  sam

   * ./modules/gui/gtk/open.c: made the HTTP text bar more consistent, thanks
     to Pierre Baillet (Closes: #11).

2002-11-25 Monday 12:08  sam

   * ./src/misc/messages.c: we overwrite the WinCE logfile instead of appending
     data to it.
   * ./evc/vlc.vcw: minor updates.

2002-11-25 Monday 03:12  ipkiss

  * small compilation fixes for win32

2002-11-25 Monday 00:22  fenrir

  * all: begin to add mms over udp support. It begin to work (at least
 for me) but it still needs some work.

2002-11-24 Sunday 18:54  sam

   * ./configure.ac.in: we no longer choke if libdvbpsi headers aren't here.
   * ./include/vlc_common.h: we don't try to include inttypes.h with Borland.

2002-11-24 Sunday 16:00  sigmunau

 separated the code to parse html files with embedded wmp, and the code to
 parse asx files. Added a new shortcut "html" to force the "html" behaviour.
 Reduced number of false positives for both html and asx files. We now also
 trigger on the content of files, since html and asx files are often
 autogenerated on the webserver using php or asp.

2002-11-24 Sunday 13:02  sigmunau

 fix to allow absolute entries in m3u/asx files

2002-11-24 Sunday 01:29  sigmunau

 fixed a bug in the code to handle relative paths. Added support for file://
 and http:// items in asx files, and not just mms://

2002-11-23 Saturday 20:37  sam

   * ./modules/control/rc/rc.c: the seek command is now "seek" and not "r",
     and it uses a command variable like other controls. This also fixes a
     bug that prevented to have spaces between the command and its argument.

2002-11-23 Saturday 18:42  gbazin

 * modules/gui/wxwindows/*: additional small fixes.

2002-11-23 Saturday 16:17  gbazin

 * modules/gui/wxwindows/*: a few fixes for the win32 build.

2002-11-23 Saturday 15:00  titer

  * enhanced BeOS preferences window (post-processing, brightness,
    contrast, hue and saturation are adjustable)

2002-11-23 Saturday 14:28  gbazin

 * modules/gui/wxwindows/*: misc improvements to the main interface, implementation of
 drag and drop, proper initialisation of the i18n routines.

2002-11-23 Saturday 04:40  sam

   * ./modules/access/http.c, ./modules/misc/network/ipv4.c: http and ipv4
     plugins compile for WinCE. Couldn't test yet though.

2002-11-23 Saturday 02:40  sam

   * ./modules/video_output/wingdi.c: the GDI video output now properly sets
     the bitmasks; we're not limited to 8bpp and 16/24 works.
   * ./modules/video_filter/*: the video filters now work under WinCE.

2002-11-23 Saturday 01:32  ipkiss

  * ./modules/gui/wxwindows/playlist.cpp: added a playlist to the wxwindows interface

2002-11-23 Saturday 00:11  garf

  * yuv filter was a bit useless. Hope adjust filter is more usefull :)

2002-11-22 Friday 23:12  sam

   * ./configure.ac.in: we only add -lm to the a52 linkage if it's needed
     (and available).

2002-11-22 Friday 20:27  sam

   * ./modules/video_output/wingdi.c: ported the wingdi plugin to Win32; it
     somewhat works under Wine (if you force internal buffers to 8bpp), but
     doesn't work under Win2k. Any hints welcome.
   * ./configure.ac.in: activated the wingdi plugin by default.

2002-11-22 Friday 19:37  titer

  * AudioOutput.cpp : compilation fix.
  * VideoOutput.cpp : now --fullscreen works with BeOS video output.

2002-11-22 Friday 18:35  sam

   * ./modules/access/mms/var_buffer.h: this file is now a separate .c, to
     prevent gcc's optimizer to go amok with nested inline functions, loop
     unrolling and such things that we don't really need in an access plugin.

2002-11-22 Friday 15:24  sam

   * ./modules/video_output/directx/events.c: we now call CreateWindow so that
     we are sure that the WndProc always has a valid p_vout value.

2002-11-22 Friday 15:19  sam

   * ./modules/video_output/wingdi.c: implemented offscreen rendering with
     fast blit (well at least it was considered "fast" back in the times of
     Windows 3.1). Default is 8bpp because that's what my iPaq does (no
     palette support yet though), 16bpp can be chosen at compile time and
     works perfectly in the emulator.

2002-11-22 Friday 12:11  sam

   * ./modules/video_chroma/i420_rgb16.c: fixed a segfault in the 24/32bpp
     chroma conversion.

2002-11-21 Thursday 23:06  massiot

 Channel reordering according to the WG-4 specification, courtesy of
 Heiko Panther.

2002-11-21 Thursday 21:37  gbazin

 * modules/codec/Modules.am, configure.ac.in, modules/codec/vorbis.c: added
    a tremor decoder module using libvorbisidec (aka tremor) from xiph.org.
    This module allows decoding vorbis audio on hardware without a fpu
    (--enable-tremor).

 * modules/LIST: added entries for tremor and theora.

2002-11-21 Thursday 15:51  gbazin

 * src/playlist/playlist.c: fixed deadlock in playlist.
 * modules/audio_output/oss.c: don't play blank samples when we are starving
    for data but our internal buffers are not empty. Some cleanup too.

2002-11-21 Thursday 13:58  jpsaman

 Fix detection of QT Embedded development headers.

2002-11-21 Thursday 13:53  sam

   * ./modules/video_output/wingdi.c: skeleton of a Windows GDI video output.
   * ./modules/access/file.c: the file access plugin gets the real file size
     under WinCE.
   * ./modules/audio_filter/converter/u8tofixed32.c: added this conversion
     filter to play some WAV files without an FPU.
   * ./bootstrap: bootstrap --update-vc doesn't rely on the Makefile's presence.

2002-11-21 Thursday 10:12  gbazin

 * modules/demux/ogg.c: small bug-fix for my previous commit.

2002-11-21 Thursday 09:39  gbazin

 * modules/demux/ogg.c: better handling of PCRs (we now base our calculations
    on all sub-streams instead of just using one of them). Some code factorisation
    too.

2002-11-20 Wednesday 21:51  jpsaman

 Build and link Familiar interface against libgpewidget for gpe support.

2002-11-20 Wednesday 21:27  jpsaman

 Fix detection of AR and LD

2002-11-20 Wednesday 21:23  jpsaman

 Updated for release v_0.4.6 of Familiar Linux packages.

2002-11-20 Wednesday 19:07  sam

   * ./src/misc/messages.c: added ^Ms to the WinCE logfile.
   * ./bootstrap: fixed a typo that prevented per-object target directories
     to work.
   * ./evc/*, ./msvc/*: removed project files; they're becoming a bit large
     (more than 1MB) and I don't want to spoil the CVS with them.

2002-11-20 Wednesday 17:23  gbazin

 * configure.ac.in: temporary hack for libdvbpsi detection.

2002-11-20 Wednesday 16:43  sam

   * ./modules/audio_output/waveout.c: audio output now works under WinCE
     using the waveout module.
   * ./bootstrap: we ignore comments when parsing makefiles.
   * ./modules/audio_filter/converter/fixed32tofloat32.c: changed this module
     so that it also does float32tofixed32.
   * ./modules/*: ported a few other modules to WinCE (most of the time it's
     just a #include <errno.h> that needs to be removed).

2002-11-20 Wednesday 15:58  gbazin

 * configure.ac.in, modules/gui/wxwindows/wxwindows.cpp: other compilation
    fixes for the wxwindows interface on win32.

2002-11-20 Wednesday 15:34  gbazin

 * modules/control/rc/rc.c: added commands to navigate between chapters and
    titles.

2002-11-20 Wednesday 14:24  gbazin

 * modules/gui/wxwindows/*: fixes for the win32 build. Removed a few
    unnecessary things and replaced the stop icon with a new one.

2002-11-20 Wednesday 14:09  gbazin

 * modules/codec/theora.c, configure.ac.in, modules/codec/Modules.am: new
    theora codec plugin.
    This plugin is based on the experimental theora codec from the Xiph.Org
    foundation (http://www.theora.org/). Because the theora bitstream
    specifications are likely to change in the near future, this plugin won't
    be compiled by default. If you want to test/develop theora with vlc, you'll
    need to configure it with --enable-theora and also make sure you've got a
    fresh libogg from cvs.

 * modules/demux/ogg.c: modified to handle theora and tarkin bitstreams.

 * modules/codec/tarkin.c: fixed a few typos.

2002-11-20 Wednesday 13:37  sam

   * ./evc/plugins.vcp.in: fixed plugin entry points for WinCE.
   * ./modules/*: fixed a bunch of modules so that they compile under WinCE,
     we now have access_file and the mpeg demux and video decoder working
     (http://zoy.org/~sam/vlc/pocketvlc2.png).

2002-11-20 Wednesday 08:58  sam

   * ./include/vlc_common.h, ./src/extras/libc.c: exported our custom libc
     functions to plugins.
   * ./bootstrap: enhanced the project file generation for plugins; we now
     parse makefiles to make this easier.
   * ./modules/**/Modules.am: reworked a few makefiles so that they are more
     easily parsed.

2002-11-20 Wednesday 01:47  gbazin

 * src/video_output/video_output.c: fixed a really old bug in the video output
    layer. This bug was only affecting video outputs without direct rendering
    capabilities.

2002-11-19 Tuesday 20:56  gbazin

 * modules/misc/network/ipv6.c: restored the msg_*() outputs from BuildAddr().

2002-11-19 Tuesday 20:45  gbazin

 * include/video.h, include/vlc_config.h, src/video_output/*: changed the
    picture buffer allocation scheme to allocate pictures from the render
    heap in a clockwise fashion instead of always picking the first available
    one from the start of the heap.
    This allows us to benefit from ffmpeg's macro-block skipping feature.
    As a side effect, we also have less chance of reusing a refrence picture
    buffer when we can't link/unlink them.

 * modules/codec/ffmpeg/video.c: modified the direct rendering code to benefit
    from the macro-block skipping algorithm.
    A new flag has also been introduced in the video_output's render heap to
    forbid modifications to the render picture buffers (for instance to overlay
    subtitles).

2002-11-19 Tuesday 17:38  sam

   * ./src/misc/modules.c: p_module->psz_filename is now filled with a real
     8 bit string under WinCE.
   * ./extras/Win32_msvc: scrapped this directory.
   * ./bootstrap: we now parse plugin makefiles to guess what to put in
     the MSVC project files. Only the dummy plugin has been tested yet.

2002-11-19 Tuesday 17:23  fenrir

  all: Use BITMAPINFOHEADER everywhere (Needed because of endian issue).

2002-11-18 Monday 23:00  massiot

 Partial fix of the OS X audio output (thanks Heiko!).

2002-11-18 Monday 19:31  fenrir

  * ogg: change i_dts usage for subtitle ES.

2002-11-18 Monday 18:37  gbazin

 * src/misc/modules.c: fixed small typo that was breaking the build.

2002-11-18 Monday 18:05  sam

   * ./src/misc/modules.c: support for Unicode filenames under WinCE; VLC now
     successfully opens plugins.
   * ./modules/misc/dummy/*: hacked the dummy plugin so that it compiles for
     WinCE.

2002-11-18 Monday 17:31  gbazin

 * modules/gui/wxwindows/*: updated the toolbar icons.

2002-11-18 Monday 16:39  gbazin

 * modules/gui/wxwindows/interface.cpp: enabled the OpenFile dialog box.

2002-11-18 Monday 15:19  gbazin

 * modules/gui/wxwindows/interface.cpp: fixed typo.
 * modules/audio_filter/converter/u8tofloat32.c: fixed typo.

2002-11-18 Monday 13:28  gbazin

 * configure.ac.in, modules/codec/Modules.am, modules/codec/tarkin.c: added
    an experimental tarkin video decoder. You will need to specify the tarkin
    tree you want to use with --with-tarkin-tree=.

    Warning: Tarkin is still in very early development stage, so this plugin isn't
    actually usefull unless you intend to do some development on tarkin itself.

2002-11-18 Monday 13:08  gbazin

 * modules/demux/m3u.c: should manage entries with relative paths.
 * src/playlist/playlist.c: fixed playlist_Next().

2002-11-18 Monday 13:02  gbazin

 * added a wxwindows interface using the wxWindows cross-platform GUI framework.
    The interface is quite basic for now but should be functional anyway.
    (you need to have wxWindows >= 2.3.0 installed to use this plugin)

2002-11-18 Monday 11:50  sam

   * ./bootstrap: reverted the behaviour behaviour to the default, which
     means no default flag to use (except for me, muahaha).

2002-11-18 Monday 02:46  fenrir

  * ffmpeg: set bug detection to auto by default.

2002-11-17 Sunday 06:46  fenrir

  * ffmpeg: disable direct rendering by default. I have too many files
 that don't work with it (I don't see why it doesn't work :(
  * mp4: fix a bug in timestamp calculation. Replace s/u* by s/uint*_t
  * avi : remove an useless debug message.
  * src/misc/objects.c : fix stream output object allocation.

2002-11-16 Saturday 22:25  fenrir

  * avi: fix playing over http (a bug I have introduced).

2002-11-15 Friday 18:10  fenrir

 * modules/demux/util : add a text subtitle demuxer. (Module called by demux).
 MicroDVD, SubRIP, SSA subtitle format should work...
  Options: --sub-file <subtitle file> [--sub-fps, --sub-delay --sub-format].

  * modules/demux/avi : make use of subtitle parser.
  * modules/demux/asf : display movie length. (It will not work with live
 streams of course).

  modules/codec/spudec : use i_dts to send end of display time for subtitle.
 (Yes it's ugly, but it works :)

2002-11-15 Friday 17:17  gbazin

 * configure.ac.in, modules/audio_output/arts.c, modules/audio_output/esd.c:
    fixed the arts and esd audio plugins after the recent changes to aout3
    (untested).

2002-11-15 Friday 16:27  gbazin

 * configure.ac.in, modules/audio_output/directx.c, modules/audio_output/waveout.c:
    fixed the waveout and directx audio plugins after the recent changes to aout3.

2002-11-15 Friday 14:41  gbazin

 * modules/access/http.c: added an http-proxy config variable. If the variable
    is not set, we'll still look at the value of the http_proxy environment
    variable.

2002-11-15 Friday 12:22  sam

   * ./src/video_output/video_output.c: backport of a fix in MAIN for
     spoiled FPU registers.

2002-11-15 Friday 01:23  gbazin

 * configure.ac.in: fixed a few typos regarding LDFLAGS_access_*. Re-enabled
    the oss plugin as it seems to be working fine.
 * src/audio_output/input.c: fixed an obscure bug... (strange one though:
    int foo = -1; unsigned int bar = 2; __MAX( foo, bar) == -1 ).

2002-11-15 Friday 01:17  fenrir

  faad: adapt to new changes in aout3 (at least it compiles)

2002-11-15 Friday 00:41  gbazin

 * modules/codec/vorbis.c, modules/audio_filter/resampler/linear.c: adapted to
    the new changes in aout3.

2002-11-14 Thursday 22:44  alexis

 Added the changelog of vlc 0.4.6.

2002-11-14 Thursday 22:38  massiot

 Major change of the channels management. p_format->i_channels disappeares
 and is replaced by two members : i_physical_channels and i_original_channels.
 i_physical_channels describes the channels which are effectively present
 in the stream (at the current point of the aout pipeline), whereas
 i_original_channels represents the channels we used to constitute the
 stream. For instance a mono stream (FRONT_CENTER) may emanate from a
 FRONT_LEFT channel of a STEREO stream.

 Additionally, this contains hooks to dynamically select the audio device
 and the channels configuration. In order to do that, all aout plugins,
 and all interface plug-ins need to be adapted. Currently only SDL
 (partially OSS) and the rc interface have been adapted, please use them
 as a guide. Other aout plug-ins have been temporarily disabled.

 IMPORTANT : if you need a working sound output, DO NOT UPDATE YOUR TREE
 for several days until we fix that.

 * modules/misc/network/ipv4.c: Fixed a long-standing segfault when saving
   preferences and asking for multicast.

2002-11-14 Thursday 16:32  fenrir

  mms.c: it takes care of --no-audio and --no-video (to reduce bandwith
 usage),  and should not use more than --mms-maxbitrate (when there
 are multiple audio or video streams).

2002-11-14 Thursday 16:17  fenrir

  asf/* : Convert all u* into uint*_t
          Fix playing of some live asf, seek improvement (at least for me ;)
 but it's more some "kludge" with vlc clock than true fixes ...

  I will never understand how vlc clock works ....

2002-11-14 Thursday 15:07  sigmunau

  make --version --help --longhelp --list and -p output to stdout.

2002-11-14 Thursday 14:08  gbazin

 * src/audio_output/intf.c: fixed a bug affecting audio volume initialization.

2002-11-13 Wednesday 22:36  massiot

 * OS X plug-in fix ;
 * Re-enabled float32 mixer (huh?).

2002-11-13 Wednesday 22:36  gbazin

 * Updated changelog and package files.

2002-11-13 Wednesday 21:58  gbazin

 * ChangeLog: updated ChangeLog.

2002-11-13 Wednesday 21:18  fenrir

  * fix and make better stream selection (if mms-maxbitrate unset, get the best
 quality else try to be closed to mms-maxbitrate ).

2002-11-13 Wednesday 20:51  sam

   * ./bootstrap: bootstrap now requires the --config flag. With no arguments
     it simply outputs a usage message.
   * ./src/*: fixed a bunch of (legitimate) warnings under VC++.
   * ./evc/*, ./msvc/*: split the workspaces into three projects (libvlc, vlc
     and plugins -- plugins doesn't build anything yet).

2002-11-13 Wednesday 20:28  fenrir

  * mms/* : better stream selection and add some options to override it.
 (Usefull with demuxdump).

2002-11-13 Wednesday 20:23  fenrir

  access/* : don't override demux setting made by user.
  modules/demux/demuxdump.c : a little demux that dump raw stream.
 (should work with all access...)

2002-11-13 Wednesday 15:28  sam

   * ./msvc/*, ./evc/*: moved eMbedded Visual Studio files to the toplevel evc/
     directory because the two project files are starting to diverge.
   * ./evc/vlc.c: created a specific vlc.c file for Windows CE.
   * ./src/misc/messages.c: as WinCE doesn't have stdout or stderr, the message
     queue outputs to a logfile (until we have a proper interface).

2002-11-13 Wednesday 12:58  gbazin

 * src/playlist/playlist.c: bugfix for when we delete the last playlist
    element (I'll get this one right... eventually ;).
 * modules/demux/m3u.c: allow forcing the demux to be used by specifying the
    asx or m3u demux.

2002-11-13 Wednesday 11:09  gbazin

 * src/playlist/playlist.c: when autodeleting an item, we don't need to skip
    to the next one.
 * modules/demux/m3u.c: added .asx support and changed the autodetection of
    file type to just probe the file extension.

2002-11-13 Wednesday 09:56  sam

   * ./po/POTFILES.in: fixed "make dist".

2002-11-13 Wednesday 09:45  sam

   * ./FAQ: changed Debian repository location to HTTP (for better upload
     stats estimations on our side).

2002-11-12 Tuesday 22:18  sigmunau

  added a new demux that reads .m3u files and addes the contained items to
 the playlist. Currently only autodetects files that start with #EXTM3U
 otherwise you'll have to force it.

2002-11-12 Tuesday 21:20  gbazin

 * include/vlc_playlist.h, src/playlist/playlist.c: added a b_autodeletion
    flag to the playlist item structure. If this flag is set then the playlist
    item will be deleted automatically after it has been played.

2002-11-12 Tuesday 16:02  gbazin

 * modules/gui/gtk/gtk_callbacks.c: fixed deadlocks.
 * modules/gui/gtk/gtk.c: fixed uninitialized variables.

2002-11-12 Tuesday 13:57  sam

   * ./Makefile.am: fixed rc compilation under mingw32/cygwin.
   * ./modules/access/http.c: fixed a segfault (unchecked strstr return value).
   * ./src/input/input_ext-plugins.c: removed platform-specific code and put
     it in plugins. This leads to some code duplication but I have an evil
     plan to get rid of that, too.

2002-11-12 Tuesday 11:45  gbazin

 * modules/gui/gtk/gtk.c: small bug-fix for a crash on module loading.

2002-11-12 Tuesday 10:44  gbazin

 * src/extras/libc.c: fixed typo.
 * configure.ac.in: compilation fix on win32 for the mms access plugin (the
    plugin is linked with ws2_32).

2002-11-12 Tuesday 00:54  fenrir

  * modules/demux/asf/.cvsignore : put the good one.
  * modules/access/mms : add MMS (Microsoft Media Streaming) access (Support
 only TCP, I will try to add UDP and HTTP as well).
  There are some problems with streams selections and we cannot seek, but
 anyway it seems to work. (Usefull for some radio web)
  * other: enable mms access by default.

2002-11-11 Monday 22:27  gbazin

 * src/audio_output/filters.c, src/audio_output/input.c, include/aout_internal.h,
    modules/audio_filter/resampler/*: Changes that allow the resamplers to set
    the start and end date of the frame it outputs.
    This allows us for instance to output a smaller frame than what we should, and
    keep the rest of the data to compute the resampling of the next frame.
    In short, we can implement much more complex resampling algorithms than before.

 * modules/audio_filter/resampler/linear.c: rewrote the linear resampler. The audio
    quality doesn't seem to be better than the ugly resampler, maybe I shouldn't
    have wasted my time on this...

2002-11-11 Monday 19:16  gbazin

 * modules/audio_output/file.c: will write a WAV header by default. Can be
    disabled with --no-audiofile-wav.
 * modules/audio_filter/resampler/linear.c: disabled for now, until I actually
    manage to make it work without a problem.

2002-11-11 Monday 14:39  sam

   * ./include/*, ./src/*: separated WIN32 #tests and UNDER_CE #tests, because
     WIN32 isn't always defined under WinCE, but might be. Grmbl.
   * ./include/*: changed a few u* and s* to uint*_t and int*_t.

2002-11-10 Sunday 23:41  sam

   * ALL: libvlc now compiles and run under WinCE. I haven't ported any modules
     yet so there's little that can be tested, but threads work at least.
   * ./src/extras/libc.c: renamed strndup.c to libc.c because a few other
     libc functions were added (strcasecmp, atof, getenv...).

2002-11-10 Sunday 18:04  sam

